Overview

SEASOFT© consists of modular, menu-driven routines for acquisition, display, processing, and archiving of oceanographic data acquired with Sea-Bird equipment. SEASOFT-Win32 is designed to work with a PC meeting the following minimum system requirements: Windows 2000 or later, 500 MHz processor, 256 MB RAM, and 90 MB free disk space for installation.

SEASOFT-Win32 is actually several stand-alone programs:
  • SEATERM, SeatermAF, and Seaterm54 terminal programs that send commands to instrument for status, data acquisition setup, data retrieval, and diagnostics
  • SEASAVE V7 program that acquires and displays real-time data, and also displays archived data - THIS PROGRAM
  • SBE Data Processing program that converts, edits, processes, and plots data
  • Plot39 - plotting program for SBE 39, 39-IM, and SBE 48 data.
NOTE
The following SEASOFT-DOS calibration modules are not yet available in SEASOFT-Win32:
  • OXFIT – compute oxygen calibration coefficients
  • OXFITW – compute oxygen calibration coefficients using Winkler titration values
  • OXSAT – compute oxygen saturation as a function of temperature and salinity
  • PHFIT – compute pH coefficients
The Windows version of SEASAVE includes the functions incorporated in SEASOFT-DOS’ SEACON and SEASAVE programs. SEASAVE:
  • acquires real-time, raw data (frequencies and voltages) and saves the raw data to the computer for later processing
  • displays selected raw and/or converted (engineering units) real-time or archived data in text and plot displays
Additional SEASAVE features include the ability to:
  • send commands to close water sampler bottles
  • save user-input header information with the CTD data, providing information that is useful for identifying the data set
  • output selected raw and converted (engineering units) data to a computer COM port or file on the computer
  • set up pressure, altimeter, and bottom contact switch alarms in the computer running SEASAVE
  • output data to and set up pressure, altimeter, and bottom contact switch alarms in an SBE 14 Remote Display
  • set up pressure and altimeter alarm parameters in an SBE 11plus Deck Unit
  • mark real-time data to note significant events in a cast
  • input commands from remote software via TCP/IP for controlling water sampler bottle firing
  • output raw data and selected converted (engineering units) data to remote software via TCP/IP
SEASAVE supports the following Sea-Bird instruments:
  • SBE 911plus and 917plus CTD system
  • SBE 16 SEACAT C-T (optional pressure) Recorder
  • SBE 16plus SEACAT C-T (optional pressure) Recorder
  • SBE 16plus V2 SEACAT C-T (optional pressure) Recorder
  • SBE 19 SEACAT Profiler
  • SBE 19plus SEACAT Profiler
  • SBE 19plus V2 SEACAT Profiler
  • SBE 21 SEACAT Thermosalinograph
  • SBE 25 SEALOGGER CTD
  • SBE 45 MicroTSG Thermosalinograph
  • SBE 49 FastCAT CTD Sensor
Additionally, SEASAVE supports many other sensors/instruments interfacing with the instruments listed above, including Sea-Bird oxygen, pH, and ORP sensors, SBE 32 Carousel Water Sampler, SBE 55 ECO Water Sampler, and assorted equipment from third party manufacturers.

See SEASAVE Window and Getting Started for a quick introduction to SEASAVE’s features.


Differences from SEASAVE-Win32 Version

SEASAVE was previously available as SEASAVE-Win32. SEASAVE V7 is an entirely new version of SEASAVE. Following are the improvements and changes:
  1. More robust data acquisition and increased stability with a new architecture for data acquisition. SEASAVE V7 is actually two applications – Seasave.exe automatically launches SeasaveAcq.exe when data acquisition is commanded to start. Both programs run simultaneously on the same computer, communicating via TCP/IP sockets.
  2. Easier-to-use and more intuitive user interface.
  3. Support for transmission of data to a remote computer via TCP/IP, and remote bottle firing via TCP/IP.
  4. Better graphics, including the ability to have different plot colors for downcast and upcast.
  5. An unlimited number of displays can be active on the desktop at once (within the limitations of your computer’s resources). Displays can be added, deleted, and modified without interrupting data acquisition.
  6. Output from an SBE 9plus CTD integrated with an SBE 11plus Deck Unit (SBE 911plus) is now saved as a .hex file (was previously saved as a binary .dat file).
  7. Support for pressure, altimeter,and bottom contact switch alarms in the computer running SEASAVE.


Feedback to Sea-Bird

Considerable effort has been made to test and check this software before its release. However, because of the wide range of instruments that Sea-Bird produces (and interfaces with) and the many applications that these instruments are used in, there may be software problems that have not been discovered and corrected (click here for a list of known problems). If a problem occurs, please contact us via phone (425-643-9866), e-mail (seabird@seabird.com), or fax (425-643-9954) with the following information:
  • Instrument serial number
  • Version of the software originally shipped with the instrument
  • Version of the software you are attempting to run
  • Complete description of the problem you are having
If the problem involves the configuration or setup of the software, in most cases a phone call to Sea-Bird will be sufficient to solve the problem. If you phone, we would appreciate it if you would be ready to run the software during the phone conversation.

If the problem involves data processing, you may be asked to send a sample of the data to Sea-Bird for evaluation.

If you discover a reproducible bug, please document the steps required to create the problem and send a report to Sea-Bird.

We also welcome suggestions for new features and enhancements.


Known Bugs/Compatibility Issues

  1. SEASOFT-DOS’ terminal programs (TERM19, TERM25, etc.) may not run when SEASAVE is running.
    Solution    : Use SEASOFT-Win32 terminal program (SEATERM or SeatermAF) or close SEASAVE to run SEASOFT-DOS terminal program.
  2. SEASAVE may not run when a DOS window (such as for SEASOFT-DOS) is open.
    Solution    : Close DOS window. Use Windows software.
  3. SEASAVE may not be able to read and display an archived data file that was uploaded from an instrument's memory using SEATERM version 1.58 or earlier, if the computer was set to a language other than English when the file was uploaded. This is because SEASAVE cannot recognize the System Upload Time date in the file header if it does not contain the appropriate English abbreviation for the month (Jan, Feb, Mar, Apr, May, Jun, Jul, Aug, Sep, Oct, Nov, or Dec).
    Solution 1    : Edit the uploaded file to change the month to one consistent with English. Follow the instructions for file editing in Processing Data.
    Solution 2    : Install SEATERM 1.59 or later, and upload the data again (if it is still available in the instrument). SEATERM 1.59 and later always writes the System Upload Time date in the header with the appropriate English abbreviation, regardless of the computer's language setting.
    Note: The date in the System Upload Time must be in the format
    Mmm dd yyyy
    (for example, Nov 09 2007, with the month capitalized and a space between the month, day, and year).
See Feedback to Sea-Bird to report other software problems.


Software Updates

Sea-Bird supplies the current version of SEASOFT when you purchase an instrument. As software revisions occur, we post the revised software on our FTP site. You may not need the latest version. Our revisions often include improvements and new features related to one instrument, which may have little or no impact on your operation.

See our website’s Software Description page (www.seabird.com/software/softrev.htm) for the latest software version number, a description of the software changes, and instructions for downloading the software from the FTP site.


SEASAVE Window

SEASAVE’s main window looks like this:
  • Seasave title bar – The title bar shows the selected instrument type and the path and file name for the program setup (.psa) file. The .psa file contains all information entered in Configure Inputs and Configure Outputs (instrument configuration file path and name, CTD serial port, water sampler, TCP/IP input and output ports, serial data output, etc.) as well as size, placement, and setup for each display window.
  • Menus -- The Menus contain options for setting up the instrument and the displays, as well as for starting data acquisition.
  • Status display -- The Status display provides the following information:
    • If SEASAVE is acquiring real-time data or playing archived data.
    • If SEASAVE is storing real-time data to a file; output data file name.
    • Instrument configuration (.con) file name.

To display or hide the Status display, select Status in the Display menu.

  • Data Display windows -- SEASAVE can display as many data windows as desired (within the limits of your computer’s resources). The windows can be set up to display real-time data (conductivity, temperature, pressure, etc.) as well as calculated parameters such as salinity and sound velocity. The three window types -- fixed, scrolled, and plot -- are briefly described below; their setup is described in detail in Add/Edit/Import/Export/Print Display Window.
NOTES
  • When you start SEASAVE, you may get a message stating that Windows Firewall has blocked some features of this program to protect your computer, if TCP/IP output is enabled in the program setup (.psa) file. Click Unblock to permanently unblock the TCP/IP features of SEASAVE.
  • Algorithms used to calculate derived parameters in SEASAVE are the same as used in SBE Data Processing’s Derive and Data Conversion modules (with the exception of the oxygen, descent rate, and acceleration calculations). See Derived Parameter Formulas.

Fixed Display

The Fixed Display window has a vertical list of the selected parameters to the left, and displays their current values to the right, and can be set up with one or two columns of data. Adjust the column width by placing the mouse cursor over the line at the end of the number column header and dragging. Modify or print the Fixed Display by right clicking in the display and selecting the desired option.

Scrolled Display

The Scrolled Display window has a list of the selected parameters across the top, and displays the data in scrolling vertical columns. Adjust the column width by placing the mouse cursor over the line between the headings and dragging. Modify or print the Scrolled Display by right clicking in the display and selecting the desired option.

Plot Display

The Plot Display window plots 1 parameter on the y-axis and up to 4 parameters on the x-axis, or 1 parameter on the x-axis and up to 4 parameters on the y-axis. Modify or print the plot by right clicking in the plot and selecting the desired option, or use the toolbar buttons at the top of the plot.


Getting Started

Following are the basic procedures for displaying archived data and acquiring real-time data.

NOTE
When you start SEASAVE, you may get a message stating that Windows Firewall has blocked some features of this program to protect your computer, if TCP/IP output is enabled in the program setup (.psa) file. Click Unblock to permanently unblock the TCP/IP features of SEASAVE.

To Display Archived Data -- Sea-Bird Demo Files

SEASAVE can be used to display archived raw data in a .hex or .dat file.

NOTE
.dat files were created by older versions of SEASAVE (Version < 6.0) from the real-time data stream from an SBE 911plus.

Sea-Bird provides example files with the software to assist you in learning how to use SEASAVE. These files are automatically installed on your hard drive when you install SEASAVE; the default location is:
C:\Program Files\Sea-Bird\SeasaveV7-Demo

The demo files include:
  • a data file -- demo.hex
  • an instrument configuration file -- demo.con (defines instrument sensors, calibration coefficients, etc.)
  • a program setup file – demo.psa. The .psa file defines all information entered in Configure Inputs and Configure Outputs (instrument .con file path and name, serial ports, water sampler, TCP/IP input and output ports, serial data output, etc.) as well as the size, placement, and setup for each display window.
Follow these steps to get started using SEASAVE to display archived data:
  1. In the File menu, select Open Setup File. The Open dialog box appears. Browse to the desired file (default location C:\Program Files\Sea-Bird\SeasaveV7-Demo),
    select demo.psa, and click OK. The display windows will now correspond to the selected .psa file.
  2. In the Archived Data menu, select Start.
  3. The Playback Archived Data dialog box appears.
    1. On the File tab, click Select Data File. The Select Data File dialog box appears. Browse to the desired file (default location C:\Program Files\Sea-Bird\SeasaveV7-Demo\demo.hex) and click Open.
    2. Click the Instrument Configuration tab. Click Open. The Select Instrument Configuration File dialog box appears. Browse to the desired file (default location C:\Program Files\Sea-Bird\SeasaveV7-Demo\demo.con) and click Open.
    3. Click the File tab. Click Start. The example data will display.

  4. As desired, modify and export the setup of the display windows. Save the modified .psa file, and repeat Steps 2 and 3.

NOTE
When modifying and saving the program setup (.psa) file, use a new file name to avoid overwriting the demo file.

To Acquire and Display Real-Time Data

Follow these steps to get started using SEASAVE to acquire and display real-time data:
  1. Set up the instrument, and define input parameters in Configure Inputs:
    • Instrument Configuration – Set up the instrument configuration (.con) file, defining what sensors are integrated with the instrument, each sensor’s calibration coefficients, and what other data is integrated with the data stream from the instrument.
    • Serial Ports – Define COM ports and other communication parameters for CTD, water sampler and 9plus pump control, serial data output, and SBE 14 Remote Display.
    • Water Sampler -- Enable and set up control of bottle firing for a water sampler.
    • TCP/IP Ports – Define ports for communication with SEASAVE and with remote display and remote bottle firing software.
    • Miscellaneous – Define miscellaneous parameters required for output of specific variables (depth, average sound velocity, descent rate, acceleration, oxygen, plume anomaly, and potential temperature anomaly).
    • Pump Control -- Enable user pump control for a custom SBE 9plus.
NOTE
Serial ports and TCP/IP ports can be defined in Configure Inputs and/or Configure Outputs. If you make changes in one dialog box those changes will appear when you open the other dialog box.
  2. Define output parameters in Configure Outputs:
    • Serial Data Out -- Enable and set up output of selected raw and/or converted data (engineering units) to a COM port on your computer.
    • Serial Ports – Define COM ports and other communication parameters for CTD, water sampler and 9plus pump control, serial data output, and SBE 14 Remote Display.
    • Shared File Out -- Enable and set up output of selected raw and/or converted data (engineering units) to a shared file on your computer.
    • Mark Variables -- Set up format for marking of selected data scans.
    • TCP/IP Out – Enable and set up output of raw or converted data to TCP/IP ports.
    • TCP/IP Ports – Define ports for communication with SEASAVE and with remote display and remote bottle firing software.
    • SBE_11plus_Alarms -- (for SBE 9plus / 11plus only) Enable and set up SBE 11plus Deck Unit alarm (minimum and maximum pressure alarm, and altimeter alarm if altimeter integrated with SBE 9plus CTD).
    • SBE 14 Remote Display – (if SBE 14 connected to a computer COM port) Enable and set up output of data to an SBE 14, and set up SBE 14 alarm (minimum and maximum pressure alarm, altimeter alarm if altimeter integrated with CTD, and bottom contact switch alarm if bottom contact switch integrated with CTD).
    • PC Alarms -- Enable and set up alarm in the computer running SEASAVE (minimum and maximum pressure alarm, altimeter alarm if altimeter integrated with CTD, and bottom contact switch alarm if bottom contact switch integrated with CTD).
    • Header Form -- Create a customized header for the data.
    • Diagnostics -- Enable and set up diagnostic outputs, to assist in troubleshooting if you encounter difficulty running the program.
  3. Define SEASAVE displays. SEASAVE can have an unlimited number of displays (limited only by the resources of your computer). Three types are available: fixed, scrolled, and plot displays.
  4. Start real-time data acquisition. If applicable (and if enabled in Steps 1 and 2), fire bottles, mark scans, and / or send Lat/Lon data to a file during acquisition.


SEASAVE Menus

A brief description of SEASAVE’s menus follows:
  • File --
    • Open Setup File -- Select a setup (.psa) file. In the Open dialog box, if you select Open as read only, SEASAVE prompts you to enter a new file name when you next try to save the .psa file (it will not allow you to overwrite the existing file).
    • Save Setup File -- Save all the entered settings to the currently open .psa file.
    • Save Setup File As -- Save all the entered settings to a new .psa file.
    • Restore Setup File -- Discard all changes to settings (made in Configure Inputs, Configure Outputs, Display, and Options menus) since the last time you saved the .psa file.
    • Print – Print a fixed, scrolled, or plot display. The Select Display dialog box appears when Print is selected; this allows you to select the desired display for printing. Note that you can also print a display by right-clicking in the desired display and selecting Print.
    • Exit -- Close SEASAVE.
    • Recent Setup Files -- Provides a list of the 10 most recently used setup files.
  • Configure Inputs -- Setup of instrument configuration (.con) file (defining sensors and sensor coefficients), serial ports, water sampler, TCP/IP ports, miscellaneous parameters, and pump control.
  • Configure Outputs -- Setup of serial data output, serial ports, shared file output, mark variables, TCP/IP output and TCP/IP ports, SBE 11plus alarms, SBE 14 remote display, PC alarms, header form, and diagnostics.
  • Display -- Setup of fixed, scrolled, and plot displays, as well as displays to view status and NMEA data.
  • Real-Time Data -- Acquire and display real-time data.
  • Real-Time Control -- Control water sampler bottle firing, mark scans, and (custom 9plus CTD only) turn the CTD pump on or off.
  • Archived Data -- Display a previously acquired data file.
  • Tools
    • Convert shared file output .xml file to spreadsheet format – Convert an output .xml file (from Shared File Out) to a tab-delimited .txt format that can be opened in Microsoft Excel. If selected, a dialog box appears, allowing you to browse to the desired .xml file and to select the path and file name for the output .txt file. After you select the input .xml file and enter the name for the output .txt file, click the Convert button. The resulting .txt file can be opened in Excel.
  • Options
    • Prompt to save program setup changes – If selected, when you exit SEASAVE (by selecting Exit in the File menu or clicking the close button in the upper right hand corner of the window), SEASAVE prompts you to save the program setup (.psa) file if desired.
    • Automatically save program setup changes on exit – If selected, when you exit SEASAVE (by selecting Exit in the File menu or clicking the close button in the upper right hand corner of the window), SEASAVE automatically saves the program setup (.psa) file before exiting.
      NOTE: If neither Prompt to save program setup changes or Automatically save program setup changes on exit is selected, SEASAVE will not provide a warning and will not save changes to the program setup file before exiting.
    • Confirm instrument configuration change – If selected, Save & Exit button in Configuration dialog box changes to Exit; when you click Exit, SEASAVE prompts you to save the changes if desired. Otherwise, clicking Save & Exit automatically saves the configuration changes.
    • Confirm display setup change – If selected, when you exit a Display dialog box, SEASAVE prompts you to save the display setup (.dsa) file if desired. If not selected, SEASAVE will not save the display settings to a .dsa file.
    • Confirm output file overwrite – If selected, SEASAVE provides a warning if you select an existing file name for a data output file and/or shared output file. Otherwise, SEASAVE does not provide a warning, and overwrites the data in the existing file.
    • Check scan length – If selected, SEASAVE checks the data scan length against the expected length (based on setup of the .con file) during real-time data acquisition and/or archived data playback; if the scan length does not match the .con file, it provides a warning that there is an error. Otherwise, SEASAVE does not provide a warning. Regardless of whether Check Scan Length is selected, if there is a scan length error SEASAVE continues with real-time data acquisition (saving the raw data to a file), but does not show or plot data in the SEASAVE displays.
    • Compare serial numbers – (Applicable only to Archived Data playback) If selected, SEASAVE checks the temperature and conductivity sensor serial numbers in the data file header against the serial numbers in the .con file; if the serial numbers do not match, it provides a warning that there is an error, but continues with data playback.
    • Maximized plot may cover SEASAVE – If selected, when you maximize a plot display it fills the entire monitor screen, covering up the SEASAVE title bar, menus, and status bar. Otherwise, a maximized plot display remains within the SEASAVE window.
  • Help

NOTES
  • The .psa file contains all information entered in Configure Inputs and Configure Outputs (instrument .con file path and name, serial ports, water sampler, TCP/IP ports, serial data output, etc.) as well as size, placement, and setup for each display window.
  • When you click OK in the Configure Inputs or Configure Outputs dialog boxes, and/or create/modify a display, SEASAVE saves the changes to a temporary location. However, the changes are not saved to the program setup (.psa) file until you select Save Setup File or Save Setup File As in the File menu.
  • The configuration (.con) file defines the instrument – sensors, sensor channels, calibration coefficients, etc. SEASAVE uses this information to convert the raw data stream into engineering units for display during real-time data acquisition. Sea-Bird supplies a .con file with each instrument. The .con file must match the existing instrument configuration and contain current sensor calibration information.
  • A display setup (.dsa) file defines the size, placement, and setup for a display window. The information in the .dsa file is also incorporated into the program setup (.psa) file. You can import and export .dsa files, allowing you to create the desired displays once and then reuse them later for other instruments / deployments. Even if you do not export the display setup to a separate .dsa file, the changes in the display are incorporated in the .psa file the net time you save the .psa file. See Add/Edit/Import/Export/Print Display Window.


Input and Output Files

File extensions are used by SEASOFT to indicate the file type:

Input Files

File Extension | Description
.con | Instrument configuration -- number and type of sensors, channel assigned to each sensor, and calibration coefficients. SEASAVE uses this information to interpret raw data from instrument. Latest version of .con file for your instrument is supplied by Sea-Bird when instrument is purchased, upgraded, or calibrated. If you make changes to instrument (add or remove sensors, recalibrate, etc.), you must update .con file. The .con file can be viewed and/or modified in SEASAVE’s Configure Inputs, on Instrument Configuration tab (or in SBE Data Processing).
.dsa | SEASAVE display setup file – defines size, placement, and setup for a display window. Information in .dsa file is also incorporated into program setup (.psa) file. You can import and export .dsa files, allowing you to create desired displays once and then reuse them later for other instruments / deployments. Even if you do not save display setup in a separate .dsa file, changes in display are incorporated in .psa file next time you save .psa file.
.psa | SEASAVE program setup file – all information entered in Configure Inputs and Configure Outputs (instrument .con file path and name, serial ports, water sampler, TCP/IP ports, serial data output, etc.) as well as size, placement, and setup for each display window. The .psa file can be selected and saved in SEASAVE’s File menu. Note that when you start SEASAVE, it always opens to most recently used .psa file. Seasave.ini (in Windows directory) contains a list of the paths and file names for the most recently used .psa files. To view, click File and select Recent Setup Files.
.xml | Sensor calibration coefficient file. This file can be exported and/or imported into the dialog box for a sensor. This allows you to move a sensor from one instrument to another and update the instrument’s .con file while eliminating need for typing or the resulting possibility of typographical errors.

Output Files

File Extension

Description

.bl

Bottle log information -- output bottle file, containing bottle firing sequence number and position, date, time, and beginning and ending scan numbers for each bottle closure. Beginning and ending scan numbers correspond to approximately 1.5-second duration for each bottle. SEASAVE writes information to file each time a bottle fire confirmation is received from SBE 32 Carousel Water Sampler or SBE 55 ECO Water Sampler or (only when used with 911plus) G.O. 1016 Rosette. Can be used by SBE Data Processing’s Data Conversion module.

.bmp

Bitmap graphic output from Plot display when you click Save to file icon in plot toolbar or right click in plot and select Save as.

.dat

Data -- binary raw data file created by older versions (Version < 6.0) of SEASAVE from SBE 911plus real-time data. File includes header information. Can be used by SBE Data Processing’s Data Conversion module.

.hdr

Header file – Includes same header information (software version, serial numbers, instrument configuration, etc.) as in .hex data file.

.hex

Data:

  • Hexadecimal raw data file created by SEASAVE from real-time data stream from SBE 9plus, 16, 16plus, 16plus V2, 19, 19plus, 19plus V2, 21, 25, or 49.

  • Data uploaded from memory of SBE 16, 16plus, 16plus-IM, 16plus V2, 16plus-IM V2, 17plus (used with SBE 9plus CTD), 19, 19plus, 19plus V2, 21,
    or 25.

  • Converted (engineering units) data file created by SEASAVE from real-time data stream from SBE 45.

File includes header information. Can be used by SBE Data Processing’s Data Conversion module.

.jpg

JPEG graphic output from Plot display when you click Save to file icon in plot toolbar or right click in plot and select Save as.

.mrk

Mark scan information -- output marker file containing sequential mark number, system time, and data for selected variables. SEASAVE writes information to file when user clicks on Mark Scan during data acquisition to mark significant events in cast. Can be used by SBE Data Processing’s Mark Scan module.

.nav

Navigation information -- output navigation file (for system integrated with NMEA navigational device) containing latitude, longitude, time, scan number, and pressure. SEASAVE writes information to file when user clicks on Add to .nav File in NMEA Display during data acquisition to mark significant events in cast.

.txt

Text file:

  • Output file created if you configure SEASAVE to output data to a shared .txt file.

  • Program setup report file (PSAReport.txt), which documents .psa file settings. PsaReport.txt is created when you click Report in Configure Inputs or Configure Outputs dialog box. SEASAVE creates this as a temporary file and opens it in Notepad; if you want to save it to document your settings, select File, Save As and enter desired file name and location.

  • Configuration report file (ConReport.txt), which documents .con file settings. ConReport.txt is created when you click Report in Configuration dialog box. SEASAVE creates this as a temporary file and opens it in Notepad; if you want to save it to document your settings, select File, Save As and enter desired file name and location.

  • Diagnostics log files (default names SSLog.txt and SALog.txt), created if you enable diagnostic log(s) on Diagnostics tab in Configure Outputs.

.wmf

Windows metafile graphic output from Plot display when you click Save to file icon in plot toolbar or right click in plot and select Save as.

.xml

File in XML format:

  • Output file created if you configure SEASAVE to output data to a shared file, and select XML format.
    Note: you can later convert .xml file to a .txt file using Tools menu.

  • Sensor calibration coefficient file. This file can be exported and/or imported into the dialog box for a sensor. This allows you to move a sensor from one instrument to another and update the instrument’s .con file while eliminating need for typing or the resulting possibility of typographical errors.


Command Line Operation

SEASAVE has several command line parameters, for infrequently used options.

Command Line Parameter | Function
-autostart= filename | Automatically start SEASAVE and data acquisition, using program setup (.psa) file defined by filename. Filename must include path and extension (.psa). SEASAVE uses .con file, setup in Configure Inputs and Configure Outputs, displays, and output file name defined in .psa file. This allows you to set up system ahead of time, and then have an untrained operator start acquisition without navigating through SEASAVE’s menus.
-u | Ignore output (.hex) file name defined in .psa file, and create a unique output (.hex) file name, based on current date and time. When used with autostart command line option, this allows you to set up system ahead of time, and then have an untrained operator start and stop acquisition multiple times without navigating through SEASAVE’s menus, generating a unique output file for each data acquisition.
-aa= filename | Automatically start SEASAVE and playback archived data, using program setup (.psa) file defined by filename. Filename must include path and extension (.psa). SEASAVE uses .con file, setup in Configure Inputs and Configure Outputs, displays, and input data file name defined in .psa file.
-autofire ondowncast | Allow user to set up auto fire for bottles at user-input, pre-defined pressures or depths on downcast (when this parameter is not specified, auto fire can only be set up for upcast, which is recommended for most applications). Note: Mixed mode firing (firing some bottles manually) is supported for firing on downcast as well as for firing on upcast.
-autostop= time | Automatically stop SEASAVE real-time data acquisition and shut down SEASAVE after time (in minutes). This can be used in conjunction with a batch file script to create new data files on a defined schedule for continuous acquisition systems, such as a thermosalinograph or a towed vehicle. See example in To Run SEASAVE with -Autostop Parameter below.
-nodeckunit | (9plus only) Provides smoother operation for an SBE 9plus CTD used without an SBE 11plus Deck Unit.
NOTE: If specifying multiple parameters, insert a space between each parameter in the list.

To Run SEASAVE with a Command Line Parameter (general instructions)

  1. In the Windows Start menu, select Run. The Run dialog box appears. Enter the command line parameter(s) as shown below:
    Path\seasave.exe parameter1 parameter2 . . . . .
    where Path is the location of seasave.exe on your computer, and 1 or more command line parameters are listed.
    Examples:
    • "C:\Program Files\Sea-Bird\SeasaveV7\seasave.exe" -autostart="C:\Test Directory\test.psa"
      (automatically start SEASAVE and data acquisition, based on setup in test.psa, and save data to .hex file specified in test.psa)
    • "C:\Program Files\Sea-Bird\SeasaveV7\seasave.exe" -autostart="C:\Test Directory\test.psa" –u
      (enable 2 parameters shown – automatically start SEASAVE and data acquisition, based on setup in test.psa, but ignore .hex file specified in .psa and save data to a uniquely named .hex file)
    • "C:\Program Files\Sea-Bird\SeasaveV7\seasave.exe" -autofireondowncast
      (automatically start SEASAVE. In SEASAVE, when you select Configure Inputs, click on Water Sampler tab, select a water sampler, select auto fire firing sequence, and click Auto-Fire pressure & Positions button, dialog box shows that bottles will be fired on downcast instead of upcast.)
  2. SEASAVE opens. The functions specified by the command line parameters are enabled. If –autostart was used, data acquisition starts.
NOTES
  • If the path includes any spaces, enclose the path in quotes ("path"). See the examples above.
  • An alternative method of running SEASAVE with a Command Line Parameter is from a command prompt.

To Run SEASAVE with Autostop Parameter

The Autostop parameter can be used in conjunction with a batch file (.bat) script to create new data files on a defined schedule for continuous acquisition systems, such as a thermosalinograph or a towed vehicle. Note the following additional requirements for this type of application:
  • Use the /autostart parameter, to automatically restart SEASAVE after each time it shuts down.
  • Use the /u parameter, to create a unique output (.hex) file name based on current date and time for each time that SEASAVE restarts.
  • Use MS-DOS’ /w parameter, to wait until SEASAVE completely closes before starting it again.
Note these additional requirements when using a batch file to run SEASAVE with Autostop:

  • You must use the forward slash (/) instead of the dash (-) in front of each parameter in the batch file (for example, use /w instead of –w).

  • A file path in the Start line of the batch file cannot contain any spaces, regardless of whether the path is enclosed in quotes.

A small amount of data is lost at the end of each specified time interval, because SEASAVE briefly shuts down and then restarts. Testing at Sea-Bird with several instruments showed a 10 - 20 second gap in the data each time acquisition was stopped and restarted using this technique. The gap is dependent on the instrument and its setup and configuration; we suggest running a test with your specific setup before implementation in the field.

Example .bat script

c:

cd \

cd Program Files

cd Sea-Bird

cd SeasaveV7

:repeat_forever

start  /w  seasave.exe  /autostart=C:\test.psa  /u  /autostop=60

goto repeat_forever

(automatically start SEASAVE and data acquisition, based on setup in test.psa, but ignore .hex file specified in .psa and save data to a uniquely named .hex file. Stop acquisition after 60 minutes and shut SEASAVE. Repeat the sequence.)

Run the .bat file using a DOS command window. When ready to stop the start / acquire data / stop sequence, simply close the DOS window.


Processing Data

Sea-Bird provides software, SBE Data Processing, for converting the raw .hex data file into engineering units, editing (aligning, filtering, removing bad data, etc.) the data, calculating derived variables, and plotting the processed data.
However, sometimes users want to edit the raw .hex data file before beginning processing, to remove data at the beginning of the file corresponding to instrument soak time, to remove blocks of bad data, to edit the header, or to add explanatory notes about the cast. Editing the raw .hex file can corrupt the data, making it impossible to perform further processing using Sea-Bird software. Sea-Bird strongly recommends that you first convert the data to a .cnv file (using the Data Conversion module in SBE Data Processing), and then use other SBE Data Processing modules to edit the .cnv file as desired.

The procedure for editing a .hex data file described below has been found to work correctly on computers running Windows 98, 2000, and NT. If the editing is not performed using this technique, SBE Data Processing may reject the edited data file and give you an error message.

NOTE
Although we provide this technique for editing a raw .hex file, Sea-Bird’s strong recommendation, as described above, is to always convert the raw data file and then edit the converted file.

  1. Make a back-up copy of your .hex data file before you begin.
  2. Run WordPad.
  3. In the File menu, select Open. The Open dialog box appears. For Files of type, select All Documents (*.*). Browse to the desired .hex data file and click Open.
  4. Edit the file as desired, inserting any new header lines after the System Upload Time line. Note that all header lines must begin with an asterisk (*), and *END* indicates the end of the header. An example is shown below, with the added lines in bold:

* Sea-Bird SBE 21 Data File:

* FileName = C:\Odis\SAT2-ODIS\oct14-19\oc15_99.hex

* Software Version Seasave Win32 v1.10

* Temperature SN = 2366

* Conductivity SN = 2366

* System UpLoad Time = Oct 15 1999 10:57:19

* Testing adding header lines

* Must start with an asterisk

* Place anywhere between System Upload Time & END of header

* NMEA Latitude = 30 59.70 N

* NMEA Longitude = 081 37.93 W

* NMEA UTC (Time) = Oct 15 1999 10:57:19

* Store Lat/Lon Data = Append to Every Scan and Append to .NAV File When <Ctrl F7> is Pressed

** Ship: Sea-Bird

** Cruise: Sea-Bird Header Test

** Station:

** Latitude:

** Longitude:

*END*

  5. In the File menu, select Save (not Save As). If you are running Windows 2000, the following message displays:

You are about to save the document in a Text-Only format, which will remove all formatting. Are you sure you want to do this?

Ignore the message and click Yes

  6. In the File menu, select Exit.


Derived Parameter Formulas

For formulas for the calculation of conductivity, temperature, and pressure, see the calibration sheets for your instrument.

Formulas for the computation of salinity, density, potential temperature, specific volume anomaly, and sound velocity were obtained from "Algorithms for computation of fundamental properties of seawater", by N.P. Fofonoff and R.C Millard Jr.; Unesco technical papers in marine science #44, 1983.
  • Temperature used for calculating derived variables is IPTS-68. Following the recommendation of JPOTS, T68 is assumed to be:
    1.00024 * T90 (-2 to 35 °C).
  • Salinity is PSS-78, and by definition is valid only in the range of 2 to 42 psu. Sea-Bird uses the PSS-78 algorithm in our software, without regard to those limitations on the valid range. Unesco technical papers in marine science 62 "Salinity and density of seawater: Tables for high salinities (42 to 50)" provides a method for calculating salinity in the higher range (http://unesdoc.unesco.org/images/0009/000964/096451mb.pdf)
NOTE
Algorithms used for calculation of derived parameters in SEASAVE and in SBE Data Processing’s Data Conversion, Derive, and SeacalcW modules are identical, except as noted.

Equations are provided for the following oceanographic parameters:
  • density (density, sigma-theta, sigma-1, sigma-2, sigma-4, sigma-t)
  • thermosteric anomaly
  • specific volume
  • specific volume anomaly
  • geopotential anomaly
  • dynamic meters
  • depth (salt water, fresh water)
  • seafloor depth (salt water, fresh water)
  • salinity
  • sound velocity (Chen-Millero, DelGrosso, Wilson)
  • average sound velocity
  • potential temperature (reference pressure = 0.0 decibars)
  • potential temperature anomaly
  • plume anomaly
  • specific conductivity
  • derivative variables (descent rate and acceleration)
  • oxygen (requires pressure, temperature, and conductivity, as well as oxygen current and oxygen temperature (for SBE 13 or 23) or oxygen signal (for SBE 43)
  • corrected irradiance (CPAR)

Formulas

(density of seawater with salinity s, temperature t, and pressure p, based on the equation of state for seawater (EOS80))
Density calculation:
Using the following constants –
B0 = 8.24493e-1, B1 = -4.0899e-3, B2 = 7.6438e-5, B3 = -8.2467e-7, B4 = 5.3875e-9, C0 = -5.72466e-3, C1 = 1.0227e-4, C2 = -1.6546e-6, D0 = 4.8314e-4, A0 = 999.842594, A1 = 6.793952e-2, A2 = -9.095290e-3, A3 = 1.001685e-4, A4 = -1.120083e-6, A5 = 6.536332e-9, FQ0 = 54.6746, FQ1 = -0.603459, FQ2 = 1.09987e-2, FQ3 = -6.1670e-5, G0 = 7.944e-2, G1 = 1.6483e-2, G2 = -5.3009e-4, i0 = 2.2838e-3, i1 = -1.0981e-5, i2 = -1.6078e-6, J0 =1.91075e-4, M0 = -9.9348e-7, M1 = 2.0816e-8, M2 = 9.1697e-10, E0 = 19652.21, E1 = 148.4206, E2 = -2.327105, E3 = 1.360477e-2, E4 = -5.155288e-5, H0 = 3.239908, H1 = 1.43713e-3, H2 = 1.16092e-4, H3 = -5.77905e-7, K0 = 8.50935e-5, K1 =-6.12293e-6, K2 = 5.2787e-8
C Computer Code
double Density(double s, double t, double p)
// s = salinity PSU, t = temperature deg C ITPS-68, p = pressure in decibars
{
 double t2, t3, t4, t5, s32;
 double sigma, k, kw, aw, bw;
 double val;
 t2 = t*t;
 t3 = t*t2;
 t4 = t*t3;
 t5 = t*t4;
 if (s <= 0.0) s = 0.000001;
 s32 = pow(s, 1.5);
 p /= 10.0;   /* convert decibars to bars */
 sigma = A0 + A1*t + A2*t2 + A3*t3 + A4*t4 + A5*t5 + (B0 + B1*t + B2*t2 + B3*t3 + B4*t4)*s + (C0 + C1*t + C2*t2)*s32 + D0*s*s;
 kw = E0 + E1*t + E2*t2 + E3*t3 + E4*t4;
 aw = H0 + H1*t + H2*t2 + H3*t3;
 bw = K0 + K1*t + K2*t2;
 k = kw + (FQ0 + FQ1*t + FQ2*t2 + FQ3*t3)*s + (G0 + G1*t + G2*t2)*s32 + (aw + (i0 + i1*t + i2*t2)*s + (J0*s32))*p + (bw + (M0 + M1*t + M2*t2)*s)*p*p;
 val = 1 - p / k;
 if (val) sigma = sigma / val - 1000.0;
 return sigma;
}

depth = [m]

(Note: For salt water depth, SEASAVE uses the latitude from a NMEA navigation device to calculate gravity for the depth algorithm, if NMEA is enabled in the .con file. If your system does not have NMEA, enter the desired latitude on the Miscellaneous tab in Configure Inputs.)

Depth calculation:

C Computer Code –

// Depth

double Depth(int dtype, double p, double latitude)

// dtype = fresh water or salt water, p = pressure in decibars, latitude in degrees

{

 double x, d, gr;

 if (dtype == FRESH_WATER) /* fresh water */

  d = p * 1.019716;

 else {   /* salt water  */

  x = sin(latitude / 57.29578);

  x = x * x;

  gr = 9.780318 * (1.0 + (5.2788e-3 + 2.36e-5 * x) * x) + 1.092e-6 * p;

  d = (((-1.82e-15 * p + 2.279e-10) * p - 2.2512e-5) * p + 9.72659) * p;

  if (gr) d /= gr;

 }

 return(d);

}

seafloor depth = depth + altimeter reading [m]

salinity = [PSU]
(Salinity is PSS-78, valid from 2 to 42 psu.)

Salinity calculation:

Using the following constants

A1 = 2.070e-5, A2 = -6.370e-10,
 A3 = 3.989e-15, B1 = 3.426e-2, B2 = 4.464e-4, B3 = 4.215e-1, B4 = -3.107e-3,
 C0 = 6.766097e-1, C1 = 2.00564e-2, C2 = 1.104259e-4, C3 = -6.9698e-7,
 C4 = 1.0031e-9

C Computer Code –

static double a[6] = { /* constants for salinity calculation */

 0.0080, -0.1692, 25.3851, 14.0941, -7.0261, 2.7081

};

static double b[6]={ /* constants for salinity calculation */

 0.0005, -0.0056, -0.0066, -0.0375, 0.0636, -0.0144

};

double Salinity(double C, double T, double P) /* compute salinity */

// C = conductivity S/m, T = temperature deg C ITPS-68, P = pressure in decibars

{

 double R, RT, RP, temp, sum1, sum2, result, val;

 int i;

 if (C <= 0.0)

  result = 0.0;

 else {

  C *= 10.0; /* convert Siemens/meter to mmhos/cm */

  R = C / 42.914;

  val = 1 + B1 * T + B2 * T * T + B3 * R + B4 * R * T;

  if (val) RP = 1 + (P * (A1 + P * (A2 + P * A3))) / val;

  val = RP * (C0 + (T * (C1 + T * (C2 + T * (C3 + T * C4)))));

  if (val) RT = R / val;

  if (RT <= 0.0) RT = 0.000001;

  sum1 = sum2 = 0.0;

  for (i = 0;i < 6;i++) {

   temp = pow(RT, (double)i/2.0);

   sum1 += a[i] * temp;

   sum2 += b[i] * temp;

  }

   val = 1.0 + 0.0162 * (T - 15.0);

  if (val)

   result = sum1 + sum2 * (T - 15.0) / val;

  else

   result = -99.;

 }

return result;

}

sound velocity = [m/sec]
(sound velocity can be calculated as Chen-Millero, DelGrosso, or Wilson)

Sound velocity calculation:

C Computer Code –

// Sound Velocity Chen and Millero

double SndVelC(double s, double t, double p0) /* sound velocity Chen and Millero 1977 */

     /* JASA,62,1129-1135 */

// s = salinity, t = temperature deg C ITPS-68, p = pressure in decibars

{

 double a, a0, a1, a2, a3;

 double b, b0, b1;

 double c, c0, c1, c2, c3;

 double p, sr, d, sv;

 p = p0 / 10.0;  /* scale pressure to bars */

 if (s < 0.0) s = 0.0;

 sr = sqrt(s);

 d = 1.727e-3 - 7.9836e-6 * p;

 b1 = 7.3637e-5 + 1.7945e-7 * t;

 b0 = -1.922e-2 - 4.42e-5 * t;

 b = b0 + b1 * p;

 a3 = (-3.389e-13 * t + 6.649e-12) * t + 1.100e-10;

 a2 = ((7.988e-12 * t - 1.6002e-10) * t + 9.1041e-9) * t - 3.9064e-7;

 a1 = (((-2.0122e-10 * t + 1.0507e-8) * t - 6.4885e-8) * t - 1.2580e-5) * t + 9.4742e-5;

 a0 = (((-3.21e-8 * t + 2.006e-6) * t + 7.164e-5) * t -1.262e-2) * t + 1.389;

 a = ((a3 * p + a2) * p + a1) * p + a0;

 c3 = (-2.3643e-12 * t + 3.8504e-10) * t - 9.7729e-9;

 c2 = (((1.0405e-12 * t -2.5335e-10) * t + 2.5974e-8) * t - 1.7107e-6) * t + 3.1260e-5;

 c1 = (((-6.1185e-10 * t + 1.3621e-7) * t - 8.1788e-6) * t + 6.8982e-4) * t + 0.153563;

 c0 = ((((3.1464e-9 * t - 1.47800e-6) * t + 3.3420e-4) * t - 5.80852e-2) * t + 5.03711) * t + 1402.388;

 c = ((c3 * p + c2) * p + c1) * p + c0;

 sv = c + (a + b * sr + d * s) * s;

 return sv;

}

// Sound Velocity Delgrosso

double SndVelD(double s, double t, double p) /* Delgrosso JASA, Oct. 1974, Vol 56, No 4 */

// s = salinity, t = temperature deg C ITPS-68, p = pressure in decibars

{

 double c000, dct, dcs, dcp, dcstp, sv;

 c000 = 1402.392;

 p = p / 9.80665;  /* convert pressure from decibars to KG / CM**2 */

 dct = (0.501109398873e1 - (0.550946843172e-1 - 0.22153596924e-3 * t) * t) * t;

 dcs = (0.132952290781e1 + 0.128955756844e-3 * s) * s;

 dcp = (0.156059257041e0 + (0.244998688441e-4 - 0.83392332513e-8 * p) * p) * p;

 dcstp = -0.127562783426e-1 * t * s + 0.635191613389e-2 * t * p + 0.265484716608e-7 * t * t * p * p - 0.159349479045e-5 * t * p * p + 0.522116437235e-9 * t * p * p * p - 0.438031096213e-6 * t * t * t * p - 0.161674495909e-8 * s * s * p * p + 0.968403156410e-4 * t * t * s + 0.485639620015e-5 * t * s * s * p - 0.340597039004e-3 * t * s * p;

 sv = c000 + dct + dcs + dcp + dcstp;

 return sv;

}

// sound velocity Wilson

double SndVelW(double s, double t, double p) /* wilson JASA, 1960, 32, 1357 */

// s = salinity, t = temperature deg C ITPS-68, p = pressure in decibars

{

 double pr, sd, a, v0, v1, sv;

 pr = 0.1019716 * (p + 10.1325);

 sd = s - 35.0;

 a = (((7.9851e-6 * t - 2.6045e-4) * t - 4.4532e-2) * t + 4.5721) * t + 1449.14;

 sv = (7.7711e-7 * t - 1.1244e-2) * t + 1.39799;

 v0 = (1.69202e-3 * sd + sv) * sd + a;

 a = ((4.5283e-8 * t + 7.4812e-6) * t - 1.8607e-4) * t + 0.16072;

 sv = (1.579e-9 * t + 3.158e-8) * t + 7.7016e-5;

 v1 = sv * sd + a;

 a = (1.8563e-9 * t - 2.5294e-7) * t + 1.0268e-5;

 sv = -1.2943e-7 * sd + a;

 a = -1.9646e-10 * t + 3.5216e-9;

 sv = (((-3.3603e-12 * pr + a) * pr + sv) * pr + v1) * pr + v0;

 return sv;

}

Average sound velocity is the harmonic mean (average) from the surface to the current CTD depth, and is calculated on the downcast only. The first window begins when pressure is greater than a user-input minimum specified pressure and salinity is greater than a user-input minimum specified salinity. Depth is calculated from pressure based on user-input latitude on the Miscellaneous tab in Configure Inputs (regardless of whether latitude data from a NMEA navigation device is in the data file).

  • In SEASAVE and in SBE Data Processing’s Data Conversion module, the algorithm also requires user input of a pressure window size and time window size. It then calculates:
    d     i = depth at end of window – depth at start of window [m]
    v     i = (sound velocity at start of window + sound velocity at end of window) / 2 [m/sec]

  • In SBE Data Processing’s Derive module, the algorithm is based on the assumption that the data has been bin averaged already. Average sound velocity is computed scan-by-scan:
    d     i = depth of current scan – depth of previous scan [m]
    v     i = sound velocity of this scan (bin) [m/sec]

(Notes:
1. Enter the latitude on the Miscellaneous tab in Configure Inputs. SEASAVE uses the user-input latitude, regardless of whether latitude data from a NMEA navigation device is available, to calculate gravity for the depth algorithm.
2. Enter the minimum pressure, minimum salinity, pressure window size, and time window size on the Miscellaneous tab in Configure Inputs.)

(Potential temperature is the temperature an element of seawater would have if raised adiabatically with no change in salinity to reference pressure pr. Sea-Bird software uses a reference pressure of 0 decibars).

Potential Temperature [IPTS-68] calculation:

C Computer Code

// ATG (used in potential temperature calculation)

double ATG(double s, double t, double p) /* adiabatic temperature gradient deg C per decibar */

  /* ref broyden,h. Deep-Sea Res.,20,401-408 */

// s = salinity, t = temperature deg C ITPS-68, p = pressure in decibars

{

 double ds;

 ds = s - 35.0;

 return((((-2.1687e-16 * t + 1.8676e-14) * t - 4.6206e-13) * p + ((2.7759e-12 * t - 1.1351e-10) * ds + ((-5.4481e-14 * t + 8.733e-12) * t - 6.7795e-10) * t + 1.8741e-8)) * p + (-4.2393e-8 * t + 1.8932e-6) * ds + ((6.6228e-10 * t - 6.836e-8) * t + 8.5258e-6) * t + 3.5803e-5);

}

// potential temperature

double PoTemp(double s, double t0, double p0, double pr) /* local potential temperature at pr */

   /* using atg procedure for adiabadic lapse rate */

   /* Fofonoff,N.,Deep-Sea Res.,24,489-491 */

// s = salinity, t0 = local temperature deg C ITPS-68, p0 = local pressure in decibars, pr = reference pressure in decibars

{

 double p, t, h, xk, q, temp;

 p = p0;

 t = t0;

 h = pr - p;

 xk = h * ATG(s,t,p);

 t += 0.5 * xk;

 q = xk;

 p += 0.5 * h;

 xk = h * ATG(s,t,p);

 t += 0.29289322 * (xk-q);

 q = 0.58578644 * xk + 0.121320344 * q;

 xk = h * ATG(s,t,p);

 t += 1.707106781 * (xk-q);

 q = 3.414213562 * xk - 4.121320344 * q;

 p += 0.5 * h;

 xk = h * ATG(s,t,p);

 temp = t + (xk - 2.0 * q) / 6.0;

 return(temp);

}

potential temperature anomaly =
potential temperature - a0 - a1 x salinity

or

potential temperature - a0 - a1 x Sigma-theta

(Note: Enter a0 and a1, and select salinity or sigma-theta on the Miscellaneous tab in Configure Inputs.)

plume anomaly =
potential temperature (s, t, p, Reference Pressure) – Theta-B – Theta-Z / Salinity-Z * (salinity – Salinity-B)
(Note: Enter Theta-B, Salinity-B, Theta-Z / Salinity-Z, and Reference Pressure on the Miscellaneous tab in Configure Inputs.)

specific conductivity = (C * 10,000) / (1 + A * [T – 25]) [microS/cm]
(C = conductivity (S/m), T = temperature (° C),
A = thermal coefficient of conductivity for a natural salt solution
[0.019 - 0.020]; Sea-Bird software uses 0.020.)

Descent rate and acceleration are computed by calculating the derivative of the pressure signal with respect to time (with a user-input window size for calculating the derivative), using a linear regression to determine the slope. Values computed by SEASAVE and SBE Data Processing’s Data Conversion module are somewhat different from values computed by SBE Data Processing’s Derive module. SEASAVE and Data Conversion compute the derivative looking backward in time (with a user-input window size), since they share common code and SEASAVE cannot use future values of pressure while acquiring data in real time. Derive uses a centered window (equal number of points before and after the scan; window size is user-input) to obtain a better estimate of the derivative. Use SEASAVE and Data Conversion to obtain a quick look at descent rate and acceleration; use Derive to obtain the most accurate values.
(Note: Enter the window size (seconds) for calculation of descent rate and acceleration on the Miscellaneous tab in Configure Inputs.)

oxygen [ml/l] = (As applicable, see Application Note 64: SBE 43 Dissolved Oxygen Sensor or Application Note 13-1: SBE 13, 23, 30 Dissolved Oxygen Sensor Calibration & Deployment)
(Oxygen computed by SEASAVE and SBE Data Processing’s Data Conversion module is somewhat different from values computed by SBE Data Processing’s Derive module. Both Algorithms compute the derivative of the oxygen signal with respect to time (with a user-input window size for calculating the derivative), using a linear regression to determine the slope. SEASAVE and Data Conversion compute the derivative looking backward in time (with a user-input window size), since they share common code and SEASAVE cannot use future values of oxygen while acquiring data in real time. Derive uses a centered window (equal number of points before and after the scan; window size is user-input) to obtain a better estimate of the derivative. Use SEASAVE and Data Conversion to obtain a quick look at oxygen values; use Derive to obtain the most accurate values.)
(Note: Enter the window size (seconds) for calculation of oxygen on the Miscellaneous tab in Configure Inputs.)

oxygen [mmoles/kg] = 44660 * oxygen [ml/l] / (Sigma-theta + 1000)

Corrected Irradiance [CPAR] =100*ratio multiplier*underwater PAR/surface PAR
(ratio multiplier = scaling factor used for comparing light fields of disparate intensity, input in .con file entry for surface PAR sensor;
underwater PAR = underwater PAR data;
surface PAR = surface PAR data)
Note: For complete description of ratio multiplier, see Application Note 11S (11plus Deck Unit) or 47 (SBE 33 or 36 Deck Unit).


Open/Save SEASAVE Setup

The SEASAVE program setup (.psa) file contains:
  • The path and name of the instrument configuration (.con) file, which defines the number and type of sensors, and the sensor calibration coefficients.
  • Other system configuration inputs -- setup for serial ports, water sampler, TCP/IP ports, miscellaneous parameters required for output of specific variables, and pump control.
  • System configuration outputs – setup for serial data output, serial ports, shared file output, mark variables, TCP/IP output, TCP/IP ports, SBE 11plus alarms, SBE 14 remote display, and header form.
  • Display window setup -- Information on setup, variables, size, and placement for each display window (fixed, scrolled, and plot) within the SEASAVE window.
The SEASAVE program setup file has a .psa extension.

NOTE
Changes that you make in the menu dialog boxes are saved to a buffer when you click OK and exit the dialog boxes. These changes are not automatically saved to the .psa file. If you close SEASAVE without saving to the .psa file, the changes are lost.

To Open SEASAVE Program Setup File

In the File menu, select:
  • Open Setup File -- In the Open dialog box, select the desired file name and location, and click Open. The file has a .psa extension. OR
  • Recent Setup Files – A list of the 10 most recently used setup files is provided. Select the desired file.

To Save SEASAVE Program Setup File

In the File menu, select:
  • Save Setup File, OR
  • Save Setup File As. In the Save As dialog box, select/enter the desired file name and location, and click Save. The file has a .psa extension.

To Restore SEASAVE Program Setup File

In the File menu, select Restore Setup File. Restoring the program setup file deletes any changes you made in the menu dialog boxes (saved in a buffer) since the last time you saved the .psa file, restoring the selections in the last saved .psa file.


Print Display

SEASAVE allows you to print any fixed, scrolled, or plot display.

To Print Display

  1. In the File menu, select Print.
  2. The Select Display dialog box appears. Select the desired display and click OK.
  3. The Print dialog box appears. Set up the printed output as desired, and then click Print or OK.


Serial Ports (Inputs)

The Serial Ports tab defines serial ports and other communication parameters for:
  • Sending commands to and receiving replies from the CTD
  • Sending commands to and receiving replies from a water sampler, through the SBE 11plus Deck Unit Modem Channel connector or the SBE 33 Deck Unit Carousel Data connector
  • Sending pump control commands to a custom SBE 9plus through the SBE 11plus Deck Unit Modem Channel connector
  • Outputting data to a serial port for user-defined purposes
  • Outputting converted data through a serial port to an SBE 14 Remote Display
Serial port parameters can be defined in Configure Inputs or Configure Outputs; if you make changes in one dialog box, those changes will appear when you open the other dialog box.

To View and Modify Serial Port Settings

  1. Click Configure Inputs; the dialog box appears. In the dialog box, click the Serial Ports tab:
  2. Define the COM port, baud rate, data bits, and parity for communication with the CTD. Defaults are shown for the instrument selected on the Instrument Configure tab in Configure Inputs, and are typical settings for that instrument. For descriptions of communication settings for each instrument, see CTD Serial Port Details below.
  3. Define the COM port to send commands to and receive replies from a water sampler through the SBE 11plus Deck Unit Modem Channel connector or the SBE 33 Deck Unit Carousel Data connector.
    Note: The same COM port is used to send pump control commands to a custom 9plus; this does not interfere with water sampler operation.
  4. Define the COM port, baud rate, data bits, stop bits, and parity for serial data output. Typical values for use with most computers: 9600 baud, 8 data bits, 1 stop bit, no parity.
  5. Define the COM port for output to the SBE 14 Remote Display.
  6. Click OK or click another tab in Configure Inputs.

NOTES
  • Default CTD communication settings shown are for typical instruments. If your instrument will not communicate at the settings shown:
    • Many instruments have a user-programmable baud rate; your instrument may have been programmed to communicate at a different baud rate (consult manual for baud rate command). AND/OR
    • Your instrument may have a custom modification that affects baud rate, data bits, and/or parity; consult the manual that was shipped with your instrument for the appropriate settings.
  • When you click OK to exit the Configure Inputs dialog box, SEASAVE saves the settings to a temporary location, but not to the setup (.psa) file. Save the .psa file before beginning real-time data acquisition, archived data playback, or exiting SEASAVE.

CTD Serial Port Details

Descriptions follow for the CTD Serial Port baud rate, data bits, and parity entries for each instrument.

SBE 9plus with SBE 11plus V2 Deck Unit (with or without Water Sampler) --
  • COM port connected to Deck Unit SBE 11 Interface connector
  • Baud rate between Deck Unit and computer; must agree with Deck Unit setting (19200 baud)
  • Parity and data bits – between Deck Unit and computer; must agree with Deck Unit setting (8 data bits, no parity)
SBE 19, 19plus, 19plus V2, or 25 with Water Sampler and SBE 33 Deck Unit or with PDIM and SBE 33 Deck Unit --
  • COM port -- connected to Deck Unit Serial Data connector
    (sends commands to and receives replies from the CTD through the Water Sampler)
  • Baud rate -- between Deck Unit and computer; must agree with Deck Unit dip switch setting (4800, 9600, or 19200)
  • Parity and data bits -- between Deck Unit and computer; must agree with Deck Unit setting (7 or 8 data bits, even or no parity)
SBE 19, 19plus, 19plus V2, or 25 with PDIM and SBE 36 Deck Unit --
  • COM port -- connected to Deck Unit Serial Data connector (sends commands to and receives replies from the CTD through the PDIM)
  • Baud rate -- between Deck Unit and computer; must agree with Deck Unit dip switch setting (9600 or 19200)
  • Parity and data bits -- between Deck Unit and computer; must agree with Deck Unit setting (7 or 8 data bits, even or no parity)
SBE 16, 16plus, 16plus V2, 19, 19plus, 19plus V2, 25, 45, or 49 connected directly to computer --
  • COM port -- connected to instrument
  • Baud rate -- between instrument and computer; must agree with instrument setup (user-programmed)
  • Parity and data bits -- between instrument and computer; must agree with instrument setting
    (SBE 16, 19, or 25: 7 data bits, even parity;
    SBE 16plus, 16plus V2, 19plus, 19plus V2, 45, or 49: 8 data bits, no parity)
SBE 21 with Interface Box --
  • COM port -- connected to Interface Box RS-232C connector
  • Baud rate -- between Interface Box and computer; must be greater than or equal to baud rate between SBE 21 and Interface Box, and must agree with Interface Box setup (user-programmed to 1200, 2400, 4800, 9600, or 19200)
  • Parity and data bits -- between SBE 21 and Interface Box and between Interface Box and computer; must agree with SBE 21 and Interface Box setting (user-programmed to 7 data bits, even parity)
SBE 45 with optional Interface Box --
  • COM port -- connected to Interface Box PC connector
  • Baud rate -- between Interface Box and computer; must agree with Interface Box and SBE 45 setup (user-programmed to 4800, 9600, or 19200 in both Interface Box and in SBE 45)
  • Parity and data bits -- between SBE 45 and Interface Box and between Interface Box and computer ; must agree with SBE 45 and Interface Box setting (8 data bits, no parity)


Water Sampler

A Sea-Bird CTD can be integrated with a water sampler when used with a deck unit (SBE 11plus or SBE 33 as applicable). Water sampler bottles can be fired:
  • By command from SEASAVE (see Fire Bottle Control),
  • Autonomously, based on user-input, pre-defined pressures or depths (see Auto Fire Setup),
  • A mix of by command and autonomously (see Auto Fire Setup and Fire Bottle Control), or
  • From a remote computer via a TCP/IP port (see Seasave Remote for Remote Display and Bottle Firing or Java Application for Remote Bottle Firing)
Bottle firings can be recorded in the data in several ways:
  • 911plus with SBE 32 Carousel Water Sampler or G.O. 1016 Rosette, or
    SBE 19, 19plus, 19plus V2, or 25 with SBE 33 Carousel Deck Unit and SBE 32 Carousel Water Sampler, or
    SBE 19, 19plus, 19plus V2, or 25 with SBE 33 Carousel Deck Unit and SBE 55 ECO Water Sampler:
    SEASAVE automatically writes bottle sequence number, bottle position, date, time, and beginning and ending scan numbers to a bottle log (.bl) file each time a bottle fire confirmation is received from the water sampler. The beginning and ending scan numbers correspond to approximately a 1.5-second duration for each bottle.
  • 911plus with G.O. 1015 Rosette:
    SEASAVE automatically sets the bottle confirm bit in the data (.hex) file for all scans within a 1.5-second period after a bottle firing confirmation is received from the water sampler.
  • If desired, you can use SEASAVE’s Mark Scan feature to manually note when bottles are fired, creating a .mrk file.
SBE Data Processing can use the bottle firing information, in any of these forms, to assist you in processing the water bottle data.

To Enable and Set Up Water Sampler

  1. Click Configure Inputs; the Configure Inputs dialog box appears. In the dialog box, click the Water Sampler tab:
  2. Select the Water sampler type (SBE Carousel [32, 32C, or 32SC], SBE ECO [SBE 55], GO 1015, GO 1016, Hydro-Bios, IOW, or none).
  3. Select the Number of water bottles (up to 36 bottles, depending on water sampler capacity).
  4. Select the Firing sequence:
    • Sequential -- When commanded to fire, bottles are fired in order of position (bottle in position #1 fired first, bottle in position #2 fired second, etc.).
    • User input -- When commanded to fire, SEASAVE prompts you to select which bottle to fire.
    • Table driven -- When commanded to fire, bottles are fired in order pre-defined by user-input table. Click Bottle Positions for Table Driven to input the bottle positions. See Table Driven Setup.
    • Auto Fire -- Fire bottles automatically at user-input, pre-defined pressures or depth (can also fire some bottles manually), on upcast . Click Auto-Fire Pressures & Positions to input parameters; see Auto Fire Setup.
      (Note: Auto Fire on downcast is available with use of the -autofireondowncast command line parameter. See Command Line Operation.)
  5. If desired, enable remote firing to control bottle firing from a remote computer through TCP/IP ports, instead of as defined by Firing Sequence. Select ports on TCP/IP Ports tab. See Remote Bottle Firing discussion below.
  6. Set up and test the tone emitted by the computer running SEASAVE when each bottle fire confirmation is received. The tone is provided through the PC internal speaker or the PC sound card (for transmission to external speakers or headphones).
  7. Click the Serial Ports tab to define the COM port for communication with the water sampler.
  8. Click OK or click another tab in Configure Inputs.
NOTES
  • See Fire Bottle Control for details on firing the bottles from SEASAVE during real-time data acquisition.
  • When you click OK to exit the Configure Inputs dialog box, SEASAVE saves the settings to a temporary location, but not to the setup (.psa) file. Save the .psa file before beginning real-time data acquisition, archived data playback, or exiting SEASAVE.

Remote Bottle Firing

If you select Enable remote firing on the Water Sampler tab, bottle firing is controlled from a remote computer connected via TCP/IP ports to the computer that is running SEASAVE. Software on the remote computer is required to control bottle firing via TCP/IP. Sea-Bird provides two methods for performing this function:
  • Seasave Remote has many of the same display and plotting capabilities as SEASAVE. It can be used to display data on a remote computer that is transmitted in XML format (via TCP/IP or to a shared file), and to fire bottles from a remote computer. See Seasave Remote for Remote Display and Bottle Firing or see Seasave Remote's Help files.
  • Fixed Display.jar and FireBottles.jar are sample Java applications. FixedDisplay.jar allows you to view a Fixed display on a remote computer, to display data that is transmitted via TCP/IP in XML format. FireBottles.jar allows you to fire bottles from a remote computer. You can use the provided sample applications, or modify them as desired. See Java Application for Remote Display and Java Application for Remote Bottle Firing.
NOTE
As an alternative to using the remote bottle firing software provided by Sea-Bird, you can develop your own application using your desired software.


Auto Fire Setup

If you select Auto Fire on the Water Sampler tab, and click Auto Fire Pressures & Positions, the Auto-Fire Table Entry dialog box appears (to define the closure order and closure pressures or depths):

  • Use pressure (db) to determine bottle firing or
    Use depth (meters) to determine bottle firing     –
    Input values for each bottle firing as pressures (db) or depth (meters). Dialog box text changes to correspond.
  • Fire bottles on upcast when pressure (db) is less than or
    Fire bottles on upcast when depth (meters) is less than     –
    Upcast is enabled (has begun) when pressure / depth exceeds this value. If CTD never meets this criteria (i.e., CTD did not go as deep as anticipated), no water samples are taken.
  • Depth type (salt water or fresh water) – used to calculate depth from measured pressure if depth in meters is selected.
    • For salt water, algorithm estimates local gravity from latitude. It uses latitude from a NMEA navigation device, if NMEA is enabled in the .con file. If your system does not have NMEA, enter the desired latitude on the Miscellaneous tab in Configure Inputs.
    • For fresh water, the algorithm ignores the gravity variation with latitude, because fresh water applications are usually shallow, and the effect of the gravity variation is insignificant.
  • Allow manual firing -- See Mixed Mode below for discussion of setup allowing manual firing of some bottles with auto fire of other bottles.
  • Pressure / Depth and Bottle # -- Bottles may be closed in any order desired. Enter pressure/depths in any order; when you click OK SEASAVE reorders the list from deepest to shallowest (you can see the reordered list by clicking Auto-Fire Pressures & Positions again on the Water Sampler tab).

NOTE
Auto fire can be set up to fire on downcast instead of upcast, with the use of the
-autofireondowncast command line parameter. See Command Line Operation for details.

Mixed Mode (auto bottle firing, but also allowing manual bottle firing)

Seasave allows manual firing of some bottles along with auto firing of other bottles, referred to as mixed mode firing. This is often used to obtain a water sample at one or more points with the water sampler held in a stationary position. Typical positions for manual firing are at the actual bottom of the cast (because the bottom of the cast cannot be predicted with certainty beforehand), and at the top of the cast. Looking at the Auto Fire dialog again, and reviewing the setup for mixed mode firing:

  • Use pressure (db) to determine bottle firing or
    Use depth (meters) to determine bottle firing     –
    Input values for each bottle firing as pressures (db) or depth (meters). Dialog box text changes to correspond.
  • Fire bottles on upcast when pressure (db) is less than or
    Fire bottles on upcast when depth (meters) is less than     –
    Upcast is enabled (has begun) when pressure / depth exceeds this value. If CTD never meets this criteria (i.e., CTD did not go as deep as anticipated), no automatic water samples are taken (but you can still manually fire bottles if Allow manual firing is selected).
  • Depth type (salt water or fresh water) – used to calculate depth from measured pressure if depth in meters is selected.
    • For salt water, algorithm estimates local gravity from latitude. It uses latitude from a NMEA navigation device, if NMEA is enabled in the .con file. If your system does not have NMEA, enter the desired latitude on the Miscellaneous tab in Configure Inputs.
    • For fresh water, the algorithm ignores the gravity variation with latitude, because fresh water applications are usually shallow, and the effect of the gravity variation is insignificant.
  • Allow manual firing -- Enable mixed mode (allowing manual firing of some bottles with auto fire of other bottles).
  • Pressure / Depth and Bottle # -- Bottles may be closed in any order desired. Enter pressure/depths in any order; when you click OK SEASAVE reorders the list from deepest to shallowest (you can see the reordered list by clicking Auto-Fire Pressures & Positions again on the Water Sampler tab).
    Setup for     mixed mode: Bottles with pressure or depth greater than 10,500 (for example, bottle 1 is set to fire at 15,000) or less than 0 (for example, bottle 12 is set to fire at -50) will not be fired automatically, ensuring user manual firing of those bottles. Also, bottles with pressure or depth greater than Fire bottles on upcast when pressure or depth is less than (for example, 900 db) will not be fired automatically. Other bottles can also be fired manually, but only if the user fires them before the water sampler reaches the specified pressure or depth.

NOTE
Auto fire can be set up to fire on downcast instead of upcast, with the use of the
-autofireondowncast command line parameter. See Command Line Operation for details.


TCP/IP Ports (Inputs)

TCP/IP is Transmission Control Protocol/Internet Protocol, a communication protocol used to connect hosts on the internet and/or over networks. TCP/IP allows you to connect your CTD to a computer on deck while receiving data and firing bottles at a remote location elsewhere on the ship. TCP/IP also allows multiple applications running on the same computer to communicate with each other.

TCP/IP port parameters can be defined in Configure Inputs or Configure Outputs; if you make changes in one dialog box, those changes will appear when you open the other dialog box.

To Set Up TCP/IP Ports

  1. Click Configure Inputs; the Configure Inputs dialog box appears. In the dialog box, click the TCP/IP Ports tab:
  2. Define ports for communication with SEASAVE’s data acquisition application. SEASAVE is actually 2 applications – Seasave.exe automatically launches SeasaveAcq.exe when data acquisition is commanded to start, and both programs run simultaneously on the same computer. Define TCP/IP ports for following communications between these 2 applications:
    • Seasave.exe receives raw data from SeasaveAcq.exe.
    • Seasave.exe receives status messages from SeasaveAcq.exe
    • Seasave.exe sends commands to SeasaveAcq.exe.
  3. Define ports for remote bottle firing:
    • Receive commands to fire bottles from another application on same computer or from another computer, through defined port.
    • Send status response (bottle fire confirmations) to another application on same computer or to another computer, through defined port.
  4. Define ports to output data:
    • Send converted data to another application on same computer, or to another computer.
    • Send raw data to another application on same computer, or to another computer.
  5. Click OK or click another tab in Configure Inputs.
NOTES
  • When you click OK to exit the Configure Inputs dialog box, SEASAVE saves the settings to a temporary location, but not to the setup (.psa) file. Save the .psa file before beginning real-time data acquisition, archived data playback, or exiting SEASAVE.
  • Seasave Remote for Remote Display and Bottle Firing provides information on Sea-Bird software that can be installed on a remote computer for viewing data and firing bottles. Seasave Remote has many of the same display and plotting capabilities as SEASAVE.
  • As an alternative to using Seasave Remote, Java Application for Remote Display and Java Application for Remote Bottle Firing provide information on sample Java applications that can be installed on a remote computer for viewing data and firing bottles. You can use the provided sample applications or modify them as desired.


Miscellaneous

The Miscellaneous tab defines parameters required for output of specific variables (depth, average sound velocity, descent rate, acceleration, oxygen, plume anomaly, and potential temperature anomaly). Entries on this tab are used only if you are outputting the associated variable to a display window, shared file, remote device, TCP/IP port, etc. For example, if you do not select Oxygen as an output variable for a display window or on any tab in the Configure Outputs dialog box, SEASAVE ignores the value entered for Oxygen window size on the Miscellaneous tab. See Derived Parameter Formulas for details on how the values entered on the Miscellaneous tab are used in the calculations.

To Enter Miscellaneous Parameters

  1. Click Configure Inputs; the Configure Inputs dialog box appears. In the dialog box, click the Miscellaneous tab:
  2. Enter the desired values. Click OK or click another tab in Configure Inputs.
NOTE
When you click OK to exit the Configure Inputs dialog box, SEASAVE saves the settings to a temporary location, but not to the setup (.psa) file. Save the .psa file before beginning real-time data acquisition, archived data playback, or exiting SEASAVE.


Pump Control

The Pump Control tab allows you to enable / disable user pump control for an SBE 9plus with custom modifications. Pump control commands are sent through the SBE 11plus Deck Unit Modem Channel connector (COM port is defined on Serial Ports tab) during real-time data acquisition; pump control does not interfere with water sampler operation.

To Enable / Disable Pump Control

  1. Click Configure Inputs; the Configure Inputs dialog box appears. In the dialog box, click the Pump Control tab:
  2. Enable / disable pump control (If enabled, Pump On and Pump Off functions are available in Real-Time Control menu during data acquisition. If not enabled, those functions are grayed out and unavailable). Click OK or click another tab in Configure Inputs.
NOTE
When you click OK to exit the Configure Inputs dialog box, SEASAVE saves the settings to a temporary location, but not to the setup (.psa) file. Save the .psa file before beginning real-time data acquisition, archived data playback, or exiting SEASAVE.


Instrument Configuration Introduction

The instrument configuration (.con) file defines the instrument configuration (what sensors are integrated with the instrument and what channels are used by the sensors) and the sensor calibration coefficients. SEASAVE uses this information to convert the raw data stream into engineering units for display during real-time data acquisition or archived data playback.

To View, Modify, or Create .con File

  1. To create a new .con file: Click Configure Inputs. In the Configure Inputs dialog box, click the Instrument Configuration tab. Click Create. In the Select an Instrument dialog box, select the desired instrument and click OK. Go to Step 3.
  2. To select and view or modify an existing .con file:
    1. Click Configure Inputs. In the Configure Inputs dialog box, click the Instrument Configuration tab. Click Open. In the Select Instrument Configuration File dialog box, browse to the desired file and click Open.
    2. The configuration information appears on the Instrument Configuration tab. An example is shown for the SBE 9plus.

      This screen provides an easy way to view the configuration, but selections cannot be modified here. Click Modify to bring up a dialog box to change the configuration and/or view calibration coefficients.
  3. The Configuration dialog box appears. Selections at the top are different for each instrument; see SBE 9plus, 16, 16plus, 16plus V2, 19, 19plus, 19plus V2, 21, 25, 45, or 49. An example is shown for the SBE 9plus.

All Instrument Configuration dialog boxes include:

    • List of instrument configuration options at the top (instrument-specific), such as number of auxiliary channels, pressure sensor type, and addition of Surface PAR and NMEA to the CTD data string.
    • Channel/Sensor Table: This table reflects the options selected at the top (for example, the number of voltage sensors listed in the table agrees with the user-selection for External voltage channels). Shaded sensors cannot be removed or changed to another type of sensor. All others are optional.
      • To change a sensor type and input its calibration coefficients: After you specify the number of frequency and/or voltage channels at the top of the dialog box, click a (non-shaded) sensor and click Select to pick a different sensor for that channel (or right click on the sensor and select Select New . . . Sensor). A dialog box with a list of sensors appears.

        Double click on the desired sensor. The Calibration Coefficients dialog box appears. An example is shown below for a pH sensor:

        Enter the desired values and click OK.
        Note:         For details on using the Import and Export buttons in the sensor dialog box, see Importing and Exporting Calibration Coefficients.
      • To change a sensor’s calibration coefficients: In the Configuration dialog box, click a sensor and click Modify to change the calibration coefficients for that sensor (or right click on the sensor and select Modify . . . Calibration, or double click on the sensor). The Calibration Coefficients dialog box appears (example shown above). See Calibration Coefficients - Voltage Sensors, A/D Count Sensors, and Frequency Sensors for calculation of coefficients.
    • New: Click to create a new .con file for this instrument.
    • Open: Click to select a different .con file.
    • Save or Save As: Click to save the current .con file settings.
    • Report: Click to open a .txt file (for viewing and printing only, cannot be modified) that shows all parameters in the .con file.
    • Exit: Click to exit dialog box. If you made changes and did not Save or Save As, SEASAVE asks if you want to save changes.

Click Exit to return to the Configure Inputs dialog box.

  4. Click OK or click another tab in Configure Inputs.
Additional .con file discussion is in several parts:
  • For details on setup for each instrument, see the instrument configuration dialog box: SBE 9plus, 16, 16plus, 16plus V2, 19, 19plus, 19plus V2, 21, 25, 45, or 49.
  • For details on calculation of calibration coefficients, see:
    Calibration Coefficients - Frequency Sensors     for frequency sensors (temperature, conductivity, Digiquartz pressure, IOW sound velocity, etc.).
    Calibration Coefficients - A/D Count Sensors     for A/D count sensors (temperature and strain gauge pressure) used on the SBE 16plus, 16plus V2, 19plus, 19plus V2, and 49.
    Calibration Coefficients - Voltage Sensors     for voltage sensors (strain gauge pressure, oxygen, pH, etc.).
  • Format of .con File contains a line-by-line description of the contents of the .con file, which can be viewed in a text editor.
NOTES
  • Sea-Bird supplies a .con file with each instrument. The .con file must match the existing instrument configuration and contain current sensor calibration information.
  • Unless noted otherwise, SEASAVE supports only one of each brand and type of auxiliary sensor (for example, you cannot specify two Chelsea Minitracka fluorometers, but you can specify a Chelsea Minitracka and a Chelsea UV Aquatracka fluorometer). See the individual sensor descriptions in Calibration Coefficients - Voltage Sensors for those sensors that SEASAVE supports in a redundant configuration (two or more of the same sensor interfacing with the CTD).
  • When you click OK to exit the Configure Inputs dialog box, SEASAVE saves the settings to a temporary location, but not to the setup (.psa) file. Save the .psa file before beginning real-time data acquisition, archived data playback, or exiting SEASAVE.


SBE 9plus Configuration

The configuration (.con) file defines the instrument configuration (number and type of sensors) and sensor calibration coefficients. Access the configuration dialog box by selecting Configure Inputs , clicking on the Instrument Configuration tab, and opening an existing .con file or creating a new file. The dialog box looks like this:

The dialog box entries and buttons are:
  • Frequency channels suppressed: Channel/Sensor table reflects this choice. Typically:
    • 0 = SBE 3 or 4 plugged into JB5 on 9plus end cap (dual redundant sensor configuration)
    • 1 = SBE 3 or 4 plugged into JB4 on 9plus end cap and not using JB5 connector (single redundant sensor configuration)
    • 2 = no redundant T or C sensors
  • Voltage words suppressed: Channel/Sensor table reflects this choice. Voltage channel 0 in .con file corresponds to sensor wired to channel 0 on end cap connector, voltage channel 1 to sensor wired to channel 1 on end cap connector, etc. Total number of voltage words is 4; each word contains data from two 12-bit A/D channels. Deck Unit suppresses words above highest numbered voltage word used.
    Words to suppress = 4 - Words to Keep
    • External Voltage (not spare) | Connector | Words to Keep
0 or 1 | AUX1 | 1
2 or 3 | AUX2 | 2
4 or 5 | AUX3 | 3
6 or 7 | AUX4 | 4
  • Computer interface: IEEE-488 (GPIB) or RS-232C, based on how SBE 11plus is connected to computer.
  • Scans to average: For full rate data, set to 1.
    Example    : 9plus scan rate is 24 Hz (24 scans/second); if number of scans to average=24, SEASAVE will average 24 scans, saving data to the computer at the rate of 1 scan/second.
  • NMEA position data added: Select if NMEA navigation device used, and select whether NMEA device is connected directly to 11plus Deck Unit or to computer. If NMEA navigation device connected to computer, you can also append NMEA depth data (3 bytes) and NMEA time data (4 bytes) after Lat/Lon data. SEASAVE adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked (see NMEA Display).
  • Surface PAR voltage added: Select if Surface PAR sensor used; must agree with Deck Unit setup (AddSpar=). SEASAVE appends Surface PAR data to every scan. Adds 2 channels to Channel/Sensor table. See Application Note 11S on our website.
  • Scan time added: Select to include time of each scan (seconds since January 1, 1970 GMT) with data.
  • Channel/Sensor table: Shaded sensors cannot be removed or changed to another type of sensor. All others are optional.
    • Click a (non-shaded) sensor and click Select to pick a different sensor for that channel. A dialog box with a list of sensors appears. Select sensors after number of frequency channels and voltage words have been specified above.
    • Click a sensor and click Modify to change the calibration coefficients for that sensor (see Calibration Coefficients - Voltage Sensors and Frequency Sensors).
  • New: Click to create new .con file for this CTD.
  • Open: Click to select different .con file.
  • Save or Save As: Click to save current .con file settings.
  • Report: Click to open a .txt file (for viewing and printing only, cannot be modified) that shows all parameters in .con file.
  • Exit: Click to exit dialog box. If you made changes and did not Save or Save As, program asks if you want to save changes.
Shown below is an example status (DS) response in SEATERM that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in SEATERM to modify the setup of parameters critical to use of the instrument with SEASAVE, as well as any explanatory information.
SBE 11plus V 5.1f
Number of scans to average = 1
(11plus reads this from .con file in SEASAVE after Deck Unit is reset.)
pressure baud rate = 9600
NMEA baud rate = 4800
surface PAR voltage added to scan
(Enabling of surface PAR [AddSpar=] must match Surface PAR voltage added in .con file.)
A/D offset = 0
GPIB address = 1
(GPIB address must be 1 [GPIB=1] to use SEASAVE, if Computer interface is IEEE-488 (GPIB) in .con file.)
advance primary conductivity 0.073 seconds
advance secondary conductivity 0.073 seconds
autorun on power up is disabled


SBE 16 Configuration

The configuration (.con) file defines the instrument configuration (number and type of sensors) and sensor calibration coefficients. Access the configuration dialog box by selecting Configure Inputs, clicking on the Instrument Configuration tab, and opening an existing .con file or creating a new file. The dialog box looks like this:

The dialog box entries and buttons are:
  • Pressure sensor type: Select strain gauge, Digiquartz with or without temperature compensation, or no pressure sensor. If no pressure sensor or Digiquartz without Temp Comp is selected, Data button accesses a dialog box to input additional parameter(s) needed to process data.
  • External voltage channels: Channel/Sensor table reflects this choice. Must agree with SBE 16 setup for SVn (n=0, 1, 2, 3, or 4); see reply from DS. Voltage channel 0 in .con file corresponds to sensor wired to channel 0 on end cap connector, voltage channel 1 in .con file corresponds to sensor wired to channel 1 on end cap connector, etc.
  • Firmware version: See DS. Used to determine strain gauge pressure sensor data format.
  • Sample interval seconds: Time between scans. Used to calculate elapsed time, if you select time as a parameter for a display window. For elapsed time calculation to be correct, this entry must agree with SBE 16 setup (SI); see reply from DS.
  • NMEA position data added: Select if using with a deck unit connected to a NMEA navigation device. SEASAVE adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked (see NMEA Display).
  • Scan time added: Select to include time of each scan (seconds since January 1, 1970 GMT) with data.
  • Channel/Sensor table: Shaded sensors cannot be removed or changed to another type of sensor. All others are optional.
    • Click a (non-shaded) sensor and click Select to pick a different sensor for that channel. A dialog box with a list of sensors appears. Select sensors after number of frequency channels and voltage words have been specified above.
    • Click a sensor and click Modify to change the calibration coefficients for that sensor (see Calibration Coefficients - Voltage Sensors and Frequency Sensors).
  • New: Click to create new .con file for this CTD.
  • Open: Click to select different .con file.
  • Save or Save As: Click to save current .con file settings.
  • Report: Click to open a .txt file (for viewing and printing only, cannot be modified) that shows all parameters in .con file.
  • Exit: Click to exit dialog box. If you made changes and did not Save or Save As, program asks if you want to save changes.
Shown below is an example status (DS) response in SEATERM that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in SEATERM to modify the setup of parameters critical to use of the instrument with SEASAVE, as well as any explanatory information.
SEACAT V4.0h SERIAL NO. 1814 07/14/95 09:52:52.082
(If pressure sensor installed, pressure sensor information appears here in status response; must match Pressure sensor type in .con file.)
clk = 32767.789, iop = 103, vmain = 8.9, vlith = 5.9
sample interval = 15 sec
(Sample interval [SI] must match Sample interval seconds in .con file.)
delay before measuring volts = 4 seconds
samples = 0, free = 173880, lwait = 0 msec
SW1 = C2H, battery cutoff = 5.6 volts
no. of volts sampled = 2
(Number of auxiliary voltage sensors enabled [SVn] must match External voltage channels in .con file.)
mode = normal
logdata = NO


SBE 16plus Configuration

The configuration (.con) file defines the instrument configuration (number and type of sensors) and sensor calibration coefficients. Access the configuration dialog box by selecting Configure Inputs, clicking on the Instrument Configuration tab, and opening an existing .con file or creating a new file. The dialog box looks like this:

The dialog box entries and buttons are:
  • Pressure sensor type: Select strain gauge, Digiquartz with temperature compensation, or no pressure sensor. If no pressure sensor is selected, Data button accesses a dialog box to input additional parameter needed to process data. Must agree with 16plus setup (PType=); see reply from DS. Note that pressure sensor selection applies only to internally mounted pressure sensor; if your instrument has no internally mounted pressure sensor but is interfacing with an SBE 50 pressure sensor, select No pressure sensor here and then select SBE 50 in Serial RS-232C sensor field below. Note: Digiquartz without temperature compensation is not applicable.
  • External voltage channels: Channel/Sensor table reflects this choice (0, 1, 2, 3, or 4). Must agree with 16plus setup for Voltn= (n= 0, 1, 2, and 3); see reply from DS. Voltage channel 0 in .con file corresponds to first external voltage in data stream, voltage channel 1 to second external voltage in data stream, etc.
  • Serial RS-232C sensor: Select 1 SBE 38 (secondary temperature), 1 SBE 50 Pressure Sensor, or up to 2 Pro-Oceanus GTDs (dissolved oxygen or nitrogen), interfacing with the 16plus through the optional RS-232 connector. Note that data from an SBE 50 pressure sensor is appended to the data stream, and does not replace the (optional) internally mounted pressure sensor data. Must agree with 16plus setup; see reply from DS. Channel/Sensor table lists RS-232 sensors below voltage channels.
  • Sample interval seconds: Time between scans. Used to calculate elapsed time, if you select time as a parameter for a display window. For elapsed time calculation to be correct, this entry must agree with 16plus setup (SampleInterval=); see reply from DS.
  • NMEA position data added: Select if using with a deck unit connected to a NMEA navigation device. SEASAVE adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked (see NMEA Display).
  • Channel/Sensor Table: Shaded sensors cannot be removed or changed to another type of sensor. All others are optional.
    • Click a (non-shaded) sensor and click Select to pick a different sensor for that channel. A dialog box with a list of sensors appears. Select sensors after number of frequency channels and voltage words have been specified above.
    • Click a sensor and click Modify to change the calibration coefficients for that sensor (see Calibration Coefficients – A/D Count Sensors for temperature and strain gauge pressure sensors, Voltage Sensors for auxiliary sensors, and Frequency Sensors for Digiquartz pressure sensors).
  • New: Click to create new .con file for this CTD.
  • Open: Click to select different .con file.
  • Save or Save As: Click to save current .con file settings.
  • Report: Click to open a .txt file (for viewing and printing only, cannot be modified) that shows all parameters in .con file.
  • Exit: Click to exit dialog box. If you made changes and did not Save or Save As, program asks if you want to save changes.
Shown below is an example status (DS) response in SEATERM that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in SEATERM to modify the setup of parameters critical to use of the instrument with SEASAVE, as well as any explanatory information.
SBE 16plus V 1.6e SERIAL NO. 4300 03 Mar 2005 14:11:48
vbatt = 10.3, vlith = 8.5, ioper = 62.5 ma, ipump = 21.6 ma, iext01 = 76.2 ma, iserial = 48.2 ma
status = not logging
sample interval = 10 seconds, number of measurements per sample = 2
(Sample interval [SampleInterval=] must match Sample interval seconds in .con file.)
samples = 823, free = 465210
run pump during sample, delay before sampling = 2.0 seconds
transmit real-time = yes
(Real-time data transmission must be enabled [TXRealTime=Y] to acquire data in SEASAVE.)
battery cutoff = 7.5 volts
pressure sensor = strain gauge, range = 1000.0
(Internal pressure sensor [PType=] must match Pressure sensor type in .con file.)
SBE 38 = yes, SBE 50 = no, Gas Tension Device = no
(Selection/enabling of RS-232 sensors [SBE38=, SBE50=, GTD=, DualGTD=] must match Serial RS-232C sensor in .con file.)
Ext Volt 0 = yes, Ext Volt 1 = yes, Ext Volt 2 = no, Ext Volt 3 = no
(Number of external voltage sensors enabled [Volt0= through Volt3=] must match External voltage channels in .con file.)
echo commands = yes
output format = raw HEX
(Output format must be set to raw Hex [OutputFormat=0] to acquire data in SEASAVE.)
serial sync mode disabled
(Serial sync mode must be disabled [SyncMode=N] to acquire data in SEASAVE.)


SBE 16plus V2 Configuration

The configuration (.con) file defines the instrument configuration (number and type of sensors) and sensor calibration coefficients. Access the configuration dialog box by selecting Configure Inputs, clicking on the Instrument Configuration tab, and opening an existing .con file or creating a new file. The dialog box looks like this:

The dialog box entries and buttons are:
  • Pressure sensor type: Select strain gauge, Digiquartz with temperature compensation, or no pressure sensor. If no pressure sensor is selected, Data button accesses a dialog box to input additional parameter needed to process data. Must agree with 16plus V2 setup (PType=); see reply from GetCD or DS. Note that pressure sensor selection applies only to internally mounted pressure sensor; if your instrument has no internally mounted pressure sensor but is interfacing with an SBE 50 pressure sensor, select No pressure sensor here and then select SBE 50 in Serial RS-232C sensor field below. Note: Digiquartz without temperature compensation is not applicable.
  • External voltage channels: Channel/Sensor table reflects this choice (0, 1, 2, 3, 4, 5, or 6). Must agree with 16plus V2 setup for Voltn= (n= 0, 1, 2, 3, 4, and 5); see reply from GetCD or DS. Voltage channel 0 in .con file corresponds to first external voltage in data stream, voltage channel 1 to second external voltage in data stream, etc.
  • Serial RS-232C sensor: Select none, 1 SBE 38 (secondary temperature), 1 SBE 50 Pressure Sensor, or up to 2 Pro-Oceanus GTDs (dissolved oxygen or nitrogen). Note that data from an SBE 50 pressure sensor is appended to the data stream, and does not replace the (optional) internally mounted pressure sensor data. Must agree with 16plus V2 setup; see reply from GetCD or DS. Channel/Sensor table lists RS-232 sensors below voltage channels.
  • Sample interval seconds: Time between scans. Used to calculate elapsed time, if you select time as a parameter for a display window. For elapsed time calculation to be correct, this entry must agree with 16plus V2 setup (SampleInterval=); see reply from GetCD or DS.
  • NMEA position data added: Select if using with a deck unit connected to a NMEA navigation device. SEASAVE adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked (see NMEA Display).
  • Channel/Sensor Table: Shaded sensors cannot be removed or changed to another type of sensor. All others are optional.
    • Click a (non-shaded) sensor and click Select to pick a different sensor for that channel. A dialog box with a list of sensors appears. Select sensors after number of frequency channels and voltage words have been specified above.
    • Click a sensor and click Modify to change the calibration coefficients for that sensor (see Calibration Coefficients – A/D Count Sensors for temperature and strain gauge pressure sensors, Voltage Sensors for auxiliary sensors, and Frequency Sensors for Digiquartz pressure sensors).
  • New: Click to create new .con file for this CTD.
  • Open: Click to select different .con file.
  • Save or Save As: Click to save current .con file settings.
  • Report: Click to open a .txt file (for viewing and printing only, cannot be modified) that shows all parameters in .con file.
  • Exit: Click to exit dialog box. If you made changes and did not Save or Save As, program asks if you want to save changes.
Shown below is an example status (DS) response in a terminal program that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in the terminal program to modify the setup of parameters critical to use of the instrument with SEASAVE, as well as any explanatory information.
SBE 16plus V 2.0 SERIAL NO. 6001 24 Oct 2007 14:11:48
vbatt = 10.3, vlith = 8.5, ioper = 62.5 ma, ipump = 21.6 ma, iext01 = 76.2 ma, iserial = 48.2 ma
status = not logging
samples = 0, free = 3463060
sample interval = 10 seconds, number of measurements per sample = 1
(Sample interval [SampleInterval=] must match Sample interval seconds in .con file.)
run pump during sample, delay before sampling = 2.0 seconds
transmit real-time = yes
(Real-time data transmission must be enabled [TxRealTime=Y] to acquire data in SEASAVE.)
battery cutoff = 7.5 volts
pressure sensor = strain gauge, range = 1000.0
(Internal pressure sensor [PType=] must match Pressure sensor type in .con file.)
SBE 38 = yes, SBE 50 = no, Gas Tension Device = no
(Selection/enabling of RS-232 sensors [SBE38=, SBE50=, GTD=, DualGTD=] must match Serial RS-232C sensor in .con file.)
Ext Volt 0 = yes, Ext Volt 1 = yes,
Ext Volt 2 = no, Ext Volt 3 = no,
Ext Volt 4 = no, Ext Volt 5 = no
(Number of external voltage sensors enabled [Volt0= through Volt5=] must match External voltage channels in .con file.)
echo characters = yes
output format = raw HEX
(Output format must be set to raw Hex [OutputFormat=0] to acquire data in SEASAVE.)
serial sync mode disabled
(Serial sync mode must be disabled [SyncMode=N] to acquire data in SEASAVE.)


SBE 19 Configuration

The configuration (.con) file defines the instrument configuration (number and type of sensors) and sensor calibration coefficients.

NOTE
SEASAVE always treats the SBE 19 as if it is a Profiling instrument (i.e., it is in Profiling mode). If your SBE 19 is in Moored Mode, you must treat it like an SBE 16 (when setting up the .con file, select the SBE 16).

Access the configuration dialog box by selecting Configure Inputs, clicking on the Instrument Configuration tab, and opening an existing .con file or creating a new file. The dialog box looks like this:

The dialog box entries and buttons are:
  • Pressure sensor type: Select strain gauge or Digiquartz with temperature compensation
  • External voltage channels: Channel/Sensor table reflects this choice. Must agree with SBE 19 setup for SVn (n=0, 2, or 4); see reply from DS. Voltage channel 0 in .con file corresponds to sensor wired to channel 0 on end cap connector, voltage channel 1 in .con file corresponds to sensor wired to channel 1 on end cap connector, etc.
  • Firmware version: See reply from DS. Used to determine strain gauge pressure sensor data format.
  • 0.5 second intervals: Number of 0.5 second intervals between samples; used to compute time between samples. SEASAVE uses this to calculate elapsed time, if you select time as a parameter for a display window. For elapsed time calculation to be correct, this entry must agree with SBE 19 setup (SR); see reply from DS.
  • Surface PAR voltage added: Select if using with deck unit connected to Surface PAR sensor. SEASAVE appends Surface PAR data to every scan. Adds 2 channels to Channel/Sensor table. Do not increase External voltage channels to reflect this; External voltage channels reflects only external voltages going directly to SBE 19 from auxiliary sensors. See Application Note 47 on our website.
  • NMEA position data added: Select if using with a deck unit connected to a NMEA navigation device. SEASAVE adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked (see NMEA Display).
  • Scan time added: Select to include time of each scan (seconds since January 1, 1970 GMT) with data.
  • Channel/Sensor table: Shaded sensors cannot be removed or changed to another type of sensor. All others are optional.
    • Click a (non-shaded) sensor and click Select to pick a different sensor for that channel. A dialog box with a list of sensors appears. Select sensors after number of frequency channels and voltage words have been specified above.
    • Click a sensor and click Modify to change the calibration coefficients for that sensor (see Calibration Coefficients - Voltage Sensors and Frequency Sensors).
  • New: Click to create new .con file for this CTD.
  • Open: Click to select different .con file.
  • Save or Save As: Click to save current .con file settings.
  • Report: Click to open a .txt file (for viewing and printing only, cannot be modified) that shows all parameters in .con file.
  • Exit: Click to exit dialog box. If you made changes and did not Save or Save As, program asks if you want to save changes.
Shown below is an example status (DS) response in SEATERM that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in SEATERM to modify the setup of parameters critical to use of the instrument with SEASAVE, as well as any explanatory information.
SEACAT PROFILER V3.1B SN 936 02/10/94 13:33:23.989
strain gauge pressure sensor: S/N = 12345, range = 1000 psia, tc = 240
(Pressure sensor (strain gauge or Digiquartz) must match Pressure sensor type in .con file.)
clk = 32767.766 iop = 172 vmain = 8.1 vlith = 5.8
mode = PROFILE ncasts = 0
(Mode must be profile [MP] if setting up .con file for SBE 19; create .con file for SBE 16 for SBE 19 in moored mode [MM].)
sample rate = 1 scan every 0.5 seconds
(Sample rate [SR] must match 0.5 second intervals in .con file.)
minimum raw conductivity frequency for pump turn on = 3206 hertz
pump delay = 40 seconds
samples = 0 free = 174126 lwait = 0 msec
battery cutoff = 7.2 volts
number of voltages sampled = 2
(Number of auxiliary voltage sensors enabled [SVn] must match External voltage channels in .con file.)
logdata = NO


SBE 19plus Configuration

The configuration (.con) file defines the instrument configuration (number and type of sensors) and sensor calibration coefficients. Access the configuration dialog box by selecting Configure Inputs, clicking on the Instrument Configuration tab, and opening an existing .con file or creating a new file. The dialog box looks like this:

The dialog box entries and buttons are:
  • Pressure sensor type: Select strain gauge (other selections not applicable).
  • External voltage channels: Channel/Sensor table reflects this choice (0, 1, 2, 3, or 4). Must agree with 19plus setup for Voltn= (n= 0, 1, 2, and 3); see reply from DS. Voltage channel 0 in .con file corresponds to first external voltage in data stream, voltage channel 1 to second external voltage in data stream, etc.
  • Mode: Profiling or Moored mode. Must agree with 19plus setup (MP for Profiling mode, MM for Moored mode); see reply from DS.
  • Sample interval seconds: Interval between scans in Moored mode. Used to calculate elapsed time, if you select time as a parameter for a display window. For elapsed time calculation to be correct, this entry must agree with 19plus setup (SampleInterval=); see reply from DS.
  • Scans to average: Number of samples averaged (samples at 4 Hz) in Profiling mode. Used to calculate elapsed time, if you select time as a parameter for a display window. For the elapsed time calculation to be correct, this entry must agree with 19plus setup (NAvg=); see reply from DS.
  • NMEA: Select if NMEA navigation device used, and select whether NMEA device is connected directly to Deck Unit or to computer. You can also append NMEA depth data (3 bytes) and NMEA time data (4 bytes) after Lat/Lon data. SEASAVE adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked (see NMEA Display).
    Notes:
    1. NMEA time can only be appended if NMEA device connected to computer.
    2. NMEA depth can only be appended if NMEA device connected to computer     or if using 19plus with PN 90488 or 90545 Interface Box.
  • Surface PAR voltage added: Select if using with deck unit connected to Surface PAR sensor. SEASAVE appends Surface PAR data to every scan. Adds 2 channels to Channel/Sensor table. Do not increase External voltage channels to reflect this; External voltage channels reflects only external voltages going directly to 19plus from auxiliary sensors. See Application Note 47 on our website.
  • Scan time added: Select to include time of each scan (seconds since January 1, 1970 GMT) with data.
  • Channel/Sensor table: Shaded sensors cannot be removed or changed to another type of sensor. All others are optional.
    • Click a (non-shaded) sensor and click Select to pick a different sensor for that channel. A dialog box with a list of sensors appears. Select sensors after number of frequency channels and voltage words have been specified above.
    • Click a sensor and click Modify to change the calibration coefficients for that sensor (see Calibration Coefficients - A/D Count Sensors for temperature and strain gauge pressure sensors, Voltage Sensors for auxiliary sensors, and Frequency Sensors for Digiquartz pressure sensors).
  • New: Click to create new .con file for this CTD.
  • Open: Click to select different .con file.
  • Save or Save As: Click to save current .con file settings.
  • Report: Click to open a .txt file (for viewing and printing only, cannot be modified) that shows all parameters in .con file.
  • Exit: Click to exit dialog box. If you made changes and did not Save or Save As, program asks if you want to save changes.
Shown below is an example status (DS) response in SEATERM that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in SEATERM to modify the setup of parameters critical to use of the instrument with SEASAVE, as well as any explanatory information.
SeacatPlus V 1.5 SERIAL NO. 4000 22 May 2005 14:02:13
vbatt = 9.6, vlith = 8.6, ioper = 61.2 ma, ipump = 25.5 ma, iext01 = 76.2 ma, iext23 = 65.1 ma
status = not logging
number of scans to average = 1
(Scans to average [NAvg=] must match Scans to Average in .con file.)
samples = 0, free = 381300, casts = 0
mode = profile, minimum cond freq = 3000, pump delay = 60 sec
(Mode [MP for profile or MM for moored] must match Mode in .con file.)
autorun = no, ignore magnetic switch = no
battery type = ALKALINE, battery cutoff = 7.3 volts
pressure sensor = strain gauge, range = 1000.0
(Pressure sensor [PType=] must match Pressure sensor type in .con file.)
SBE 38 = no, Gas Tension Device = no
(RS-232 sensors (which are used for custom applications only) must be disabled to use SEASAVE.)
Ext Volt 0 = yes, Ext Volt 1 = yes, Ext Volt 2 = yes, Ext Volt 3 = yes
(Number of external voltage sensors enabled [Volt0= through Volt3=] must match External voltage channels in .con file.)
echo commands = yes
output format = raw Hex
(Output format must be set to raw Hex [OutputFormat=0] to acquire data in SEASAVE.)


SBE 19plus V2 Configuration

The configuration (.con) file defines the instrument configuration (number and type of sensors) and sensor calibration coefficients. Access the configuration dialog box by selecting Configure Inputs, clicking on the Instrument Configuration tab, and opening an existing .con file or creating a new file. The dialog box looks like this:

The dialog box entries and buttons are:
  • Pressure sensor type: Select strain gauge or Digiquartz with temperature compensation.
  • External voltage channels: Channel/Sensor table reflects this choice (0, 1, 2, 3, 4, 5, or 6). Must agree with 19plus V2 setup for Voltn= (n= 0, 1, 2, 3, 4, and 5); see reply from GetCD or DS. Voltage channel 0 in .con file corresponds to first external voltage in data stream, voltage channel 1 to second external voltage in data stream, etc.
  • Mode: Profiling or Moored mode. Must agree with 19plus V2 setup (MP for Profiling mode, MM for Moored mode); see reply from GetCD or DS.
  • Serial RS-232C sensor: Select none, 1 SBE 38 (secondary temperature), or up to 2 Pro-Oceanus GTDs (dissolved oxygen or nitrogen). Must agree with 19plus V2 setup; see reply from GetCD or DS. Channel/Sensor table lists RS-232 sensors below voltage channels.
  • Sample interval seconds: Interval between scans in Moored mode. Used to calculate elapsed time, if you select time as a parameter for a display window. For elapsed time calculation to be correct, this entry must agree with 19plus V2 setup (SampleInterval=); see reply from GetCD or DS.
  • Scans to average: Number of samples averaged (samples at 4 Hz) in Profiling mode. Used to calculate elapsed time, if you select time as a parameter for a display window. For the elapsed time calculation to be correct, this entry must agree with 19plus V2 setup (NAvg=); see reply from GetCD or DS.
  • NMEA: Select if NMEA navigation device used, and select whether NMEA device is connected directly to Deck Unit or to computer. You can also append NMEA depth data (3 bytes) and NMEA time data (4 bytes) after Lat/Lon data. SEASAVE adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked (see NMEA Display).
    Notes:
    1. NMEA time can only be appended if NMEA device connected to computer.
    2. NMEA depth can only be appended if NMEA device connected to computer     or if using 19plus V2 with PN 90488 or 90545 Interface Box.
  • Surface PAR voltage added: Select if using with deck unit connected to Surface PAR sensor. SEASAVE appends Surface PAR data to every scan. Adds 2 channels to Channel/Sensor table. Do not increase External voltage channels to reflect this; External voltage channels reflects only external voltages going directly to 19plus from auxiliary sensors. See Application Note 47 on our website.
  • Scan time added: Select to include time of each scan (seconds since January 1, 1970 GMT) with data.
  • Channel/Sensor table: Shaded sensors cannot be removed or changed to another type of sensor. All others are optional.
    • Click a (non-shaded) sensor and click Select to pick a different sensor for that channel. A dialog box with a list of sensors appears. Select sensors after number of frequency channels and voltage words have been specified above.
    • Click a sensor and click Modify to change the calibration coefficients for that sensor (see Calibration Coefficients - A/D Count Sensors for temperature and strain gauge pressure sensors, Voltage Sensors for auxiliary sensors, and Frequency Sensors for Digiquartz pressure sensors).
  • New: Click to create new .con file for this CTD.
  • Open: Click to select different .con file.
  • Save or Save As: Click to save current .con file settings.
  • Report: Click to open a .txt file (for viewing and printing only, cannot be modified) that shows all parameters in .con file.
  • Exit: Click to exit dialog box. If you made changes and did not Save or Save As, program asks if you want to save changes.
Shown below is an example status (DS) response in a terminal program that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in the terminal program to modify the setup of parameters critical to use of the instrument with SEASAVE, as well as any explanatory information.
SeacatPlus V 2.0 SERIAL NO. 4000 22 Oct 2007 14:02:13
vbatt = 9.6, vlith = 8.6, ioper = 61.2 ma, ipump = 25.5 ma, iext01 = 76.2 ma, iext2345 = 65.1 ma
status = not logging
number of scans to average = 1
(Scans to average [NAvg=] must match Scans to Average in .con file.)
samples = 0, free = 4386532, casts = 0
mode = profile, minimum cond freq = 3000, pump delay = 60 sec
(Mode [MP for profile or MM for moored] must match Mode in .con file.)
autorun = no, ignore magnetic switch = no
battery type = ALKALINE, battery cutoff = 7.5 volts
pressure sensor = strain gauge, range = 1000.0
(Pressure sensor [PType=] must match Pressure sensor type in .con file.)
SBE 38 = no, Gas Tension Device = no
(Selection/enabling of RS-232 sensors [SBE38=, GTD=, DualGTD=] must match Serial RS-232C sensor in .con file)
Ext Volt 0 = yes, Ext Volt 1 = yes,
Ext Volt 2 = yes, Ext Volt 3 = yes,
Ext Volt 4 = no, Ext Volt 5 = no
(Number of external voltage sensors enabled [Volt0= through Volt5=] must match External voltage channels in .con file.)
echo characters = yes
output format = raw Hex
(Output format must be set to raw Hex [OutputFormat=0] to acquire data in SEASAVE.)


SBE 21 Configuration

The configuration (.con) file defines the instrument configuration (number and type of sensors) and sensor calibration coefficients. Access the configuration dialog box by selecting Configure Inputs , clicking on the Instrument Configuration tab, and opening an existing .con file or creating a new file. The dialog box looks like this:

The dialog box entries and buttons are:
  • Remote temperature: Channel/Sensor table reflects this choice (shows additional frequency-based temperature channel if SBE 3 selected, or RS-232 channel if SBE 38 selected). Must agree with SBE 21 setup (SBE3= and SBE38=); see reply from DS. Note that if remote temperature is selected, SEASAVE (and Data Conversion and Derive in SBE Data Processing) uses remote temperature data when calculating density and sound velocity.
  • External voltage channels: Channel/Sensor table reflects this choice (0, 1, 2, 3, or 4). Must agree with SBE 21 setup (SVx); see reply from DS. Voltage channel 0 in .con file corresponds to sensor wired to channel 0 on end cap connector, voltage channel 1 in .con file corresponds to sensor wired to channel 1 on end cap connector, etc.
  • Sample interval seconds: Time between scans. Used to calculate elapsed time, if you select time as a parameter for a display window. For elapsed time calculation to be correct, this entry must agree with SBE 21 setup (SI); see reply from DS.
  • NMEA: Select if NMEA navigation device used, and select whether NMEA device is connected directly to Deck Unit or to computer. You can also append NMEA depth data (3 bytes) and NMEA time data (4 bytes) after Lat/Lon data. SEASAVE adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked (see NMEA Display).
    Note: NMEA time can only be appended if NMEA device connected to computer.
  • Scan time added: Select to include time of each scan (seconds since January 1, 1970 GMT) with data.
  • Channel/Sensor table: Shaded sensors cannot be removed or changed to another type of sensor. All others are optional.
    • Click a (non-shaded) sensor and click Select to pick a different sensor for that channel. A dialog box with a list of sensors appears. Select sensors after number of frequency channels and voltage words have been specified above.
    • Click a sensor and click Modify to change the calibration coefficients for that sensor (see Calibration Coefficients - Voltage Sensors and Frequency Sensors).
  • New: Click to create new .con file for this instrument.
  • Open: Click to select different .con file.
  • Save or Save As: Click to save current .con file settings.
  • Report: Click to open a .txt file (for viewing and printing only, cannot be modified) that shows all parameters in .con file.
  • Exit: Click to exit dialog box. If you made changes and did not Save or Save As, program asks if you want to save changes.
Shown below is an example status (DS) response in SEATERM that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in SEATERM to modify the setup of parameters critical to use of the instrument with SEASAVE, as well as any explanatory information.
SEACAT THERMOSALINOGRAPH V4.2a SERIAL NO. 4300 05/15/2003 14:23:14
ioper = 50.7 ma, vmain = 11.4, vlith = 8.8, iext01 = 76.2 ma
samples = 0, free = 1396736
sample interval = 5 seconds
(Sample interval [SI] must match Sample interval seconds in .con file.)
sample external SBE 38 temperature sensor
(External temperature sensor [SBE38=, SBE3=] must match Remote temperature in .con file.)
no. of volts sampled = 1
(Number of auxiliary voltage sensors enabled [SVx] must match External voltage channels in .con file.)
output format = SBE21
(Output format must be set to SBE 21 [F1] to acquire data in SEASAVE.)
start sampling when power on = yes
average data during sample interval = yes
logging data = no
voltage cutoff = 7.5 volts

NOTE
For an SBE 21 with a remote temperature sensor, SEASAVE (and the Data Conversion and Derive modules in SBE Data Processing) uses the remote temperature data when calculating density and sound velocity.


SBE 25 Configuration

The configuration (.con) file defines the instrument configuration (number and type of sensors) and sensor calibration coefficients. Access the configuration dialog box by selecting Configure Inputs, clicking on the Instrument Configuration tab, and opening an existing .con file or creating a new file. The dialog box looks like this:

The dialog box entries and buttons are:
  • External voltage channels: Channel/Sensor table reflects this choice (0 - 7). Must agree with SBE 25 setup (CC); see reply from DS. Voltage channel 0 in .con file corresponds to first external voltage in data stream, voltage channel 1 to second voltage in data stream, etc.
  • Firmware version: See reply from DS. Used to determine strain data format.
  • Real time data output rate: 1, 2, 4, or 8 scans/second. Used to calculate elapsed time, if you select time as a parameter for a display window. For elapsed time calculation to be correct, this entry must agree with SBE 25 setup (CC); see reply from DS.
  • NMEA: Select if NMEA navigation device used, and select whether NMEA device is connected directly to Deck Unit or to computer. You can also append NMEA depth data (3 bytes) and NMEA time data (4 bytes) after Lat/Lon data. SEASAVE adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked (see NMEA Display).
    Notes:
    1. NMEA time can only be appended if NMEA device connected to computer.
    2. NMEA depth can only be appended if NMEA device connected to computer     or if using SBE 25 with PN 90488 or 90545 Interface Box
  • Surface PAR voltage added: Select if using with a deck unit connected to Surface PAR sensor. SEASAVE appends Surface PAR data to every scan. Adds 2 channels to Channel/Sensor table. Do not increase External voltage channels to reflect this; External voltage channels reflects only external voltages going directly to SBE 25 from auxiliary sensors. See Application Note 47 on our website.
  • Scan time added: Select to include time of each scan (seconds since January 1, 1970 GMT) with data.
  • Channel/Sensor table: Shaded sensors cannot be removed or changed to another type of sensor. All others are optional.
    • Click a (non-shaded) sensor and click Select to pick a different sensor for that channel. A dialog box with a list of sensors appears. Select sensors after number of frequency channels and voltage words have been specified above.
    • Click a sensor and click Modify to change the calibration coefficients for that sensor (see Calibration Coefficients - Voltage Sensors and Frequency Sensors).
  • New: Click to create new .con file for this CTD.
  • Open: Click to select different .con file.
  • Save or Save As: Click to save current .con file settings.
  • Report: Click to open a .txt file (for viewing and printing only, cannot be modified) that shows all parameters in .con file.
  • Exit: Click to exit dialog box. If you made changes and did not Save or Save As, program asks if you want to save changes.
Shown below is an example status (DS) response in SEATERM that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in SEATERM to modify the setup of parameters critical to use of the instrument with SEASAVE, as well as any explanatory information.
SBE 25 CTD V 4.1a SN 323 04/26/02 14:02:13
external pressure sensor, range = 5076 psia, tcval = -55
xtal=9437363 clk=32767.107 vmain=10.1 iop=175 vlith=5.6
ncasts=0 samples=0 free = 54980 lwait = 0 msec
stop upcast when CTD ascends 30 % of full scale pressure sensor range (2301 counts)
CTD configuration:
number of scans averaged=1, data stored at 8 scans per second
real time data transmitted at 1 scans per second
(real-time data transmission [CC] must match Real time data output rate in .con file.)
minimum conductivity frequency for pump turn on = 2950
pump delay = 45 seconds
battery type = ALKALINE
2 external voltages sampled
(Number of auxiliary voltage sensors enabled [CC] must match External voltage channels in .con file.)
stored voltage #0 = external voltage 0
stored voltage #1 = external voltage 1


SBE 45 Configuration

The configuration (.con) file defines the instrument configuration (number and type of sensors) and sensor calibration coefficients. Access the configuration dialog box by selecting Configure Inputs , clicking on the Instrument Configuration tab, and opening an existing .con file or creating a new file. The dialog box looks like this:

The dialog box entries and buttons are:
  • Sample interval seconds: Time between scans. Must agree with SBE 45 setup (Interval=); see reply from DS.
  • Output conductivity: Output conductivity with each scan. Must agree with SBE 45 setup (OutputCond=); see reply from DS.
  • Output salinity: Output salinity with each scan. Must agree with SBE 45 setup (OutputSal=); see reply from DS.
  • Output sound velocity: Output sound velocity with each scan. Must agree with SBE 45 setup (OutputSV=); see reply from DS.
  • Use junction box: Select if SBE 45 data is transmitted to computer through optional 90402 – SBE 45 Interface Box. Interface Box can append data from an SBE 38 remote temperature sensor and/or a NMEA navigation device.
  • SBE 38 temperature added: Select if 90402 – SBE 45 Interface Box is connected to an SBE 38 remote temperature sensor. SEASAVE appends SBE 3 data to data stream. SEASAVE (and Data Conversion and Derive in SBE Data Processing) uses remote temperature data when calculating density and sound velocity.
  • NMEA data added: Select if 90402 – SBE 45 Interface Box is connected to a NMEA navigation device. SEASAVE adds current latitude, longitude, and universal time code to data header; appends NMEA data to every scan; and writes NMEA data to .nav file every time Ctrl F7 is pressed or Add to .nav File is clicked (see NMEA Display).
  • New: Click to create new .con file for this instrument.
  • Open: Click to select different .con file.
  • Save or Save As: Click to save current .con file settings.
  • Exit: Click to exit dialog box. If you made changes and did not Save or Save As, program asks if you want to save changes.
Shown below is an example status (DS) response in SEATERM that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in SEATERM to modify the setup of parameters critical to use of the instrument with SEASAVE, as well as any explanatory information.
SBE45 V 1.1 SERIAL NO. 1258
logging data
sample interval = 1 seconds
(Sample interval [Interval=] must match Sample interval seconds in .con file.)
output conductivity with each sample
(Enabling of conductivity output [OutputCond=] must match Output conductivity in .con file.)
do not output salinity with each sample
(Enabling of salinity output [OutputSal=] must match Output salinity in .con file.)
do not output sound velocity with each sample
(Enabling of sound velocity output [OutputSV=] must match Output sound velocity in .con file.)
start sampling when power on
do not power off after taking a single sample
(Power off after taking a single sample must be disabled [SingleSample=N] to acquire data in SEASAVE.)
do not power off after two minutes of inactivity
A/D cycles to average = 2

NOTES
  • The SBE 45 transmits ASCII converted data in engineering units. It converts the raw data internally to engineering units, based on the programmed calibration coefficients.
  • For an SBE 45 with a remote temperature sensor, SEASAVE (and the Data Conversion and Derive modules in SBE Data Processing) uses the remote temperature data when calculating density and sound velocity.


SBE 49 Configuration

The configuration (.con) file defines the instrument configuration (number and type of sensors) and sensor calibration coefficients. Access the configuration dialog box by selecting Configure Inputs , clicking on the Instrument Configuration tab, and opening an existing .con file or creating a new file. The dialog box looks like this:

The dialog box entries and buttons are:
  • Scans to average: Number of samples to average per scan. SBE 49 samples at 16 Hz (0.0625 seconds), averages data, and transmits averaged data real-time. Must agree with SBE 49 setup (NAvg=); see reply from DS.
  • Scan time added: Select to include time of each scan (seconds since January 1, 1970 GMT) with data.
  • Channel/Sensor table: Click a sensor and click Modify to change the calibration coefficients for that sensor (see Calibration Coefficients – A/D Count Sensors for temperature and pressure sensors; see Frequency Sensors for conductivity sensor).
  • New: Click to create new .con file for this CTD.
  • Open: Click to select different .con file.
  • Save or Save As: Click to save current .con file settings.
  • Report: Click to open a .txt file (for viewing and printing only, cannot be modified) that shows all parameters in .con file.
  • Exit: Click to exit dialog box. If you made changes and did not Save or Save As, program asks if you want to save changes.
Shown below is an example status (DS) response in SEATERM that corresponds to the setup shown in the Configuration dialog box above. Shown below the appropriate lines are the commands used in SEATERM to modify the setup of parameters critical to use of the instrument with SEASAVE, as well as any explanatory information.
SBE 49 FastCAT V 1.2 SERIAL NO. 0055
number of scans to average = 1
(Scans to average [NAvg=] must match Scans to average in .con file.)
pressure sensor = strain gauge, range = 1000.0
minimum cond freq = 3000, pump delay = 30 sec
start sampling on power up = yes
output format = raw HEX
(Output format must be set to raw Hex [OutputFormat=0] to acquire data in SEASAVE.)
temperature advance = 0.0625 seconds
celltm alpha = 0.03
celltm tau = 7.0
real-time temperature and conductivity correction disabled


Calibration Coefficients - Frequency Sensors

SEASAVE uses the sensor calibration coefficients to convert the raw data stream into engineering units for display during real-time data acquisition. The method for accessing the calibration coefficients is summarized below:
  • Click Configure Inputs, and click on the Instrument Configuration tab. Click Open and browse to desired file. Click Modify. Double click on desired sensor; the calibration coefficients dialog box for the sensor appears.
For all calibration coefficient dialog boxes, enter the sensor serial number and calibration date. Many sensor calibration equations contain an offset term. Unless noted otherwise, use the offset (default = 0.0) to make small corrections for sensor drift between calibrations.

The following types of frequency sensors are available (not all frequency sensors are applicable to all instruments): temperature, conductivity, pressure (Paroscientific Digiquartz), bottles closed (IOW), and sound velocity (IOW).

Temperature Calibration Coefficients

Enter g, h, i, j, (or a, b, c, d), and f0 from the calibration sheet.
Enter values for slope (default = 1.0) and offset (default = 0.0) to make small corrections for temperature sensor drift between calibrations:
Corrected temperature = (slope * computed temperature) + offset
where
slope = true temperature span / instrument temperature span
offset = (true temperature – instrument reading) * slope; measured at 0 °C

Temperature Slope and Offset Correction Example
At true temperature = 0.0 °C, instrument reading = 0.0015 °C
At true temperature = 25.0 °C, instrument reading = 25.0005 °C
Calculating the slope and offset:
Slope = (25.0 – 0.0) / (25.0005 – 0.0015) = + 1.000040002
Offset = (0.0 – 0.0015) * 1.000040002 = - 0.001500060

NOTES
  • Coefficients g, h, i, j, and f0 provide ITS-90 (T90) temperature; a, b, c, d, and f0 provide IPTS-68 (T68) temperature. The relationship between them is: T68 = 1.00024 T90
  • See Application Note 31 on our website for computation of slope and offset correction coefficients from pre- and post-cruise calibrations supplied by Sea-Bird.
  • See Calibration Coefficients for A/D Count Sensors for information on temperature sensors used in SBE 16plus, 16plus V2, 19plus, 19plus V2, and 49.
Sea-Bird temperature sensors usually drift by changing offset, typically resulting in higher temperature readings over time for sensors with serial number less than 1050 and lower temperature readings over time for sensors with serial number greater than 1050. Sea-Bird’s data indicates that the drift is smooth and uniform with time, allowing users to make very accurate corrections based only on pre- and post-cruise laboratory calibrations. Calibration checks at sea are advisable to ensure against sensor malfunction; however, data from reversing thermometers is rarely accurate enough to make calibration corrections that are better than those possible from shore-based laboratory calibrations.

Sea-Bird temperature sensors rarely exhibit span errors larger than ± 0.005 °C over the range –5 to +35 °C (0.005 °C/(35 -[-5])C/year = 0.000125 °C/C/year), even after years of drift. A span error that increases more than ± 0.0002 °C/C/year may be a symptom of sensor malfunction.

Conductivity Calibration Coefficients

Enter g, h, i, j, and Ctcor (or a, b, c, d, and m) and Cpcor from the calibration sheet.

NOTE
Use coefficients g, h, i, j, Ctcor, and Cpcor (if available on calibration sheet) for most accurate results; conductivity for older sensors was calculated based on a, b, c, d, m, and Cpcor.

Cpcor makes a correction for the highly consistent change in dimensions of the conductivity cell under pressure. The default is the compressibility coefficient for borosilicate glass (-9.57e-08). Some sensors fabricated between 1992 and 1995 (serial numbers between 1100 and 1500) exhibit a compression that is slightly less than pure borosilicate glass. For these sensors, the (hermetic) epoxy jacket on the glass cell is unintentionally strong, creating a composite pressure effect of borosilicate and epoxy. For sensors tested to date, this composite pressure coefficient ranges from -9.57e-08 to -6.90e-08, with the latter value producing a correction to deep ocean salinity of 0.0057 PSU in 5000 dbars pressure (approximately 0.001 PSU per 1000 dbars).
Before modifying Cpcor from its default value, confirm that the sensor behaves differently from pure borosilicate glass. Sea-Bird can test your cell and calculate Cpcor. Alternatively, test the cell by comparing computed salinity to the salinity of water samples from a range of depths, calculated using an Autosal.

Enter values for slope (default = 1.0) and offset (default = 0.0) to make small corrections for conductivity sensor drift between calibrations:
Corrected conductivity = (slope * computed conductivity) + offset
where
slope = true conductivity span / instrument conductivity span
offset = (true conductivity – instrument reading) * slope; measured at 0.0 S/m

Conductivity Slope and Offset Correction Example
At true conductivity = 0.0 S/m, instrument reading = -0.00007 S/m
At true conductivity = 3.5 S/m, instrument reading = 3.49965 S/m
Calculating the slope and offset:
Slope = (3.5 – 0.0) / (3.49965 - [- 0.00007]) = + 1.000080006
Offset = (0.0 - [-0.00007]) * 1.000080006 = + 0.000070006

NOTE
See Application Note 31 on our website for computation of slope and offset correction coefficients from pre- and post-cruise calibrations supplied by Sea-Bird or from salinity bottle samples taken at sea during profiling.

The sensor usually drifts by changing span (slope of the calibration curve), typically resulting in lower conductivity readings over time. Offset error (error at 0 S/m) is usually due to electronics drift, and is typically less than ± 0.0001 S/m per year. Because offsets greater than ± 0.0002 S/m are a symptom of sensor malfunction, Sea-Bird recommends that drift corrections be made by assuming no offset error, unless there is strong evidence to the contrary or a special need.

Wide Range Conductivity Sensors
A wide range conductivity sensor has been modified to provide conductivity readings to 15 Siemens/meter by inserting a precision resistor in series with the conductivity cell. Therefore, the equation used to fit the calibration data is different from the standard equation. The sensor’s High Range Conductivity Calibration sheet includes the equation as well as the cell constant and series resistance to be entered in the program.

If the conductivity sensor serial number includes a w (an indication that it is a wide range sensor):
  1. After you enter the calibration coefficients and click OK, the Wide Range Conductivity dialog box appears.
  2. Enter the cell constant and series resistance (from the High Range Conductivity Calibration sheet) in the dialog box, and click OK.

Pressure (Paroscientific Digiquartz) Calibration Coefficients

Enter the sets of C, D, and T coefficients from the calibration sheet. Enter zero for any higher-order coefficients that are not listed on the calibration sheet. Enter values for slope (default = 1.0; do not change unless sensor has been recalibrated) and offset (default = 0.0) to make small corrections for sensor drift.
  • For the SBE 9plus, also enter AD590M and AD590B coefficients from the configuration sheet.
NOTES
  • See Calibration Coefficients for A/D Count Sensors for information on strain gauge pressure sensors used in SBE 16plus, 16plus V2, 19plus, 19plus V2, and 49.
  • See Calibration Coefficients for Voltage Sensors for information on strain gauge pressure sensors used in other instruments.

Bottles Closed (HB - IOW) Calibration Coefficients

No calibration coefficients are entered for this parameter. The number of bottles closed is calculated by SBE Data Processing’s Data Conversion module based on frequency range.

Sound Velocity (IOW)Calibration Coefficients

Enter coefficients a0, a1, and a2.
Value = a0 + a1 * frequency + a2 * frequency * frequency


Calibration Coefficients - A/D Count Sensors

SEASAVE uses the sensor calibration coefficients to convert the raw data stream into engineering units for display during real-time data acquisition. The method for accessing the calibration coefficients to view or modify them is summarized below:
  • Click Configure Inputs, and click on the Instrument Configuration tab. Click Open and browse to desired file. Click Modify. Double click on desired sensor; the calibration coefficients dialog box for the sensor appears.
For all calibration coefficient dialog boxes, enter the sensor serial number and calibration date. Many sensor calibration equations contain an offset term. Unless noted otherwise, use the offset (default = 0.0) to make small corrections for sensor drift between calibrations.

The following types of A/D count sensors are used with the SBE 16plus, 16plus V2, 19plus, 19plus V2, and 49: temperature and strain gauge pressure.

Temperature Calibration Coefficients

Enter a0, a1, a2, and a3 from the calibration sheet.
Enter values for slope (default = 1.0) and offset (default = 0.0) to make small corrections for temperature sensor drift between calibrations:
Corrected temperature = (slope * computed temperature) + offset
where
slope = true temperature span / instrument temperature span
offset = (true temperature – instrument reading) * slope; measured at 0 °C

Temperature Slope and Offset Correction Example
At true temperature = 0.0 °C, instrument reading = 0.0015 °C
At true temperature = 25.0 °C, instrument reading = 25.0005 °C
Calculating the slope and offset:
Slope = (25.0 – 0.0) / (25.0005 – 0.0015) = + 1.000040002
Offset = (0.0 – 0.0015) * 1.000040002 = - 0.001500060

NOTES
  • These coefficients provide ITS-90 (T90) temperature.
  • See Application Note 31 on our website for computation of slope and offset correction coefficients from pre- and post-cruise calibrations supplied by Sea-Bird.
  • See Calibration Coefficients for Frequency Sensors for information on temperature sensors used in other instruments.
Sea-Bird temperature sensors usually drift by changing offset, typically resulting in lower temperature readings over time. Sea-Bird’s data indicates that the drift is smooth and uniform with time, allowing users to make very accurate corrections based only on pre- and post-cruise laboratory calibrations. Calibration checks at sea are advisable to ensure against sensor malfunction; however, data from reversing thermometers is rarely accurate enough to make calibration corrections that are better than those possible from shore-based laboratory calibrations.

Sea-Bird temperature sensors rarely exhibit span errors larger than ± 0.005 °C over the range –5 to +35 °C (0.005 °C/(35 -[-5])C/year = 0.000125 °C/C/year), even after years of drift. A span error that increases more than ± 0.0002 °C/C/year may be a symptom of sensor malfunction.

Pressure (Strain Gauge) Calibration Coefficients

For SBE 16plus, 16plus V2, 19plus, and 19plus V2 configured with a strain gauge pressure sensor, and for all SBE 49s: Enter pA0, pA1, pA2, ptempA0, ptempA1, ptempA2, pTCA0, pTCA1, pTCA2, pTCB0, pTCB1, and pTCB2 from the calibration sheet. Offset is normally zero, but may be changed for non-zero sea-surface condition. For example, if the in-air pressure reading is negative, enter an equal positive value.

NOTES
  • See Calibration Coefficients for Voltage Sensors for information on strain gauge pressure sensors used in other instruments.
  • See Calibration Coefficients for Frequency Sensors for information on Paroscientific Digiquartz pressure sensors.


Calibration Coefficients - Voltage Sensors

SEASAVE uses the sensor calibration coefficients to convert the raw data stream into engineering units for display during real-time data acquisition. The method for accessing the calibration coefficients to view or modify them is summarized below:
  • Click Configure Inputs, and click on the Instrument Configuration tab. Click Open and browse to desired file. Click Modify. Double click on desired sensor; the calibration coefficients dialog box for the sensor appears.
For all calibration coefficient dialog boxes, enter the sensor serial number and calibration date. Many sensor calibration equations contain an offset term. Unless noted otherwise, use the offset (default = 0.0) to make small corrections for sensor drift between calibrations.

Unless noted otherwise, SEASAVE supports only one of each auxiliary sensor model (for example, you cannot specify two Chelsea Minitracka fluorometers, but you can specify a Chelsea Minitracka and a Chelsea UV Aquatracka fluorometer). See the individual sensor descriptions below for those sensors that SEASAVE supports in a redundant configuration (two or more of the same sensor interfacing with the CTD).

The following types of voltage sensors are available (not all voltage sensors are applicable to all instruments): pressure (strain gauge), altimeter, fluorometer, methane, OBS/nephelometer, oxidation reduction potential, oxygen, PAR/irradiance, pH, pressure/FGP, suspended sediments, transmissometer, user polynomial, and zaps.

Pressure (Strain Gauge) Calibration Coefficients

Enter coefficients:
  • Pressure sensor without temperature compensation
    • Enter A0, A1, and A2 coefficients from the calibration sheet.
    • For older units with a linear fit pressure calibration, enter M (A1) and B (A0) from the calibration sheet, and set A2 to zero.
    • For all units, offset is normally zero, but may be changed for non-zero sea-surface condition. For example, if the in-air pressure reading is negative, enter an equal positive value.
  • Pressure sensor with temperature compensation
    Enter ptempA0, ptempA1, ptempA2, pTCA0, pTCA1, pTCA2, pTCB0, pTCB1, pTCB2, pA0, pA1, and pA2 from the calibration sheet.
NOTES
  • See Calibration Coefficients for A/D Count Sensors for information on strain gauge pressure sensors used in SBE 16plus, 16plus V2, 19plus, 19plus V2, and 49.
  • See Calibration Coefficients for Frequency Sensors for information on Paroscientific Digiquartz pressure sensors.

Altimeter Calibration Coefficients

Enter the scale factor and offset.
altimeter height = [300 * voltage / scale factor] + offset
where
scale factor = full scale voltage * 300/full scale range
full scale range is dependent on the sensor (e.g., 50m, 100m, etc.)
full scale voltage is from calibration sheet (typically 5V)

NOTE
To enter the altimeter alarm set point, alarm hysteresis, and minimum pressure to enable alarm, click the PC Alarms, SBE 11plus Alarms, and/or SBE 14 Remote Display tabs, as applicable, in SEASAVE’s Configure Outputs.

Fluorometer Calibration Coefficients

Biospherical Natural Fluorometer
Enter Cfn (natural fluorescence calibration coefficient), A1, A2, and B from calibration sheet.
natural fluorescence Fn = Cfn * 10V
production = A1 * Fn / (A2 + PAR)
chlorophyll concentration Chl = Fn / (B * PAR)
where
V is voltage from natural fluorescence sensor

Chelsea Aqua 3
Enter VB, V1, Vacetone, slope, offset, and SF.
Concentration (µg/l) =
slope * [(10.0(V/SF) - 10.0VB) / (10.0V1 - 10.0Vacetone)] + offset
where
VB, V1, and Vacetone are from calibration sheet
Slope (default 1.0) and offset (default 0.0) adjust readings to conform to measured concentrations
Scale factor SF = 1.0 if CTD gain is 1; SF = 2 if CTD gain is 2.0.
V is output voltage measured by CTD

Chelsea Aqua 3 Example Calculation of Slope and Offset

Current slope = 1.0 and offset = 0.0
Two in-situ samples:

Sample 1 –
Concentration (from SBE Data Processing) = 0.390
Concentration (from water sample) = 0.450

Sample 2 –
Concentration (from SBE Data Processing) = 0.028
Concentration (from water sample) = 0.020

Linear regression to this data yields slope = 1.188 and offset = - 0.013

See Application Note 39 on our website for complete description of computation of calibration coefficients.
NOTE: SEASAVE can process data for an instrument interfacing with up to two Chelsea Aqua 3 fluorometers.

Chelsea UV Aquatracka
Enter A and B.
Concentration (µg/l) = A * 10.0 V - B
where
A and B are from calibration sheet
V is output voltage measured by CTD

Chelsea Minitracka
Enter Vacetone, Vacetone100, and offset.
Concentration = (100 * [V - Vacetone] / [Vacetone100 - Vacetone]) + offset
where
Vacetone (voltage with 0 µg/l chlorophyll) and Vacetone100 (voltage with 100 µg/l chlorophyll) are from calibration sheet
See Application Note 61 on our website for complete description of computation of calibration coefficients.

Dr Haardt Fluorometer Chlorophyll a, Phycoerythrin, or Yellow Substance
Enter A0, A1, B0, and B1.
These instruments may have automatic switching between high and low gains. Select the gain range switch:
  • Output Voltage Level if the instrument indicates gain by output voltage level (< 2.5 volts is low gain, > 2.5 volts is high gain)
    Low gain: value = A0 + (A1 * V)
    High gain: value = B0 + (B1 * V)
  • Modulo Bit if the instrument has control lines custom-wired to bits in the SBE 9plus modulo word
    Bit not set: value = A0 + (A1 * V)
    Bit set: value = B0 + (B1 * V)
  • None if the instrument does not change gain
    value = A0 + (A1 * V)
where
V = voltage from sensor

Dr Haardt Voltage Level Switching Examples -- Chlorophyll a
Low range scale = 10 mg/l and Gain = 10/2.5 = 4 mg/l/volt
A0 = 0.0 A1 = 4.0
High range scale = 100 mg/l and Gain = 100/2.5 = 40 mg/l/volt
B0 = -100 B1 = 40.0

Seapoint
Enter gain and offset.
Concentration = (V * 30/gain) + offset
where
Gain is dependent on cable used (see cable drawing, pins 5 and 6)
See Application Note 54 on our website for complete description of computation of calibration coefficients.
NOTE: SEASAVE can process data for an instrument interfacing with up to two Seapoint fluorometers.

Seapoint Rhodamine
Enter gain and offset.
Concentration = (V * 30 / gain ) + offset
where
Gain is dependent on cable used (see cable drawing pins 5 and 6)

WET Labs Flash Lamp Fluorometer (FLF) and Sea Tech
Enter scale factor and offset.
Concentration = (voltage * scale factor / 5) + offset
where
Scale factor is dependent on fluorometer range:
Fluorometer | Switch Selectable Range (milligrams/m3 or micrograms/liter) | Scale Factor
Sea Tech | 0 - 3 | 3
 | 0 - 10 (default) | 10
 | 0 - 30 | 30
 | 0 - 100 | 100
 | 0 - 300 | 300
 | 0 - 1000 | 1000
WET Labs FLF | 0 - 300 (default) | 300
 | 0 - 1000 | 1000
Offset is calculated by measuring voltage output when the light sensor is completely blocked from the strobe light with an opaque substance such as heavy black rubber: offset = - (scale factor * voltage) / 5
See Application Note 9 on our website for complete description of computation of calibration coefficients.
NOTE
Offset and scale factor may be adjusted to fit a linear regression of fluorometer responses to known chlorophyll a concentrations.

Turner 10-005
This sensor requires two channels: one for the fluorescence voltage and the other for the range voltage. Make sure to select both when configuring the instrument.
For the fluorescence voltage channel, enter scale factor and offset.
concentration = [fluorescence voltage * scale factor / (range * 5)] + offset
where
range is defined in the following table:
Range Voltage | Range
< 0.2 volts | 1.0
> 0.2 volts and < 0.55 volts | 3.16
> 0.55 volts and < 0.85 volts | 10.0
> 0.85 volts | 31.0

Turner 10-AU-005
Enter full scale voltage, zero point concentration, and full scale concentration from the calibration sheet.
concentration = [(1.195 * voltage * (FSC – ZPC)) / FSV] + ZPC
where
voltage = measured output voltage from fluorometer
FSV = full scale voltage; typically 5.0 volts
FSC = full scale concentration
ZPC = zero point concentration

Turner SCUFA
Enter scale factor, offset, units, mx, my, and b from the calibration sheet.
chlorophyll = (scale factor * voltage) + offset
corrected chlorophyll = (mx * chlorophyll) + (my * NTU) + b
where
NTU = results from optional turbidity channel in SCUFA (see Turner SCUFA in OBS equations below)
See Application Note 63 on our website for complete description of computation of calibration coefficients.

NOTES
  • To enable entry of the mx, my, and b coefficients, you must first select the Turner SCUFA OBS/Nephelometer.
  • SEASAVE can process data for an instrument interfacing with up to two Turner SCUFA sensors.

WET Labs AC3
This sensor requires two channels one for fluorometer voltage (listed under fluorometers in the dialog box) and the other for transmissometer voltage (listed under transmissometers). Make sure to select both when configuring the instrument.
Enter kv, Vh2o, and AX.
concentration (mg/m3) = kv * (Vout - Vh20) / AX
where
Vout = measured output voltage
kv = absorption voltage scaling constant (inverse meters/volt)
Vh20 = measured voltage using pure water
AX = chlorophyll specific absorption coefficient

WET Labs WetStar, ECO-AFL, and ECO-FL
Enter Vblank and scale factor.
Concentration (µg/l) = (Vsample - V blank) * scale factor
where
Vsample = in situ voltage output
Vblank = clean water blank voltage output
Scale factor = multiplier (µg/l/Volt)
The calibration sheet lists either:
  • Vblank and scale factor, OR
  • Vblank and Vcopro (voltage output measured with known concentration of coproporphyrin tetramethyl ester). Determine an initial value for the scale factor by using the chlorophyll concentration corresponding to Vcopro:
    scale factor = chlorophyll concentration / (Vcopro - Vblank)
Perform calibrations using seawater with phytoplankton populations that are similar to what is expected in situ.
See Application Note 41 for WetStar and Application Note 62 for ECO-AFL, ECO-FL, and ECO-FL-NTU on our website for complete description of calculation of calibration coefficients.
Note: SEASAVE can process data for an instrument interfacing with up to two WET Labs WetStar sensors, and up to two ECO-AFL (or ECO-FL) sensors.

NOTE
For ECO-FL-NTU, a second channel is required for turbidity. Set up the second channel as a User Polynomial, with:
a0 = - Vblank * scale factor
a1 = scale factor (NTU/volts)
a2 = a3 = 0
where scale factor and Vblank are for the turbidity measurement.

WET Labs CDOM (colored dissolved organic matter)
Enter Vblank and scale factor.
Concentration (µg/l) = (Vsample - V blank) * scale factor
where
Vsample = in situ voltage output
Vblank = clean water blank voltage output
Scale factor = multiplier (µg/l/Volt)
The calibration sheet lists Vblank and Vcdom (voltage output measured with known concentration of colored dissolved organic matter). Determine an initial value for the scale factor by using the colored dissolved organic matter concentration corresponding to Vcdom:
scale factor = cdom concentration / (Vcdom - Vblank)
Perform calibrations using seawater with cdom types that are similar to what is expected in situ.

Methane Sensor Calibration Coefficients

The Capsum METS sensor requires two channels – one for the methane concentration and the other for the temperature measured by the sensor. Make sure to select both when configuring the instrument.
For the concentration channel, enter D, A0, A1, B0, B1, and B2.
Methane concentration
= exp {D ln [(B0 + B1 exp ( - Vt / B2)) * ((1 / Vm) – (1 / (A0 – A1 * Vt))) ] } [mmol / l]
where
Vt = Capsum METS temperature voltage
Vm = Capsum METS methane concentration voltage

For the temperature channel, enter T1 and T2.
Gas temperature = (Vt * T1) + T2 [°C]

OBS/Nephelometer Calibration Coefficients

NOTE
In general, turbidity sensors are calibrated to a standard (formazin). However, particle size, shape, refraction, etc. in seawater varies. These variations affect the results unless field calibrations are performed on typical water samples.

Downing & Associates [D&A] OBS-3 Backscatterance
Enter gain and offset.
output = (volts * gain) + offset
where
gain = range/5; see calibration sheet for range
See Application Note 16 on our website for complete description of computation of calibration coefficients.

Downing & Associates [D&A] OBS-3+
Enter A0, A1, and A2.
output = A0 + (A1 * V) + (A2 * V2)
where
V = voltage from sensor (milliVolts)
A0, A1, and A2 = calibration coefficients from D & A calibration sheet
See Application Note 81 on our website for complete description of computation of calibration coefficients.
NOTE: SEASAVE can process data for an instrument interfacing with up to two OBS-3+ sensors, or to both the 1X and 4X ranges on one OBS-3+ sensor (providing two channels of OBS-3+ data).

Chelsea
Enter clear water value and scale factor.
turbidity [F.T.U.] = (10.0V – C) / scale factor
where
V = voltage from sensor
See calibration sheet for C (clear water value) and scale factor.

Dr. Haardt Turbidity
Enter A0, A1, B0, and B1. Select the gain range switch:
Output Voltage Level if the instrument indicates gain by output voltage level (< 2.5 volts is low gain, > 2.5 volts is high gain)
Low gain: value = A0 + (A1 * V)
High gain: value = B0 + (B1 * V)
Modulo Bit if the instrument has control lines custom-wired to bits in the SBE 9plus modulo word
Bit not set: value = A0 + (A1 * V)
Bit set: value = B0 + (B1 * V)
None if the instrument does not change gain
value = A0 + (A1 * V)
where
V = voltage from sensor

IFREMER
This sensor requires two channels one for the direct voltage and the other for the measured voltage. Make sure to select both when configuring the instrument.
For the direct voltage channel, enter vm0, vd0, d0, and k.
diffusion = [k * (vm – vm0) / (vd – vd0)] – d0
where
k = scale factor vm = measured voltage
vm0 = measured voltage offset vd = direct voltage
vd0 = direct voltage offset d0 = diffusion offset

Seapoint Turbidity
Enter gain setting and scale factor.
output = (volts * 500 * scale factor)/gain
where
Scale factor is from calibration sheet
Gain is dependent on cable used (see cable drawing)
See Application Note 48 on our website for complete description of computation of calibration coefficients.
NOTE: SEASAVE can process data for an instrument interfacing with up to two Seapoint Turbidity sensors.

Seatech LS6000 and WET Labs LBSS
Enter gain setting, slope, and offset.
Output = [volts * (range / 5) * slope] + offset
where
Slope is from calibration sheet.
Range is based on sensor ordered (see calibration sheet) and cable-dependent gain (see cable drawing to determine if low or high gain):
Range for High Gain | Range for Low Gain
2.25 | 7.5
7.5 | 25
75 | 250
225 | 750
33 | 100
NOTE: SEASAVE can process data for an instrument interfacing with up to two Seatech LS6000 or WET Labs LBSS sensors.

Turner SCUFA
Enter scale factor and offset.
NTU = (scale factor * voltage) + offset
corrected chlorophyll = (mx * chlorophyll) + (my * NTU) + b
where
mx, my, and b = coefficients entered for Turner SCUFA fluorometer
chlorophyll = results from fluorometer channel in SCUFA (see Turner SCUFA in fluorometer equations above)
See Application Note 63 on our website for complete description of computation of calibration coefficients.
NOTES:
1. To enable entry of the mx, my, and b coefficients for the SCUFA fluorometer, you must first select the Turner SCUFA OBS/Nephelometer.
2. SEASAVE can process data for an instrument interfacing with up to two Turner SCUFA sensors.

Oxidation Reduction Potential Calibration Coefficients

Enter M, B, and offset (mV).
Oxidation reduction potential = [(M * voltage) + B] + offset
Enter M and B from calibration sheet.
See Application Note 19 on our website for complete description of computation of calibration coefficients.

Oxygen Calibration Coefficients

NOTE
Oxygen values computed by SEASAVE and SBE Data Processing’s Data Conversion module differ from values computed by SBE Data Processing’s Derive module. Both algorithms use the derivative of the oxygen signal with respect to time:
  • Quick estimate
    SEASAVE and Data Conversion compute the derivative looking back in time, because they share common code and SEASAVE cannot use future values while acquiring real-time data.
  • Most accurate results
    Derive uses a centered window (equal number of points before and after scan) to compute the derivative.
In SEASAVE, the window size is input on Configure Inputs’ Miscellaneous tab.

Enter the coefficients, which vary depending on the type of oxygen sensor, from the calibration sheet:
Beckman- or YSI-type sensor (manufactured by Sea-Bird or other manufacturer)
These sensors require two channels one for oxygen current (enter m, b, soc, boc, tcor, pcor, tau, and wt) and the other for oxygen temperature (enter k and c). Make sure to select both when configuring the instrument.
See Application Notes 13-1 and 13-3 on our website for complete description of calculation of calibration coefficients.
NOTE: SEASAVE can process data for an instrument interfacing with up to two Beckman- or YSI-type oxygen sensors.

IOW sensor
These sensors require two channels one for oxygen current (enter b0 and b1) and the other for oxygen temperature (enter a0, a1, a2, and a3). Make sure to select both when configuring the instrument.
Value = b0 + [b1 * (a0 +a1 * T + a2 * T2 + a3 * T3) * C]
where
T is oxygen temperature voltage, C is oxygen current voltage

Sea-Bird sensor (SBE 43)
This sensor requires only one channel.
In Spring of 2008, Sea-Bird began using a new equation, the Sea-Bird equation, for calibrating the SBE 43. Calibration sheets for SBE 43s calibrated after this date will only include coefficients for the Sea-Bird equation, but our software (SEASAVE, SEASAVE V7, and SBE Data Processing) supports both equations. We recommend that you use the Sea-Bird equation for best results.
  • Sea-Bird: Enter Soc, Voffset, A, B, C, E, Tau20, D1, and D2.
    OX = Soc * [V + Voffset + tau(T,P) * dV/dt] * OxSOL(T,S) *
    (1.0 + A*T + B*T2 + C*T3) * e (E*P / K)
    where
    - OX = dissolved oxygen concentration (ml/l)
    - T, P = measured temperature (ºC) and pressure (decibars) from CTD
    - S = calculated salinity from CTD (PSU)
    - V = temperature-compensated oxygen signal (volts)
    - Soc = linear scaling calibration coefficient
    - Voffset = voltage at zero oxygen signal
    - tau(T,P) = sensor time constant at temperature and pressure
    - tau20 = sensor time constant tau(T,P) at 20 C, 1 atmosphere, 0 PSU; slope term in calculation of tau(T,P)
    D1, D2 = calibration terms used in calculation of tau(T,P)
    - dV/dt = time derivative of oxygen signal (volts/sec)
    - K = absolute temperature (Kelvin)
    - Oxsol(T,S) = oxygen saturation (ml/l); a parameterization from Garcia and Gordon (1992)

OR

  • Owens-Millard: Enter Soc, Boc, Voffset, tcor, pcor, and tau.
    OX =
    [Soc*{(V+Voffset) + (tau* dV/dt)} + Boc*exp(-0.03T)] *exp(tcor*T+pcor*P) * Oxsat(T,S)
    where
    OX = dissolved oxygen concentration (ml/l)
    T = measured temperature from CTD (ºC)
    P = measured pressure from CTD (decibars)
    S = calculated salinity from CTD (PSU)
    V = temperature-compensated oxygen signal (volts)
    dV/dt = derivative of oxygen signal (volts/sec)
    Oxsat(T,S) = oxygen saturation (ml/l)

    See Application Notes 64 and 64-2 on our website for complete description of calculation of calibration coefficients.
    NOTE: SEASAVE can process data for an instrument interfacing with up to two SBE 43 oxygen sensors.

PAR/Irradiance Calibration Coefficients

Underwater PAR Sensor
Note: Selection of PAR / Irradiance, Biospherical / Licor as the voltage sensor is also applicable to the Chelsea PAR sensor.
Enter M, B, calibration constant, multiplier, and offset.
PAR = [multiplier * (10 9 * 10[(V-B) / M]) / calibration constant] + offset
Where
Calibration constant, M, and B are dependent on sensor type;
multiplier = 1.0 for units of µEinsteins/m 2 sec
See Application Note 11General for multiplier values for output units other than µEinsteins/m 2 sec.

Biospherical PAR sensor
--PAR sensor with built-in log amplifier (QSP-200L, QCP-200L, QSP-2300L, QCP-2300L, or MCP-2300)
Typically, M = 1.0 and B = 0.0
Calibration constant
= 10 5 / wet calibration factor from Biospherical calibration sheet.
--PAR sensor without built-in log amplifier (QSP-200PD, QSP-2200 (PD), or QCP-2200 (PD))
M and B are taken from Sea-Bird calibration sheet.
Calibration constant
= Cs calibration coefficient from Sea-Bird calibration sheet
= 6.022 x 10 13 / Cw from Biospherical calibration sheet
See Application Notes 11QSP-L (Biospherical sensor with built-in log amplifier) and 11QSP-PD (Biospherical sensor without built-in log amplifier) on our website for complete description of calculation of calibration coefficients.

LI-COR PAR sensor
Calibration constant is in water calibration constant
(in units of µamps/1000 µmoles/m 2.sec) from Licor or Sea-Bird calibration sheet. M and B are taken from Sea-Bird calibration sheet.
See Application Note 11Licor on our website for complete description of calculation of calibration coefficients.

Chelsea PAR sensor (select PAR/Irradiance, Biospherical/Licor in .con file)
Calibration constant
= 10 9 / 0.046
M = 1.0 / (log e * A1 * 1000) = 1.0 / (0.43429448 * A1 * 1000)
B = - M * log e * A0 = - A0 / (A1 * 1000)
where A0 and A1 are constants from Chelsea calibration sheet with equation of form:
PAR = A0 + A1 * mV
Note: SEASAVE can process data for an instrument interfacing with up to two underwater PAR/irradiance sensors.

Surface PAR Sensor
A surface PAR sensor is selected by clicking Surface PAR voltage added in the Configure dialog box. Enter conversion factor and ratio multiplier.
See Application Note 11S (11plus Deck Unit) or 47 (SBE 33 or 36 Deck Unit) on our website for complete description of calculation of calibration coefficients for surface PAR.
See Application Note 11General for conversion factor values for output units other than µEinsteins/m 2 sec.

pH Calibration Coefficients

NOTE
SEASOFT-DOS < version 4.008 ignored temperature compensation of a pH electrode. The relationship between the two methods is:
pH = pH old + (7 – 2087/°K)
For older sensors, run pHfit version 2.0 (included with SEASOFT-DOS) using Vout, pH, and temperature values from the original calibration sheet to compute the new values for offset and slope to enter in the configuration file.

Enter the slope and offset from the calibration sheet:
pH = 7 + (Vout – offset) / (°K * 1.98416e-4 * slope)
where
°K = temperature in degrees Kelvin
See Application Notes 18-1, 18-2, and 18-4 on our website for complete description of calculation of calibration coefficients.

Pressure/FGP (voltage output) Calibration Coefficients

Enter scale factor and offset.
output [Kpa] = (volts * scale factor) + offset
where:
scale factor = 100 * pressure sensor range [bar] / voltage range [volts]
NOTE: SEASAVE can process data for an instrument interfacing with up to eight pressure/fgp sensors.

Suspended Sediment Calibration Coefficients

The Sequoia LISST-25 sensor requires two channels – one for scattering output and the other for transmission output. Make sure to select both when configuring the instrument.
For the scattering channel, enter Total volume concentration constant (Cal), Sauter mean diameter calibration (a), Clean H2O scattering output (VS0), and Clean H2O transmission output (VT0) from the calibration sheet. For the transmission channel, no additional coefficients are required; they are all defined for the scattering channel.
Optical transmission = t = VT / VT0
Beam C = - ln (t) / 0.025 [1 / meters]
Total Volume Concentration = TV = Cal * [ ( VS / t ) - VS0 ] [mliters / liter]
Sauter Mean Diameter = SMD = a * [ TV / ( - ln (t ) ] [microns]
where
VT = transmission channel voltage output
VS = scattering channel voltage output
The calibration coefficients supplied by Sequoia are based on water containing spherical particles. Perform calibrations using seawater with particle shapes that are similar to what is expected in situ.

Transmissometer Calibration Coefficients

Sea Tech, Chelsea (Alphatracka), and WET Labs Cstar
Enter M, B, and path length (in meters)
Path length (distance between lenses) is based on sensor size (for example, 25 cm transmissometer = 0.25m path length, etc.).
light transmission (%) = M * volts + B
beam attenuation coefficient (c) = - (1/z) * ln (light transmission [decimal])
where
M = ( Tw / [ W0 – Y0 ] ) ( A0 – Y0 ) / ( A1 – Y1 )
B = - M * Y1
and
A0 = factory voltage output in air (factory calibration from transmissometer manufacturer)
A1 = current (most recent) voltage output in air
Y0 = factory dark or zero (blocked path) voltage (factory calibration from transmissometer manufacturer)
Y1 = current (most recent) dark or zero (blocked path) voltage
W0 = factory voltage output in pure water (factory calibration from transmissometer manufacturer)
Tw = % transmission in pure water
(for transmission relative to water, Tw = 100%; or
for transmission relative to air, Tw is defined by table below.)
 | TW = % Transmission in Pure Water (relative to AIR)
Wavelength | 10 cm Path Length | 25 cm Path Length
488 nm (blue) | 99.8 % | 99.6 %
532 nm (green) | 99.5 % | 98.8 %
660 nm (red) | 96.0 - 96.4 % | 90.2 - 91.3 %

Transmissometer Example
(from calibration sheet) A0 = 4.743 volts, Y0 = 0.002 volts, W0 = 4.565 volts
Tw = 100% (for transmission relative to water)
(from current calibration) A1 = 4.719 volts and Y1 = 0.006 volts
M = 22.046
B = - 0.132

See Application Note 7 on our website for complete description of calculation of calibration coefficients.
NOTE: SEASAVE can process data for an instrument interfacing with up to two transmissometers in any combination of Sea Tech, Chelsea Alphatracka, and WET Labs Cstar.

WET Labs AC3
This sensor requires two channels one for fluorometer voltage (listed under fluorometers in the dialog box) and the other for transmissometer voltage (listed under transmissometers). Make sure to select both when configuring the instrument.
Enter Ch2o, Vh2o, VDark, and X from calibration sheet.
Beam attenuation = {[log (Vh2o - VDark) - log (V - VDark)] /X} + Ch2o
Beam transmission (%) = exp ( -beam attenuation * X) * 100

User Polynomial Calibration Coefficients

The user polynomial allows you to define an equation to relate the sensor output voltage to calculated engineering units, if your sensor is not pre-defined in Sea-Bird software.
Enter a0, a1, a2, and a3.
Val = a0 + (a1 * V) + (a2 * V2) + (a3 * V3)
where:
V = voltage from sensor
a0, a1, a2, and a3 = user-defined sensor polynomial coefficients
If desired, enter the sensor name. This name will appear in the data file header.
Note: SEASAVE can process data for an instrument interfacing with up to three sensors defined with user polynomials.

Wet Labs ECO-FL-NTU Example
For the turbidity channel, NTU = (Vsample – Vblank) * scale factor
Set this equal to user polynomial equation and calculate a0, a1, a2, and a3.
(Vsample – Vblank) * scale factor = a0 + (a1 * V) + (a2 * V2) + (a3 * V3)

Expanding left side of equation and using consistent notation (Vsample = V):
scale factor * V – scale factor * Vblank = a0 + (a1 * V) + (a2 * V2) + (a3 * V3)
Left side of equation has no V2 or V3 terms, so a2 and a3 are 0; rearranging:
(– scale factor * Vblank) + (scale factor * V) = a0 + (a1 * V)
a0 = – scale factor * Vblank a1 = scale factor a2 = a3 = 0

Zaps Calibration Coefficients

Enter M and B from calibration sheet.
z = (M * volts) + B [nmoles]


Importing and Exporting Calibration Coefficients

Calibration coefficient dialog boxes contain Import and Export buttons, which can be used to simplify entering calibration coefficients. These buttons are particularly useful when swapping sensors from one instrument to another, allowing you to enter calibration coefficients without the need for typing or the resulting possibility of typographical errors. An example dialog box is shown for a pH sensor.

The Export button allows you to export coefficients for the selected sensor to an .XML file. If you move that sensor onto another instrument, you can then import the coefficients when setting up the .con file for that instrument.
The Import button allows you to import coefficients for the selected sensor from another .con file or from an .XML file. When you click the Import button, a dialog box appears. Select the desired file type, and then browse to and select the file:
  • .con file – opens a .con file, retrieves the calibration coefficients from the .con file for the type of sensor you selected, and enters the coefficients in the calibration coefficients dialog box. If the .con file contains more than one of that type of sensor (for example, SEASAVE can process data for an instrument interfacing with up to two SBE 43 oxygen sensors, so the .con file could contain coefficients for two SBE 43 sensors), a dialog box allows you to select the desired sensor by serial number. If the .con file does not contain any of that type of sensor, SEASAVE responds with an error message.
  • .XML file – imports an .XML file that contains calibration coefficients for one sensor. If the .XML file you select is not compatible with the selected sensor type, SEASAVE responds with an error message.


Format of .con File

Shown below is a line-by-line description of the .con file contents, which can be viewed in a text editor.

NOTE
Modify the .con file by selecting Configure Inputs, clicking on the Instrument Configuration tab in the dialog box, and clicking on Modify.

Line | Contents
1 | Conductivity sensor serial number
2 | Conductivity M, A, B, C, D, CPCOR
3 | Conductivity cell_const, series_r, slope, offset, use GHIJ coefficients?
4 | Temperature sensor serial number
5 | Temperature F0, A, B, C, D, slope, offset, use GHIJ coefficients?
6 | Secondary conductivity sensor serial number
7 | Secondary conductivity M, A, B, C, D, PCOR
8 | Secondary conductivity cell_const, series_r, slope, offset, use GHIJ coefficients?
9 | Secondary temperature sensor serial number
10 | Secondary temperature F0, A, B, C, D, slope, offset, use GHIJ coefficients?
11 | Pressure sensor serial number
12 | Pressure T1, T2, T3, T4, T5
13 | Pressure C1 (A1), C2 (A0), C3, C4 (A2) - parameters in parentheses for strain gauge sensor
14 | Pressure D1, D2, slope, offset, pressure sensor type, AD590_M, AD590_B
15 | Oxygen (Beckman/YSI type) sensor serial number
16 | Oxygen (Beckman/YSI type) M, B, K, C, SOC, TCOR
17 | Oxygen (Beckman/YSI type) WT, PCOR, TAU, BOC
18 | pH sensor serial number
19 | pH slope, offset, VREF
20 | PAR light sensor serial number
21 | PAR cal const, multiplier, M, B, surface_cc, surface_r, offset
22 | Transmissometer (SeaTech, Chelsea AlphaTracka, WET Labs Cstar) serial number
23 | Transmissometer (SeaTech, Chelsea AlphaTracka, WET Labs Cstar) M, B, path length
24 | Fluorometer SeaTech sensor serial number
25 | Fluorometer SeaTech scale factor, offset
26 | Tilt sensor serial number
27 | Tilt XM, XB, YM, YB
28 | ORP sensor serial number
29 | ORP M, B, offset
30 | OBS/Nephelometer D&A Backscatterance sensor serial number
31 | OBS/Nephelometer D&A Backscatterance gain, offset
32 | Altimeter scale factor, offset, hyst, min pressure, hysteresis
33 | Microstructure temperature sensor serial number
34 | Microstructure temperature pre_m, pre_b
35 | Microstructure temperature num, denom, A0, A1, A3
36 | Microstructure conductivity sensor serial number
37 | Microstructure conductivity A0, A1, A2
38 | Microstructure conductivity M, B, R
39 | Number of external frequencies, number of bytes, number of voltages, instrument type, computer interface, scan rate, interval, store system time?
40 | Data format channels 0 - 9
41 | Data format channels 10 - 19
42 | Data format channels 20 - 39
43 | SBE 16: use water temperature?, fixed pressure, fixed pressure temperature
44 | Firmware version
45 | Miscellaneous: number of frequencies from SBE 9, number of frequencies from SBE 9 to be suppressed, number of voltages from SBE 9 to be suppressed, voltage range, add surface PAR voltage?, add NMEA position data?, include IOW sensors?, add NMEA depth data?
46 | OBS/Nephelometer IFREMER sensor serial number
47 | OBS/Nephelometer IFREMER VM0, VD0, D0, K
48 | OBS/Nephelometer Chelsea sensor serial number
49 | OBS/Nephelometer Chelsea clear water voltage, scale factor
50 | ZAPS sensor serial number
51 | ZAPS m, b
52 | Conductivity sensor calibration date
53 | Temperature sensor calibration date
54 | Secondary conductivity sensor calibration date
55 | Secondary temperature sensor calibration date
56 | Pressure sensor calibration date
57 | Oxygen (Beckman/YSI type) sensor calibration date
58 | pH sensor calibration date
59 | PAR light sensor calibration date
60 | Transmissometer (SeaTech, Chelsea AlphaTracka, WET Labs Cstar) sensor calibration date
61 | Fluorometer (SeaTech) sensor calibration date
62 | Tilt sensor calibration date
63 | ORP sensor calibration date
64 | OBS/Nephelometer D&A Backscatterance sensor calibration date
65 | Microstructure temperature sensor calibration date
66 | Microstructure conductivity sensor calibration date
67 | IFREMER OBS/nephelometer sensor calibration date
68 | Chelsea OBS/nephelometer sensor calibration date
69 | ZAPS sensor calibration date
70 | Secondary oxygen (Beckman/YSI type) sensor serial number
71 | Secondary oxygen (Beckman/YSI type) sensor calibration date
72 | Secondary oxygen (Beckman/YSI type) M, B, K, C, SOC, TCOR
73 | Secondary oxygen (Beckman/YSI type) WT, PCOR, TAU, BOC
74 | User polynomial 1 sensor serial number
75 | User polynomial 1 sensor calibration date
76 | User polynomial 1 A0, A1, A2, A3
77 | User polynomial 2 sensor serial number
78 | User polynomial 2 sensor calibration date
79 | User polynomial 2 A0, A1, A2, A3
80 | User polynomial 3 sensor serial number
81 | User polynomial 3 sensor calibration date
82 | User polynomial 3 A0, A1, A2, A3
83 | Dr. Haardt Chlorophyll fluorometersensor serial number
84 | Dr. Haardt Chlorophyll fluorometer sensor calibration date
85 | Dr. Haardt Chlorophyll fluorometer A0, A1, B0, B1, which modulo bit, gain range switching
86 | Dr. Haardt Phycoerythrin fluorometer sensor serial number
87 | Dr. Haardt Phycoerythrin fluorometer sensor calibration date
88 | Dr. Haardt Phycoerythrin A0, A1, B0, B1, which modulo bit, gain range switching
89 | Dr. Haardt Turbidity OBS/nephelometer sensor serial number
90 | Dr. Haardt Turbidity OBS/Nephelometer sensor calibration date
91 | Dr. Haardt Turbidity OBS/nephelometer A0, A1, B0, B1, which modulo bit, gain range switching
92 | IOW oxygen sensor serial number
93 | IOW oxygen sensor calibration date
94 | IOW oxygen A0, A1, A2, A3, B0, B1
95 | IOW sound velocity sensor serial number
96 | IOW sound velocity sensor calibration date
97 | IOW sound velocity A0, A1, A2
98 | Biospherical natural fluorometer sensor serial number
99 | Biospherical natural fluorometer sensor calibration date
100 | Biospherical natural fluorometer Cfn, A1, A2, B
101 | Sea tech ls6000 OBS/nephelometer sensor serial number
102 | Sea tech ls6000 OBS/nephelometer sensor calibration date
103 | Sea tech ls6000 OBS/nephelometer gain, slope, offset
104 | Fluorometer chelsea Aqua 3 sensor serial number
105 | Fluorometer chelsea Aqua 3 sensor calibration date
106 | Fluorometer chelsea Aqua 3 scale factor, slope, offset, Vacetone, VB (static), V1ug/l
107 | Fluorometer turner sensor serial number
108 | Fluorometer turner sensor calibration date
109 | Fluorometer turner scale factor, offset; or turner-10au-005 full scale concentration, full scale voltage, zero point concentration
110 | Conductivity G, H, I, J, CTCOR, CPCOR
111 | Temperature F0, G, H, I, J
112 | Secondary conductivity G, H, I, J, CTCOR, CPCOR
113 | Secondary temperature F0, G, H, I, J
114 | WET Labs AC3 beam transmission transmissometer sensor serial number
115 | WET Labs AC3 beam transmission transmissometer sensor calibration date
116 | WET Labs AC3 beam transmission transmissometer Ch2o, Vh2o, Vdark, x, chlorophyll absorption Kv, Vh2o, a^x
117 | WET Labs WETStar fluorometer sensor serial number
118 | WET Labs WETStar fluorometer sensor calibration date
119 | WET Labs WETStar Vblank, scale factor
120 | Primary conductivity sensor using g, h, i, j coefficients calibration date
121 | Primary temperature sensor using g, h, i, j coefficients calibration date
122 | Secondary conductivity sensor using g, h, i, j coefficients calibration date
123 | Secondary temperature sensor using g, h, i, j coefficients calibration date
124 | FGP pressure sensor #0 serial number
125 | FGP pressure sensor #0 calibration date
126 | FGP pressure sensor #0 scale factor, offset
127 | FGP pressure sensor #1 serial number
128 | FGP pressure sensor #1 calibration date
129 | FGP pressure sensor #1 scale factor, offset
130 | FGP pressure sensor #2 serial number
131 | FGP pressure sensor #2 calibration date
132 | FGP pressure sensor #2 scale factor, offset
133 | FGP pressure sensor #3 serial number
134 | FGP pressure sensor #3 calibration date
135 | FGP pressure sensor #3 scale factor, offset
136 | FGP pressure sensor #4 serial number
137 | FGP pressure sensor #4 calibration date
138 | FGP pressure sensor #4 scale factor, offset
139 | FGP pressure sensor #5 serial number
140 | FGP pressure sensor #5 calibration date
141 | FGP pressure sensor #5 scale factor, offset
142 | FGP pressure sensor #6 serial number
143 | FGP pressure sensor #6 calibration date
144 | FGP pressure sensor #6 scale factor, offset
145 | FGP pressure sensor #7 serial number
146 | FGP pressure sensor #7 calibration date
147 | FGP pressure sensor #7 scale factor, offset
148 | Seapoint OBS/Nephelometer turbidity meter sensor serial number
149 | OBS/Nephelometer Seapoint turbidity meter sensor calibration date
150 | Primary OBS/Nephelometer Seapoint turbidity meter gain, scale
151 | Secondary OBS/Nephelometer Seapoint turbidity meter sensor serial number
152 | Secondary OBS/Nephelometer seapoint turbidity meter sensor calibration date
153 | Secondary OBS/Nephelometer seapoint turbidity meter gain, scale
154 | Fluorometer Dr. Haardt Yellow Substance sensor serial number
155 | Fluorometer Dr. Haardt Yellow Substance sensor calibration date
156 | Fluorometer Dr. Haardt Yellow Substance A0, A1, B0, B1, which modulo bit, gain range switching
157 | Fluorometer Chelsea Minitraka serial number
158 | Fluorometer Chelsea Minitraka calibration date
159 | Fluorometer Chelsea Minitraka vacetone, vacetone100, offset
160 | Seapoint fluorometer serial number
161 | Seapoint fluorometer calibration date
162 | Seapoint fluorometer gain, offset
163 | Primary Oxygen (SBE 43) serial number
164 | Primary Oxygen (SBE 43) calibration date
165 | Primary Oxygen (SBE 43) Soc, Tcor, offset
166 | Primary Oxygen (SBE 43) Pcor, Tau, Boc
167 | Secondary Oxygen (SBE 43) serial number
168 | Secondary Oxygen (SBE 43) calibration date
169 | Secondary Oxygen (SBE 43) Soc, Tcor, offset
170 | Secondary Oxygen (SBE 43) Pcor, Tau, Boc
171 | Secondary sea tech ls6000 OBS/nephelometer sensor serial number
172 | Secondary sea tech ls6000 OBS/nephelometer sensor calibration date
173 | Secondary sea tech ls6000 OBS/nephelometer gain, slope, offset
174 | Secondary Chelsea Transmissometer sensor serial number
175 | Secondary Chelsea Transmissometer calibration date
176 | Secondary Chelsea Transmissometer M, B, path length
177 | Altimeter serial number
178 | Altimeter calibration date
179 | WET Labs AC3 serial number
180 | WET Labs AC3 calibration date
181 | Surface PAR serial number
182 | Surface PAR calibration date
183 | SEACATplus temperature sensor serial number
184 | SEACATplus temperature sensor calibration date
185 | SEACATplus temperature sensor A0, A1, A2, A3, slope, offset
186 | SEACATplus serial sensor, scans to average, mode
187 | Pressure (strain gauge with span TC) serial number
188 | Pressure (strain gauge with span TC) calibration date
189 | Pressure (strain gauge with span TC) ptempA0, ptempA1, ptempA2, pTCA0, pTCA1, PTCA2
190 | Pressure (strain gauge with span TC) pTCB0, pTCB1, pTCB2, pA0, pA1, pA2, offset
191 | SBE 38 temperature sensor serial number
192 | SBE 38 temperature sensor calibration date
193 | Turner SCUFA fluorometer serial number
194 | Turner SCUFA fluorometer calibration date
195 | Turner SCUFA fluorometer scale factor, offset, units, mx, my, b
196 | Turner SCUFA OBS serial number
197 | Turner SCUFA OBS calibration date
198 | Turner SCUFA OBS scale factor, offset
199 | WET Labs ECO-AFL fluorometer serial number
200 | WET Labs ECO-AFL fluorometer calibration date
201 | WET Labs ECO-AFL fluorometer vblank, scale factor
202 | Userpoly 0 name
203 | Userpoly 1 name
204 | Userpoly 2 name
205 | CAPSUM METS serial number
206 | CAPSUM METS calibration date
207 | CAPSUM METSD, A0, A1, B0, B1, B2, T1, T2
208 | Secondary PAR sensor serial number
209 | Secondary PAR sensor calibration date
210 | Secondary PAR sensor cal const, multiplier, M, B, offset
211 | Secondary WET Labs WETStar Fluorometer sensor serial number
212 | Secondary WET Labs WETStar Fluorometer sensor calibration date
213 | Secondary WET Labs WETStar Fluorometer sensor Vblank, scale factor
214 | Secondary Seapoint Fluorometer sensor serial number
215 | Secondary Seapoint Fluorometer sensor calibration date
216 | Secondary Seapoint Fluorometer sensor gain, offset
217 | Secondary Turner SCUFA Fluorometer sensor serial number
218 | Secondary Turner SCUFA Fluorometer sensor calibration date
219 | Secondary Turner SCUFA Fluorometer sensor scale factor, offset, units, mx, my, b
220 | WET Labs WETSTAR CDOM sensor serial number
221 | WET Labs WETSTAR CDOM sensor calibration date
222 | WET Labs WETSTAR CDOM sensor Vblank, scale factor
223 | Seapoint Rhodamine Fluorometer sensor serial number
224 | Seapoint Rhodamine Fluorometer sensor calibration date
225 | Seapoint Rhodamine Fluorometer sensor gain, offset
226 | Primary Gas Tension Device sensor serial number
227 | Primary Gas Tension Device sensor calibration date
228 | Primary Gas Tension Device type
229 | Secondary Gas Tension Device sensor serial number
230 | Secondary Gas Tension Device sensor calibration date
231 | Secondary Gas Tension Device type
232 | Sequoia LISST-25A sensor serial number
233 | Sequoia LISST-25A sensor calibration date
234 | Sequoia LISST-25A sensor Total Volume Conc Const, Sauter Mean Diameter Cal, Clean Water Scattering, Clean Water Trans
235 | SBE 45 output conductivity? Output salinity? Output sound velocity? Use 90402 junction box? SBE 38 remote temperature?
236 | SBE 21 remote temperature type
237 | SBE 50 serial number
238 | SBE 50 calibration date
239 | Secondary Chelsea Aqua 3 fluorometer serial number
240 | Secondary Chelsea Aqua 3 fluortometer scale factor, slope, offset, vacetone, vb, v1
241 | Secondary Chelsea Aqua 3 calibration date
242 | Chelsea UV Aquatracka serial number
243 | Chelsea UV Aquatracka calibration date
244 | Chelsea UV Aquatracka a, b
245 | SBE 49 temperature sensor serial number
246 | SBE 49 temperature sensor calibration date
247 | SBE 49 temperature sensor A0, A1, A2, A3, slope, and offset
248 | Secondary Turner SCUFA OBS serial number
249 | Secondary Turner SCUFA OBS calibration date
250 | Secondary Turner SCUFA OBS scale factor, offset
251 | OBS D&A 3+ serial number
252 | OBS D&A 3+ calibration date
253 | OBS D&A 3+ a1, a1, a2
254 | Secondary OBS D&A 3+ serial number
255 | Secondary OBS D&A 3+ calibration date
256 | Secondary OBS D&A 3+ a1, a1, a2
257 | SBE 16, 19, 19plus, 21, 25, or 49 scan time added? NMEA Time added? NMEA device connected to PC?
258 | SBE 43 Oxygen sensor: use Sea-Bird equation, Soc2007, A, B, C, E, Voffset, Tau20, D1, D2
259 | Secondary SBE 43 Oxygen sensor: use Sea-Bird equation, Soc2007, A, B, C, E, Voffset, Tau20, D1, D2
260 | File version of SB ConfigCTD.dll which saved the .con file
261 | IFREMER OBS/nephelometer sensor serial number
262 | Primary Beckman Oxygen Temperature sensor -- calibration date
263 | Primary Beckman Oxygen Temperature sensor – serial number
264 | Secondary Beckman Oxygen Temperature sensor -- calibration date
265 | Secondary Beckman Oxygen Temperature sensor -- serial number
266 | IOW Oxygen Temperature sensor -- calibration date
267 | IOW Oxygen Temperature sensor -- serial number
268 | Methane Gas Tension, Capsum METS sensor – calibration date
269 | Methane Gas Tension, Capsum METS sensor – serial number
270 | Secondary WET Labs ECO-AFL fluorometer serial number
271 | Secondary WET Labs ECO-AFL fluorometer calibration date
272 | Secondary WET Labs ECO-AFL fluorometer vblank, scale factor


Serial Data Out

SEASAVE can output selected raw data (frequencies, voltages, and/or A/D counts as applicable) and converted data in engineering units, in ASCII or XML format, to a serial port on your computer. For converted data, SEASAVE applies calibration coefficients to the raw data to calculate converted data in engineering units.

To Enable and Set Up Serial Data Output

  1. Click Configure Outputs; the Configure Outputs dialog box appears. In the dialog box, click the Serial Data Out tab:

  2. Select Output data to serial port to enable the output in ASCII format. If XML format is desired instead of ASCII format, also select XML format.
  3. Enter the number of Seconds between updates, which controls how often data for the selected variables is sent to the COM port. The time between updates interacts with the instrument’s data output baud rate, the number of output variables selected, and whether transmitting ASCII or XML data (output format affects number of characters that must be transmitted for each variable). SEASAVE will not work properly if data is presented to the COM port faster than the COM port can transmit it at the selected baud rate. For full rate data, set to 0.
  4. Click Select Variables to select the desired output variables. A dialog box with a list of variables appears; select the desired variables and the number of decimal places to the right of the decimal point for each variable, and click OK.
  5. Click the Serial Ports tab to define the COM port, baud rate, data bits, stop bits, and parity for serial data output.
  6. Click OK or click another tab in Configure Outputs.
NOTES
  • When you click OK to exit the Configure Outputs dialog box, SEASAVE saves the settings to a temporary location, but not to the setup (.psa) file. Save the .psa file before beginning real-time data acquisition, archived data playback, or exiting SEASAVE.
  • Serial data output can be reconfigured during data acquisition without interrupting data acquisition. For example, if you start a cast and realize that you forgot to set up the serial data output, you can select Configure Outputs, click on the Serial Data Out tab, and make and save the desired changes, all without interrupting the data acquisition. Once the desired changes are saved, the serial data will begin to output to the desired COM port (of course, any data that was acquired before you modified the setup will not be output in the serial data stream).
  • Your computer could crash if data is presented to the COM port faster than the COM port can transmit it at the selected baud rate. Note that outputting in XML transmits a much larger number of characters than outputting in ASCII. Because COM port capabilities vary from one computer to another, always test the setup with the computer you will be using at sea to ensure proper operation.


Serial Ports (Outputs)

The Serial Ports tab defines serial ports and other communication parameters for:
  • Sending commands to and receiving replies from the CTD
  • Sending commands to and receiving replies from a water sampler, through the SBE 11plus Deck Unit Modem Channel connector or the SBE 33 Deck Unit Carousel Data connector
  • Sending pump control commands to a custom SBE 9plus through the SBE 11plus Deck Unit Modem Channel connector
  • Outputting data to a serial port for user-defined purposes
  • Outputting converted data through a serial port to an SBE 14 Remote Display
Serial port parameters can be defined in Configure Inputs or Configure Outputs; if you make changes in one dialog box, those changes will appear when you open the other dialog box.

To View and Modify Serial Port Settings

  1. Click Configure Outputs; the dialog box appears. In the dialog box, click the Serial Ports tab:
  2. Define the COM port, baud rate, data bits, and parity for communication with the CTD. Defaults are shown for the instrument selected on the Instrument Configure tab in Configure Inputs, and are typical settings for that instrument. For descriptions of communication settings for each instrument, see CTD Serial Port Details.
  3. Define the COM port to send commands to and receive replies from a water sampler through the SBE 11plus Deck Unit Modem Channel connector or the SBE 33 Deck Unit Carousel Data connector.
    Note: The same COM port is used to send pump control commands to a custom 9plus; this does not interfere with water sampler operation.
  4. Define the COM port, baud rate, data bits, stop bits, and parity for serial data output. Typical values for use with most computers: 9600 baud, 8 data bits, 1 stop bit, no parity.
  5. Define the COM port for output to the SBE 14 Remote Display.
  6. Click OK or click another tab in Configure Inputs.
NOTES
  • When you click OK to exit the Configure Outputs dialog box, SEASAVE saves the settings to a temporary location, but not to the setup (.psa) file. Save the .psa file before beginning real-time data acquisition, archived data playback, or exiting SEASAVE.
  • For details on the CTD communication settings, see CTD Serial Port Details in Serial Ports (Inputs).


Shared File Out

SEASAVE can output selected raw data (frequencies, voltages, and/or A/D counts as applicable) and converted data to a shared ASCII .txt file or XML .xml file on your computer. For converted data, SEASAVE applies calibration coefficients to the raw data to calculate converted data in engineering units.

To Enable and Set Up Shared File Output

  1. Click Configure Outputs; the Configure Outputs dialog box appears. In the dialog box, click the Shared File Out tab:
  2. Select Output data to shared file to enable the output. If XML format is desired instead of ASCII format, also select XML format. You must select XML format if planning to use Seasave Remote to view data on a remote computer.
  3. Click Select File. In the File name for shared file output dialog box, browse to the desired location and enter the desired file name; click Save.
    Note: If XML format is selected, the default file extension is .xml. If XML format is not selected, the default file extension is .txt.
  4. Enter the number of Seconds between updates, which controls how often data for the selected variables is sent to the shared file. For full rate data, set to 0.
  5. Click Select Variables to select the desired variable for each column of data. A dialog box with a list of variables appears; select the desired variables and the number of decimal places to the right of the decimal point for each variable, and click OK.
  6. Click OK or click another tab in Configure Outputs.
NOTES
  • When you click OK to exit the Configure Outputs dialog box, SEASAVE saves the settings to a temporary location, but not to the setup (.psa) file. Save the .psa file before beginning real-time data acquisition, archived data playback, or exiting SEASAVE.
  • Shared file output can be reconfigured during data acquisition without interrupting data acquisition. For example, if you start a cast and realize that you forgot to set up the shared file output, you can select Configure Outputs, click on the Shared File Out tab, and make and save the desired changes, all without interrupting the data acquisition. Once the desired changes are saved, the data will begin to output to the desired shared file (of course, any data that was acquired before you modified the setup will not be output in the shared file).

Remote Display

To view data output to a shared file on a remote computer on a network while SEASAVE continues to acquire more data:
  • Seasave Remote has many of the same display and plotting capabilities as SEASAVE. It can be used to display data on a remote computer that is transmitted in XML format (via TCP/IP or to a shared file), and to fire bottles from a remote computer. See Seasave Remote for Remote Display and Bottle Firing or see Seasave Remote's Help files.
  • Alternatively, Microsoft Notepad can be used to open and look at the data while SEASAVE continues to acquire more data. However, the data you are viewing will not refresh while the file is open; in other words, you must close the file and reopen it to view the latest data.

Notes on Viewing Shared File in XML Format

If you select XML format for the output shared file, the resulting .xml file cannot be opened with a web browser (such as Internet Explorer 7 or FireFox). For example, if you try to open the .xml file with Internet Explorer 7, the error message looks like this:
Only one top level element is allowed in an XML document. Error processing resource . . ..
The output contains a top level tag for the settings, and a top level tag for each scan of data, making it incompatible with these browsers.

The .xml file can be viewed using any of the following:
  • Microsoft Notepad
  • Symbol Click XML Marker
  • Seasave Remote (see Remote Display above)

Notes on Converting shared File in XML Format to Format Compatible with Spreadsheet Software

After data acquisition is complete, you can convert an output .xml file to a tab-delimited .txt format that can be opened in Microsoft Excel; see Convert .xml File to .txt File.


Mark Variables

Mark Variables allows you to set up SEASAVE to copy the most recent scan of data to a mark (.mrk) file as desired during real-time data acquisition. SEASAVE writes the sequential mark number, system time, and all selected variables to a .mrk file each time Mark Scan is clicked during data acquisition. If a plot display is set up to show mark lines, SEASAVE also draws a horizontal line in the plot each time Mark Scan is clicked during data acquisition.

The .mrk file can be used to manually note water sampler bottle firings, compare CTD data with data acquired at the same time from a Thermosalinograph, or mark significant events in the cast (winch problems, large waves causing ship heave, etc.) for later review and analysis of the data.

NOTE
The .mrk file has the same path and file name as the data file. For example, if the data file is c:\test1.hex, the .mrk file is c:\test1.mrk.

To Enable and Set Up Mark Variables

  1. Click Configure Outputs; the Configure Outputs dialog box appears. In the dialog box, click the Mark Variables tab:
  2. Click Select Variables to select the desired variable for each column of data. A dialog box with a list of variables appears; select the desired variables and the number of decimal places to the right of the decimal point for each variable, and click OK. The sequential mark number, system time, and all selected variables are written to a .mrk file each time Mark Scan is clicked during data acquisition.
  3. Click OK or click another tab in Configure Outputs.

To set up a plot display to show mark lines (lines can be labeled with the sequential mark number and/or the pressure) -- Right click in the desired plot window, and select Setup. In the Plot Display dialog box, select Show Mark Lines. Change other settings as desired. Click OK.

See Mark Scan Control to mark the scans during real-time data acquisition.

NOTE
When you click OK to exit the Configure Outputs dialog box, SEASAVE saves the settings to a temporary location, but not to the setup (.psa) file. Save the .psa file before beginning real-time data acquisition, archived data playback, or exiting SEASAVE.


TCP/IP Out

TCP/IP is Transmission Control Protocol/Internet Protocol, a communication protocol used to connect hosts on the internet and/or over networks. TCP/IP allows you to connect your CTD to a computer on deck while receiving data at a remote location elsewhere on the ship. TCP/IP also allows multiple applications running on the same computer to communicate with each other.

SEASAVE can output raw and converted data through separate TCP/IP ports.

To Enable and Set Up Data Output from TCP/IP Ports

  1. Click Configure Outputs; the Configure Outputs dialog box appears. In the dialog box, click the TCP/IP Out tab:
  2. Select Output raw data to socket using TCP/IP to output raw data in ASCII format. If XML format is desired instead of ASCII format, also select XML wrapper and settings.

  • Enter the number of Seconds between raw data updates, which controls how often raw data is output. For full rate data, set to 0.

  3. Select Output converted data to socket using TCP/IP to output converted data in ASCII format. If XML format is desired instead of ASCII format, also select XML format. SEASAVE applies calibration coefficients to raw data to calculate converted data in engineering units. You must select Output converted data to socket using TCP/IP and XML format if planning to use Seasave Remote or FixedDisplay.jar to view data on a remote computer.
    • Enter the number of Seconds between converted data updates, which controls how often data for the selected variables is converted to engineering units and output. For full rate data, set to 0.
    • Click Select Variables to select the desired variable for each column of converted data. A dialog box with a list of variables appears; select the desired variables and the number of decimal places to the right of the decimal point for each variable, and click OK.
  4. Click the TCP/IP Ports tab to select the ports for TCP/IP output.
  5. Click OK or click another tab in Configure Outputs.
NOTE
When you click OK to exit the Configure Outputs dialog box, SEASAVE saves the settings to a temporary location, but not to the setup (.psa) file. Save the .psa file before beginning real-time data acquisition, archived data playback, or exiting SEASAVE.

Remote Display

Software on the remote computer is required to view data output via TCP/IP. Sea-Bird provides two methods for performing this function if outputting converted data in XML format:
  • Seasave Remote has many of the same display and plotting capabilities as SEASAVE. It can be used to display data on a remote computer that is transmitted in XML format (via TCP/IP or to a shared file), and to fire bottles from the remote computer. See Seasave Remote for Remote Display and Bottle Firing or see Seasave Remote's Help files.
  • Alternatively, FixedDisplay.jar and FireBottles.jar are sample Java applications. FixedDisplay.jar allows you to view a Fixed display on a remote computer, to display data transmitted via TCP/IP. Fire bottles.jar allows you to fire bottles from a remote computer. You can use the provided sample applications or modify them as desired.


TCP/IP Ports (Outputs)

TCP/IP is Transmission Control Protocol/Internet Protocol, a communication protocol used to connect hosts on the internet and/or over networks. TCP/IP allows you to connect your CTD to a computer on deck while receiving data at a remote location elsewhere on the ship. TCP/IP also allows multiple applications running on the same computer to communicate with each other.

TCP/IP port parameters can be defined in Configure Inputs or Configure Outputs; if you make changes in one dialog box, those changes will appear when you open the other dialog box.

To Set Up TCP/IP Ports

  1. Click Configure Outputs; the Configure Outputs dialog box appears. In the dialog box, click the TCP/IP Ports tab:
  2. Define ports for communication with SEASAVE’s data acquisition application. SEASAVE is actually 2 applications – Seasave.exe automatically launches SeasaveAcq.exe when data acquisition is commanded to start, and both programs run simultaneously on the same computer. Define TCP/IP ports for following communications between these 2 applications:
    • Seasave.exe receives raw data from SeasaveAcq.exe.
    • Seasave.exe receives status messages from SeasaveAcq.exe
    • Seasave.exe sends commands to SeasaveAcq.exe.
  3. Define ports for remote bottle firing:
    • Receive commands to fire bottles from another application on same computer or from another computer, through defined port.
    • Send status response (bottle fire confirmations) to another application on same computer or to another computer, through defined port.
  4. Define ports to output data:
    • Send converted data to another application on the same computer, or to another computer.
    • Send raw data to another application on the same computer, or to another computer.
  5. Click OK or click another tab in Configure Outputs.
NOTES
  • When you click OK to exit the Configure Outputs dialog box, SEASAVE saves the settings to a temporary location, but not to the setup (.psa) file. Save the .psa file before beginning real-time data acquisition, archived data playback, or exiting SEASAVE.
  • Seasave Remote for Remote Display and Bottle Firing provides information on Sea-Bird software that can be installed on a remote computer for viewing data and firing bottles. Seasave Remote has many of the same display and plotting capabilities as SEASAVE.
  • As an alternative to using Seasave Remote, Java Application for Remote Display and Java Application for Remote Bottle Firing provide information on sample Java applications that can be installed on a remote computer for viewing data and firing bottles. You can use the provided sample applications or modify them as desired.


SBE 11plus Alarms

SEASAVE can set up an alarm in the SBE 11plus Deck Unit based on minimum and maximum pressures, and/or for an altimeter integrated with the SBE 9plus CTD.

NOTES
  • The altimeter alarm is available only if the selected configuration (.con) file has a 9plus CTD with an altimeter.
  • The 11plus alarm also operates on input from a bottom contact switch on the 9plus. No setup is required in SEASAVE.

To Enable and Set Up SBE 11plus Alarms

  1. In the Configure menu, set up the CTD configuration (.con) file for the SBE 9plus as desired. If applicable, select the altimeter as one of the A/D voltage sensors. Save the changes.
  2. Click Configure Outputs; the Configure Outputs dialog box appears. In the dialog box, click the SBE 11plus Alarms tab:
  3. If desired, select Enable minimum pressure alarm. Enter the alarm pressure to provide warning that the CTD is nearing the surface (see diagram below).
  4. If desired, select Enable maximum pressure alarm. Enter the alarm pressure to provide warning that the CTD is deeper than desired (see diagram below).
  5. If desired, select Enable altimeter alarm. Enter the alarm parameters (see diagram below).
    • Set Alarm set point at the altimeter reading where you want the alarm to sound.
    • Set Alarm hysteresis greater than the expected ship heave (swell) to prevent on-off-on-off sounding of the alarm caused by ship heave.
      Example      : You want the alarm to turn on at 10 m; set Alarm set point = 10 m. There is a 0.5 meter swell; set Alarm hysteresis =1 m, which should be sufficient to account for possible 0.5 meter upward movement due to ship heave. The alarm will sound at 10 m above sea bottom and will stay on until the altimeter goes above 11 m, when it will shut off until it falls to 10 m again.
    • Set Minimum pressure to enable alarm greater than approximately 20 decibars to prevent the alarm from turning on while on the ship deck or as the system is entering the water (when the altimeter is measuring the distance to the deck or to the top of the water surface).

  6. Click OK or click another tab in Configure Outputs.
NOTES
  • When you click OK to exit the Configure Outputs dialog box, SEASAVE saves the settings to a temporary location, but not to the setup (.psa) file. Save the .psa file before beginning real-time data acquisition, archived data playback, or exiting SEASAVE.
  • SBE 11plus alarms can be reconfigured during data acquisition without interrupting data acquisition. For example, if you start a cast and realize that you forgot to set up an alarm in the 11plus, you can select Configure Outputs, click on the SBE 11plus Alarms tab, and make and save the desired changes, all without interrupting the data acquisition. Once the desired changes are saved, the alarm will begin to function as set up.


SBE 14 Remote Display

The SBE 14 Remote Display can display depth, pressure, and/or altimeter height for a CTD system, and can be set up to turn on an alarm based on minimum and maximum pressures, an altimeter integrated with the CTD, and/or a bottom contact switch integrated with the CTD.

NOTES
  • SBE 14 Remote Display setup in SEASAVE applies if an SBE 14 is connected to a COM port. If the SBE 14 is connected to an SBE 11plus Deck Unit, SBE 14 setup is done by sending commands to the 11plus in SEATERM.
  • The altimeter alarm is available only if the selected configuration (.con) file has a CTD with an altimeter.
  • The bottom contact switch alarm is always available for an SBE 9plus CTD. For all other CTDs, the bottom contact switch alarm is available only if the selected configuration (.con) file has a CTD with a bottom contact switch.

To Enable and Set Up SBE 14 Remote Display

  1. Click Configure Outputs; the Configure Outputs dialog box appears. In the dialog box, click the SBE 14 Remote Display tab:
  2. Select Send data to SBE 14 remote display to enable the output.
  3. Select Remote display data type. Choices are:
    • Altimeter height – displays with 3 digits (Note: Altimeter height is available in the pull-down menu only if an altimeter is included in the CTD configuration (.con) file.)
    • Depth -- displays with 4 digits
    • Pressure -- displays with 4 digits
    • Altimeter Height + Depth -- altimeter height and depth alternate on display
    • Altimeter Height + Pressure -- altimeter height and pressure alternate on display
  4. Select Depth type, which is used to calculate depth from the measured pressure:
    • For Salt water, algorithm estimates local gravity from latitude. It uses latitude from a NMEA navigation device, if NMEA is enabled in .con file. If your system does not have NMEA, enter the desired latitude on the Miscellaneous tab in Configure Inputs.
    • For Fresh water, algorithm ignores gravity variation with latitude, because fresh water applications are usually shallow, and effect of gravity variation is insignificant.
  5. Enter the number of Seconds between updates. Updates at a very fast rate could make the display difficult to read. Additionally, the time between updates interacts with the data output baud rate (set internally in the SBE 14 to 300 baud; cannot be changed) and the number of variables transmitted. SEASAVE will not work properly if data is presented to the COM port faster than the COM port can transmit it to the SBE 14 at 300 baud.
  6. If desired, select Enable minimum pressure alarm. Enter the alarm pressure to provide warning that the CTD is nearing the surface (see diagram below).
  7. If desired, select Enable maximum pressure alarm. Enter the alarm pressure to provide warning that the CTD is deeper than desired (see diagram below).
  8. If desired, select Enable altimeter alarm. Enter the alarm parameters (see diagram below).
    • Set Alarm set point at the altimeter reading where you want the alarm to sound.
    • Set Alarm hysteresis greater than the expected ship heave (swell) to prevent on-off-on-off sounding of the alarm caused by ship heave.
      Example      : You want the alarm to turn on at 10 m; set Alarm set point = 10 m. There is a 0.5 meter swell; set Alarm hysteresis =1 m, which should be sufficient to account for possible 0.5 meter upward movement due to ship heave. The alarm will sound at 10 m above sea bottom and will stay on until the altimeter goes above 11 m, when it will shut off until it falls to 10 m again.
    • Set Minimum pressure to enable alarm greater than approximately 20 decibars to prevent the alarm from turning on while on the ship deck or as the system is entering the water (when the altimeter is measuring the distance to the deck or to the top of the water surface).

  9. If desired, select Enable bottom contact switch alarm.
  10. Click the Serial Ports tab to define the COM port for communication with the SBE 14 Remote Display.
  11. Click OK or click another tab in Configure Outputs.
NOTES
  • When you click OK to exit the Configure Outputs dialog box, SEASAVE saves the settings to a temporary location, but not to the setup (.psa) file. Save the .psa file before beginning real-time data acquisition, archived data playback, or exiting SEASAVE.
  • The SBE 14 Remote Display can be reconfigured during data acquisition without interrupting data acquisition. For example, if you start a cast and realize that you forgot to set up the remote display, you can select Configure Outputs, click on the SBE 14 Remote Display tab, and make and save the desired changes, all without interrupting the data acquisition. Once the desired changes are saved, the data will begin to output to the SBE 14 Remote Display.


PC Alarms

SEASAVE can set up an alarm in the personal computer (PC) that is running SEASAVE, based on minimum and maximum pressures, an altimeter integrated with the CTD, and/or a bottom contact switch integrated with the CTD.

NOTES
  • The altimeter alarm is available only if the selected configuration (.con) file has a CTD with an altimeter.
  • The bottom contact switch alarm is always available for an SBE 9plus CTD.
    For all other CTDs, the bottom contact switch alarm is available only if the selected configuration (.con) file has a CTD with a bottom contact switch.

To Enable and Set Up PC Alarms

  1. In the Configure menu, set up the CTD configuration (.con) file for the CTD as desired. If applicable, select the altimeter and/or bottom contact switch as an A/D voltage sensor. Save the changes.
  2. Click Configure Outputs; the Configure Outputs dialog box appears. In the dialog box, click the PC Alarms tab:
  3. If desired, select Enable minimum pressure alarm. Enter the alarm pressure to provide warning that the CTD is nearing the surface (see diagram below).
  4. If desired, select Enable maximum pressure alarm. Enter the alarm pressure to provide warning that the CTD is deeper than desired (see diagram below).
  5. If desired, select Enable altimeter alarm. Enter the alarm parameters (see diagram below).
    • Set Alarm set point at the altimeter reading where you want the alarm to sound.
    • Set Alarm hysteresis greater than the expected ship heave (swell) to prevent on-off-on-off sounding of the alarm caused by ship heave.
      Example      : You want the alarm to turn on at 10 m; set Alarm set point = 10 m. There is a 0.5 meter swell; set Alarm hysteresis =1 m, which should be sufficient to account for possible 0.5 meter upward movement due to ship heave. The alarm will sound at 10 m above sea bottom and will stay on until the altimeter goes above 11 m, when it will shut off until it falls to 10 m again.
    • Set Minimum pressure to enable alarm greater than approximately 20 decibars to prevent the alarm from turning on while on the ship deck or as the system is entering the water (when the altimeter is measuring the distance to the deck or to the top of the water surface).

  6. If desired, select Enable bottom contact switch alarm.
  7. Set up and test the alarm tone emitted by the computer. The tone is provided through the PC internal speaker or the PC sound card (for transmission to external speakers or headphones).
  8. Click OK or click another tab in Configure Outputs.
NOTES
  • When you click OK to exit the Configure Outputs dialog box, SEASAVE saves the settings to a temporary location, but not to the setup (.psa) file. Save the .psa file before beginning real-time data acquisition, archived data playback, or exiting SEASAVE.
  • PC alarms can be reconfigured during data acquisition without interrupting data acquisition. For example, if you start a cast and realize that you forgot to set up an alarm in the computer, you can select Configure Outputs, click on the PC Alarms tab, and make and save the desired changes, all without interrupting the data acquisition. Once the desired changes are saved, the alarm will begin to function as set up.


Header Form

SEASAVE can write a user-input descriptive header to the data file, which is useful in identifying the data set.

NOTES
  • A header is automatically included in the data (.hex) file and in the header (.hdr) file. The header includes software version, sensor serial numbers, instrument configuration, date and time of start of data acquisition, etc. There can be up to two date / time listings in the header. The first, System Upload Time, is always the date and time from the computer. The second, UTC Time, is the date and time from an optional NMEA navigation device.
  • The .hdr file has the same path and file name as the data file. For example, if the data file is c:\test1.hex, the .hdr file is c:\test1.hdr.

To Set Up Header

  1. Click Configure Outputs; the Configure Outputs dialog box appears. In the dialog box, click the Header Form tab:
  2. Select the desired Header Choice and enter the header.
    • Prompt for Header Information -- The user will be prompted to fill out the header form at the start of data acquisition. Only the lines with text prompts on them will appear. The completed header, along with system time, instrument type, and serial numbers, will be written to the beginning of the data file and also output to a file with the same name as the data file but with an .hdr extension.
    • Include Default Header Information in File -- The user will not be prompted to add any header information at the start of data acquisition. The user-defined default header form will be written as-is to the beginning of the data file and also output to a file with the same name as the data file but with an .hdr extension.
    • Don’t Include Header Information in File – User-input header information will not be added to the data file or placed in a .hdr file.
  3. Click OK or click another tab in Configure Outputs.
Example:
Prompt for Header Information is selected, and the Header Form prompts are filled in as shown.

When you begin data acquisition, (if you chose to store the data on disk) the header form appears for you to fill in. The user-selected prompts from the Header Form tab (Ship, Cruise, Station, Latitude, and Longitude) appear to the left of the blank fields.

NOTE
When you click OK to exit the Configure Outputs dialog box, SEASAVE saves the settings to a temporary location, but not to the setup (.psa) file. Save the .psa file before beginning real-time data acquisition, archived data playback, or exiting SEASAVE.


Diagnostics

SEASAVE can output diagnostics, to assist in troubleshooting if you encounter difficulty running the program.

To Enable and Set Up Diagnostic Output

  1. Click Configure Outputs; the Configure Outputs dialog box appears. In the dialog box, click the Diagnostics tab:
  2. Select Keep a diagnostics log for Seasave.exe to enable diagnostics output for Seasave.exe, which is the user-interface portion of the program.
    • Click Select Path to select the location and name for the diagnostics file. The default location is the same directory as where Seasave.exe is installed (default C:/Program Files/Sea-Bird/SeasaveV7); the default name is SSLog.txt.
    • Select the Level of diagnostics to include in the log: Errors, Warnings (includes errors), or Information (includes errors and warnings).
    • If desired click Display Log File to display the contents of the file, using Notepad.
    • If desired, click Erase Log File to erase the contents of the indicated file. If not erased, SEASAVE appends diagnostics data to the end of the file.
  3. Select Keep a diagnostics log for SeasaveAcq.exe to enable diagnostics output for SeasaveAcq.exe, which is the data acquisition portion of the program (SeasaveAcq.exe is automatically launched when you click Start in the Start Real-Time Data Acquisition dialog box [Real-Time Data menu / Start]).
    • Click Select Path to select the location and name for the diagnostics file. The default location is the same directory as where Seasave.exe is installed (default C:/Program Files/Sea-Bird/SeasaveV7); the default name is SALog.txt.
    • Select the Level of diagnostics to include in the log: Errors, Warnings (includes errors), or Information (includes errors and warnings).
    • If desired click Display Log File to display the contents of the file, using Notepad.
    • If desired, click Erase Log File to erase the contents of the indicated file. If not erased, SEASAVE appends diagnostics data to the end of the file.
  4. Click OK or click another tab in Configure Outputs.
NOTES
  • Unlike all other information in Configure Inputs and Configure Outputs, diagnostic selections are not included in the program setup (.psa) file. Seasave.ini (in Windows directory) contains information on whether diagnostics are enabled (log=0 if not enabled, log=1 if enabled) and the path for the diagnostics file(s).
  • Changes made on the Diagnostics tab take effect immediately; if you make a change and then click Cancel at the bottom of the dialog box, you have not cancelled the change.
  • When you click OK to exit the Configure Outputs dialog box, SEASAVE saves the settings (other than Diagnostics settings) to a temporary location, but not to the setup (.psa) file. Save the .psa file before beginning real-time data acquisition, archived data playback, or exiting SEASAVE.


Select Variables

When you click the Select Variables button on the Serial Data Out, Shared File Out, Mark Variables, or TCP/IP Out tab of the Configure Outputs dialog box, the Select Variables dialog box appears.

On the left is a list of the variables that have been selected for output. On the right is a list of all variables available for output, based on the selected sensors in the configuration (.con) file. The available variables include directly measured parameters, such as conductivity, temperature, pressure, oxygen, etc. as well as parameters that can be calculated from the measurements, such as salinity, sound velocity, etc. Variables listed with a + have selections beneath them, to allow user selection of output units, etc. These selections can be viewed by clicking the Expand or Expand All button, or by clicking on the +.

Looking at the buttons at the top of the dialog box:
  • Delete – Delete the highlighted variable.
  • Delete All – Delete all the variables.
Looking at the selections at the right side of the dialog box:
  • Add – Add the selected variable to the bottom of the list.
  • Insert – Add the selected variable above the highlighted variable on the list.
  • Change – Substitute the selected variable for the highlighted variable on the list.
Note that you can also double click on a selected variable to add the variable to the list.

After you select a variable, enter the number of desired digits to the right of the decimal place in the Digits column.


Add/Edit/Import/Export/Print Display Window

SEASAVE can have an unlimited number of display windows (within the resource limitations of your computer). Edit a display window to select desired parameters, number of digits for data display, and plot characteristics (labels, grids, etc.). This information is saved in the program setup (.psa) file.

Displays can be added and/or reconfigured during data acquisition without interrupting data acquisition. For example, if you start a cast and realize that you forgot to select some desired variables in a display, you can right click in the display to modify it, select the desired variables, and save the changes without interrupting data acquisition. Once the desired changes are saved, the display will show the additional variables (of course, any data that was acquired before you modified the display will not appear in the display).

To Add a New Display Window

  1. Click Display, and select Add New (Fixed, Scrolled, or Plot) Display Window.
  2. The display dialog box appears. The selections in the dialog box vary, depending on the display type. See Fixed Display, Scrolled Display, and Plot Display.

To Import a New Display Window

  1. Click Display, and select Import Display Settings (.dsa file).
  2. The Open dialog box appears. Select the desired .dsa file and click OK.
NOTE
A SEASAVE display setup (.dsa) file defines the size, placement, and setup for a display window. The information in the .dsa file is also incorporated into the program setup (.psa) file. You can import and export .dsa files, allowing you to create the desired displays once and then reuse them later for other instruments / deployments.

To Edit a Display Window

  1. To change the content of a display, right click in the desired window and select Modify. The display dialog box appears. The selections in the dialog box vary, depending on the display type (see Fixed Display, Scrolled Display, and Plot Display). Make the desired selections and click OK.
  2. To change the display window size and/or location:
    • Click Display, and select the arrangement type: horizontal tiles, vertical tiles, or cascade. SEASAVE automatically sizes and arranges all the windows. OR
    • Use standard Windows click-and-drag methods to resize and move the window(s) as desired.

To Export a Display Window

You can export the setup of a display window, for reuse later for another instrument and/or deployment.
  1. Right click in the desired window and select Export Display Settings (.dsa file).
  2. The Save As dialog box appears. Enter the desired path and file name for the .dsa file and click OK.
NOTE
A SEASAVE display setup (.dsa) file defines the size, placement, and setup for a display window. The information in the .dsa file is also incorporated into the program setup (.psa) file. You can import and export .dsa files, allowing you to create the desired displays once and then reuse them later for other instruments / deployments.

To Print a Display Window

  1. Right click in the desired window and select Print.
  2. The Printing dialog box appears; set up the print job as desired and click OK.

To Resize a Plot Display Window

To enlarge a plot display to full screen:
  • Click Display and select Maximize All Plots. OR
  • Right click in a plot window and select Maximize. OR
  • Click on the standard Windows Maximize button at the top right of the plot display.
With a plot display maximized, use the Tab key to view other displays.

To return a plot display to its previous size:
  • Click Display and select Restore All. OR
  • Right click in a plot window and select Restore. OR
  • Click on the standard Windows Restore button at the top right of the plot display.


Fixed Display

A Fixed Display has a vertical list of the selected parameters to the left, and displays their current values to the right. To set up a Fixed Display:
  • Click Display, and select Add New Fixed Display Window. OR
  • Click Display, and select Import Display Settings (.dsa file). OR
  • Right click in an existing Fixed Display and click Modify.
The Fixed Display dialog box looks like this:

On the left is a list of the variables that have been selected for display. On the right is a list of all variables available for display, based on the selected sensors in the configuration (.con) file. The available variables include directly measured parameters, such as conductivity, temperature, pressure, oxygen, etc. as well as parameters that can be calculated from the measurements, such as salinity, sound velocity, etc. Variables listed with a + have selections beneath them, to allow user selection of display units, etc. These selections can be viewed by clicking the Expand or Expand All button, or by clicking on the +.

Looking at the buttons at the top and at the right side of the dialog box:
  • Delete – Delete the highlighted variable.
  • Delete All – Delete all the variables.
  • Add – Add the selected variable to the bottom of the list.
  • Insert – Add the selected variable above the highlighted variable on the list.
  • Change – Substitute the selected variable for the highlighted variable on the list.
Other dialog box selections include:
  • Seconds between updates -- Time between each calculation of variables for updating display; each display can have a different update rate. Faster than 1 second can be difficult to view. Set to 0 for full rate data.
  • Font size -- Select small, medium, or large.
  • Two columns – Click to enable a 2-column display.
  • Short names -- Click to display shortened variable names (for example, display "c S/m" instead of "Conductivity [S/m]").
  • Variable name -- Double click in the list at the right to select the variable for each row, or use the Add, Insert, or Change button.
  • Digits -- Enter the number of digits to display to the right of the decimal point.
  • Color: Text and Back (color behind the text) -- Double click in a box to change the color for that variable, or double click on the heading (Text or Back) to change the color for all variables. The color dialog box appears; select the desired color and click OK.
When done, click OK.

Viewing Fixed Display

Shown below are two example Fixed Displays, illustrating 1-column and 2-column setup:

Adjust the column width by placing the mouse cursor over the line at the right side of the number column header and dragging.

Right click in the display to:
  • Modify – change setup; Fixed Display dialog box appears.
  • Export Display Settings (.dsa file) – export setup to .dsa file; Save As dialog box appears.
  • Print – print display. The Printing dialog box appears; set up the print job as desired and click OK.


Scrolled Display

A Scrolled Display has a list of the selected parameters across the top, and displays the data in scrolling vertical columns. To set up a Scrolled Display:
  • Click Display, and select Add New Scrolled Display Window. OR
  • Click Display, and select Import Display Settings (.dsa file). OR
  • Right click in an existing Scrolled Display and click Modify.
The Scrolled Display dialog box looks like this:

On the left is a list of the variables that have been selected for display. On the right is a list of all variables available for display, based on the selected sensors in the configuration (.con) file. The available variables include directly measured parameters, such as conductivity, temperature, pressure, oxygen, etc. as well as parameters that can be calculated from the measurements, such as salinity, sound velocity, etc. Variables listed with a + have selections beneath them, to allow user selection of display units, etc. These selections can be viewed by clicking the Expand or Expand All button, or by clicking on the +.

Looking at the buttons at the top and at the right side of the dialog box:
  • Delete – Delete the highlighted variable.
  • Delete All – Delete all the variables.
  • Add – Add the selected variable to the bottom of the list.
  • Insert – Add the selected variable above the highlighted variable on the list.
  • Change – Substitute the selected variable for the highlighted variable on the list.
Other dialog box selections include:
  • Rows to display and Total rows – Rows to display is the number of rows that show at one time in the display; SEASAVE uses this to determine the vertical size of the display. Total rows is the total number of rows in the display; if Total rows > Rows to display, the display will have a scroll bar to enable the user to view more data (you can later resize the display manually as desired using standard Windows drag methods).
  • Font size -- Select small, medium, or large.
  • Seconds between updates -- Time between each calculation of variables for updating display; each display can have a different update rate. Faster than 1 second can be difficult to view. Set to 0 for full rate data.
  • Variable name -- Double click in the list at the right to select the variable for each row, or use the Add, Insert, or Change button.
  • Digits -- Enter the number of digits to display to the right of the decimal point.
  • Color: Text and Back (color behind the text) -- Double click in a box to change the color for that variable, or double click on the heading (Text or Back) to change the color for all variables. The color dialog box appears; select the desired color and click OK.
When done, click OK.

Viewing Scrolled Display

Shown below is an example scrolled display:

Adjust the column width by placing the mouse cursor over the line between the headings and dragging.

Right click in the display to make changes / print:
  • Modify – change setup; Scrolled Display dialog box appears.
  • Export Display Settings (.dsa file) – export setup to .dsa file; Save As dialog box appears.
  • Print – print display. The Printing dialog box appears; set up the print job as desired and click OK.
NOTE
To minimize column width, SEASAVE uses abbreviations for the Scrolled Display headings. For example, Temperature [ITS-90, deg C] is abbreviated as t 90 C.


Plot Display

A Plot Display can:
  • Plot up to 5 variables on one plot, with a single X axis and up to four Y axes or a single Y axis and up to four X axes.
  • Plot any variable on a linear or logarithmic scale. For linear scale, values can be increasing or decreasing with distance from the axis.
  • Send plots to a printer, save plots to the clipboard for insertion in another program (such as Microsoft Word), or save plots as graphic files in bitmap, metafile, or JPEG format.
To set up a plot display:
  • Click Display, and select Add New Plot Display Window. OR
  • Click Display, and select Import Display Settings (.dsa file). OR
  • Right click in an existing plot display and click Modify.
The plot discussion is in several parts:
  • Plot Setup tab (below)
  • Axis tabs
  • Print Options tab
  • Save Options tab
  • Copy Options tab
  • Viewing and printing plot

Plot Setup tab

The Plot Setup tab defines the overall plot characteristics – number of axes, plot layout (title, color, font, grid lines, etc.), bottle firing display, mark line display, etc. The Plot Setup tab in the Plot Display dialog box looks like this:

The dialog box selections and buttons include:
  • Number of seconds between plot updates: Time between each calculation of variables for updating display; each display can have different update rate. Faster than 1 second can be difficult to view. Set to 0 for full rate data.
  • Plot type and Number of Axes: Single X – Multiple Y (1 X and up to 4 Y axes) or Single Y – Multiple X (1 Y and up to 4 X axes); up to 5 axes total.
  • Plot Title, Title Color, Font, and Font size:
    Title is placed in plot title bar on screen to save space. However, title appears at top-center of plot if you copy, save, or print plot.
    Font list depends on what fonts are installed on your computer.
    Font and font size apply to everything on the plot – title, axis labels, numbers on grid, etc.
  • Inside Background Color and Outside Background Color: Color within and outside axes.
  • Black text axes: Label all axes in black (otherwise, label colors are selected on axis tabs).
  • Show plot shadow: Shadow effect to bottom and right of axes.
  • Monochrome plot: Black and white plot.
  • Plot off-scale data:
  • Display Downcast Only: Plot only downcast data. SEASAVE determines that upcast has begun when P > Minimum pressure to determine upcast and P has decreased from previous maximum P by Pressure decrease to determine upcast.
  • Enable upcast line colors: Plot downcast and upcast in different colors (colors selected on Axis tabs). Algorithm for determining that upcast has begun is same as described above for Display Downcast Only.
  • Bottle display -- Show fire sequence, Show bottle lines, Line label, Line style, and Bottle Fire Line Color: For a system integrated with a water sampler.
    If Show fire sequence selected, SEASAVE lists the bottle closure order to the right of the plot.
    If Show bottle lines selected, SEASAVE places a horizontal line in the plot to indicate the data associated with a bottle closure. Line label, line style, and line color defines the line.
  • Mark Line Display – Show mark lines, Mark line label, Mark line style, and Mark line Color: If Show mark lines selected, SEASAVE places a horizontal line in the plot to indicate the data associated with the user marking a scan. Mark line label (mark number, pressure, or both), style, and color define line. Scan marking is done in the Real-Time Control menu; see Mark Scan Control.
  • Number of data scans to save or queue – For most applications, leave at Redraw buffer size = 4000, Queue size limit = 10.
    Redraw buffer size     = maximum # of scans in buffer. Previous scans are saved to temporary file(s). Note: Not all scans are saved for redraw, only scans that appear different from previous scans at screen resolution.
    Queue size limit     = maximum # of scans in queue. If queue is full (SEASAVE has not had enough time to keep up with processing), scans are skipped.
  • Grid line use (none, horizontal and vertical, horizontal, or vertical), Grid line style (solid, dotted, or dashed), whether to place Grid in front of plotted data, and Grid color define grid.


Plot Display Axis Tabs

The plot discussion is in several parts:
  • Plot Setup tab
  • Axis tabs (below)
  • Print Options tab
  • Save Options tab
  • Copy Options tab
  • Viewing and printing plot
The Axis tabs in the Plot Display dialog box look like this (but the first axis tab does not include Line type, Downcast color, or Upcast color):

The dialog box selections and buttons include:
  • Select Variable: Click to choose desired variable. List includes all measured parameters that are indicated in configuration (.con) file as well as all parameters that can be calculated from those measured parameters; make your selection and click OK.
  • Axis Label: Label axis with Variable name as listed above, or enter a Custom label for axis.
  • Line type and colors (color of axis title and numbers):
    --     Line type, Downcast color, and Upcast color do not appear on the tab for the first axis (the Y axis tab in the example shown above).
    --     Line color, Upcast color, and Axis color are grayed out and cannot be selected if monochrome plot was selected on Plot Setup tab.
    --     Axis color is grayed out and cannot be selected if Black text axis was selected on Plot Setup tab.
    --     Upcast color is grayed out unless Enable upcast line colors was selected on Plot Setup tab.
  • Linear scale or logarithmic scale: Select one for this axis.
  • Reverse scale direction: Plot axis from highest to lowest value. Typically used when pressure or depth is plotted on Y axis, so pressure / depth starts at 0 at top of plot and increases as you move down vertically.
  • Number of Major divisions on axis, and number of Minor divisions between major divisions. Example: With range from 0 - 10 °C, 5 major divisions provides tick marks every 2 °C; 4 minor divisions provides tick marks every 0.5 °C.
  • Number of Decimal digits to display after the decimal point.
  • Minimum and Maximum values to display in plot. Any values that fall outside Minimum to Maximum range will plot at minimum or maximum, as applicable, unless Auto page this axis selected.
  • Auto page this axis: If selected, the display pages down if data falls outside the minimum/maximum range. Note: If you change Auto page percent for 1 axis, it automatically changes for all axes.
    Example: You set up the axis for 0 - 5 S/m, but the actual cast exceeds 5 S/m.
    If     Auto page percent = 100, minimum/maximum adjusts to 5 to 10 S/m to continue to display data.
    If Auto page percent = 80, minimum/maximum adjusts to 4 to 9 S/m to continue to display data.
When done, click OK.


Plot Display Print Options Tab

The plot discussion is in several parts:
  • Plot Setup tab
  • Axis tabs
  • Print Options tab (below)
  • Save Options tab
  • Copy Options tab
  • Viewing and printing plot
The print options tab defines the size and orientation for when the plot file is output to the printer.
The Print Options tab in the Plot Display dialog box looks like this:

The dialog box selections and buttons include:
  • Orientation – Landscape, Portrait, or print Driver default.
  • Full page -- scale plot to fit 8.5x11 inch page. If selected, remaining items are grayed out.
  • Print in black and white – If selected, SEASAVE makes background colors white and all lines black when you Print.
  • Size determined by --
    • Plot display size -- dimensions of plot as shown on screen, or
    • Values Entered Below -- dimensions entered in dialog box (mm, inches, or points).


Plot Display Save Options Tab

The plot discussion is in several parts:
  • Plot Setup tab
  • Axis tabs
  • Print Options tab
  • Save Options tab (below)
  • Copy Options tab
  • Viewing and printing plot
The save options tab defines output file type and size for when the plot is saved to a file (as a .wmf, .jpg, or .bmp).
The Save Options tab in the Plot Display dialog box looks like this:

The dialog box selections and buttons include:
  • Default format for save – metafile (.wmf), JPG (.jpg), or bitmap (.bmp). This defines the default file extension in Save to File dialog box, but one of the other file extensions can be selected at that time if desired.
  • Size determined by --
    • Plot display size -- dimensions of plot as shown on screen, or
    • Values Entered Below -- dimensions entered in dialog box (mm, inches, or points for .wmf; pixels for .jpg or .bmp).


Plot Display Copy Options Tab

The plot discussion is in several parts:
  • Plot Setup tab
  • Axis tabs
  • Print Options tab
  • Save Options tab
  • Copy Options tab (below)
  • Viewing and printing plot
The copy options tab defines the plot type and size for copying to the clipboard (as a windows metafile, JPEG, or bitmap).
The Copy Options tab in the Plot Display dialog box looks like this:

The dialog box selections and buttons include:
  • Use format selected below when copying plot to clipboard – SEASAVE automatically uses selected format (metafile, JPG, or bitmap) when copying plot to clipboard.
  • Show dialog to select format when copying plot to clipboard – SEASAVE prompts you to select format (metafile, JPG, or bitmap) when copying plot to clipboard.
  • Size determined by –
    • Plot display size -- dimensions of plot as shown on screen, or
    • Values Entered Below -- dimensions entered in dialog box (mm, inches, or points for metafile; pixels for JPG or bitmap).


Viewing and Printing Plot Display

The plot discussion is in several parts:
  • Plot Setup tab
  • Axis tabs
  • Print Options tab
  • Save Options tab
  • Copy Options tab
  • Viewing and printing plot display (below)
Shown below is an example plot.

Right click in the plot to make changes/selections:
  • Modify – change plot setup; Plot Display dialog box appears.
  • Export Display Settings (.dsa file) -- export setup to .dsa file; Save As dialog box appears
  • Print, Copy (to clipboard), Save Picture as – See description below.
  • Toolbar – Enable / disable display of toolbar at top of plot.
  • Scroll/Zoom – See description below.
  • Undo scroll & zoom – See description below.
  • Disable auto page – SEASAVE automatically disables auto page if you scroll or zoom, or undo scroll & zoom. To re-enable, select Disable auto page.
    Note: Only applicable if you selected Auto page this axis on one or more Axis setup tabs.
  • Maximize – enlarge plot display to full screen. When enlarged, use the Tab key to view other displays.
  • Restore – If maximized, return plot display to its previous size.

Change the plot using the toolbar buttons at the top of the plot or by right clicking in the plot:

Toolbar Button | Right click in Plot | Description
< arrows | Scroll/zoom – Scroll 10% | Move center of plot by 10% of range.
<< arrows | Scroll/zoom – Scroll 80% | Move center of plot by 80% of range.
+ and - | Scroll/zoom – Zoom in and Zoom out | Increase size 200% (decrease range 50%) or decrease size 50% (increase range 200%). Before zooming, scroll to area of plot you want to enlarge; SEASAVE zooms in at center of plot. You can zoom several times before reaching limits. You can also zoom in by clicking and dragging to select a rectangular area in plot.
Undo (O) | Undo scroll & zoom | Undo most recent scroll or zoom. Select multiple times to return to original plot. To return to original plot in 1 step, right click in plot and select Modify, and then click OK in Plot Display dialog box.
Print | Print | Bring up Print dialog box. Default plot size and orientation was defined on Print Options tab. However, you can change these by clicking Preferences in Print dialog box.
Copy | Copy | Copy to Clipboard. Plot size and format was defined on Copy Options tab. If you selected Show dialog to select format when copying plot to clipboard on Copy Options tab, SEASAVE prompts you to select format (metafile, JPG, or bitmap).
Save | Save Picture as | Bring up Save to File dialog box. Plot size and default type (jpg, .bmp, or .wmf) was defined on Save Options tab. However, you can change file type in Save to File dialog box.


Status Display

The Status display is just below SEASAVE’s title bar and menus. To display or hide the Status display, select Status in the Display menu.

The Status window provides the following information:
  • If SEASAVE is acquiring real-time data or playing archived data.
  • If SEASAVE is storing real-time data to a file; output data file name.
  • Instrument configuration (.con) file name.
NOTE
SEASAVE’s title bar shows the selected instrument type and the path and file name for the program setup (.psa) file.


NMEA Display

If your system includes a NMEA navigational device, and NMEA has been selected in the instrument configuration (.con) file, NMEA Display allows you to view the latitude, longitude, and time during data acquisition, and to select scans to be written to a .nav file. Each scan written to the .nav file contains latitude, longitude, time, scan number, and pressure.
The source of the date and time information in the NMEA Display and in the output data file header varies, depending on your NMEA navigational system:
  • NMEA data includes both time and date -- both the NMEA Display and the NMEA UTC Time in the output data file header show the NMEA date and time.
  • NMEA data includes time but not date -- the NMEA Displays shows the NMEA time and the date from the computer, while the NMEA UTC Time in the output data file header shows just the NMEA time.
  • NMEA data does not include date or time -- both the NMEA Display and the NMEA UTC Time in the output data file header contain no information.
NOTE
System Upload Time in the data file header is always the computer time and date, regardless of whether a NMEA navigation device is transmitting data.

To Add Data to .nav File

  1. In the Display menu, select NMEA Display. The NMEA Data dialog box appears.
  2. Start Real-Time Data Acquisition.
  3. When desired, click Add to .nav File, OR
    Press Ctrl F7.
NOTES
  • The Add to .nav File button in the NMEA Data dialog box is inaccessible until you start saving data to a file. So, if you did not select Begin archiving data immediately (or selected Begin archiving data when ‘Start Archiving’ command is sent and did not yet send the Start Archiving command), the Add to .nav File button is grayed out.
  • The .nav file has the same path and file name as the data file. For example, if the data file is c:\test1.hex, the .nav file is c:\test1.nav.


Start / Stop Real-Time Data Acquisition

SEASAVE can be used to display and plot real-time data as well as archived data.

NOTE

To start data acquisition without a mouse: Press the Alt key to show the keyboard shortcuts (underlines) on menus. Press the appropriate letter (for example, R for Real-Time Data menu) and use the arrow and Enter keys to navigate.

To Start Real-Time Data Acquisition

NOTE
For SBE 16plus, 16plus V2, 19plus, 19plus V2, and 49: Instrument must be set up to output raw hex data (OutputFormat=0) for SEASAVE to interpret the data. See the instrument user manual for details.

  1. In the Real-Time Data menu, select Start. The Start Real-Time Data Acquisition dialog box appears:

The dialog box selections include:

  • Data Archiving Options:
    • Select Begin archiving data immediately to store the raw (frequencies, A/D counts, and/or voltages) real-time data. Click Select Output Data File Name. Save Archived Data As dialog box appears; browse to the desired file location, enter the desired file name, and click Save.
    • Select Begin archiving data when ‘Start Archiving’ command is sent to control when data begins to be written to the file. This allows you to eliminate scans associated with deploying the CTD from the ship deck and soaking the instrument near the surface for a few minutes (alternatively, you could remove these scans later in SBE Data Processing). If you make this selection, when you click Start button, a dialog box with a Start Archiving button appears. Click this button when you are ready to begin saving scans to a file, or select Start Archiving in the Real-Time Data menu.
    • Select Do not archive data for this cast to not save data to a file. Real-time data will still appear in displays.
  • Configuration Options: The currently selected instrument configuration (.con) file is shown. To select a different .con file or modify the input configuration (.con file, serial ports, water sampler, TCP/IP ports, miscellaneous, and/or pump control), click Configure Inputs. To modify the outputs (serial data output, serial ports, shared file output, mark variables, TCP/IP output, TCP/IP ports, SBE 11plus alarms, SBE 14 remote display, PC alarms, header form, and/or diagnostics), click Configure Outputs.
  • Timeout in seconds at startup: Amount of time allowed by SEASAVE before the first data scan is received from the instrument. SEASAVE will time out and stop attempting to acquire data if data is not received from the instrument within this time period.
  • Timeout in seconds between scans: Maximum gap allowed between scans after the first data scan is received from the instrument. SEASAVE will time out and stop attempting to acquire data if data is not received from the instrument within this time period (for example, if a shark bites the cable and interrupts data acquisition, SEASAVE automatically stops attempting to acquire data after this gap).
  • Reset deck unit to state 1 when acquisition stops -- This appears in the dialog box only if the .con file is for an SBE 16, 16plus, 16plus V2, 19, 19plus, 19plus V2, 21, or 25, AND the .con file indicates that NMEA data is added. If selected, SEASAVE resets the deck unit (SBE 33, SBE 36, or Seacat/Sealogger RS-232 and Navigation Interface Box) to State 1 when acquisition stops. State 1 is Echo only mode (no NMEA or Surface PAR data is sent), and is useful for setting up the CTD.
  • Start: Begin processing and displaying data. SEASAVE's response is described below:
NOTE
If you get an error message Data acquisition is canceled – timed out while trying to acquire data, see Troubleshooting for suggestions on possible causes and solutions.
    1. If you selected Begin archiving data immediately or Begin archiving data when ‘Start Archiving’ command is sent above, and selected Prompt for Header Information in the Header Form setup (Configure Outputs), the Header Information dialog box appears. Fill in the desired header and click OK.
    2. If you set up a water sampler in Configure Inputs, SEASAVE sends a Reset command to the water sampler, and waits up to 60 seconds for confirmation.
    3. If you selected NMEA position data added in the .con file, SEASAVE initializes NMEA communications.
    4. If you selected Check Scan Length in the Options menu, SEASAVE checks the .con file to verify that the scan length defined by the .con file matches the instrument (i.e., number of sensors, inclusion of NMEA and/or Surface PAR is as defined in the .con file). If a Scan length error appears, verify that:
      • You are using the correct .con file.
      • The .con file has been updated as necessary if you added or deleted sensors, added or deleted NMEA or Surface PAR inputs, etc.
    5. A message similar to one of the following appears (message dependent on the instrument):

      For an instrument that is started by movement of a magnetic switch (such as SBE 19, 19plus, 19plus V2, or 25) --

      SEASAVE allows Timeout in seconds at startup after you click Start for you to turn on the CTD magnetic switch. SEASAVE will time out if data is not received from the instrument within this time.

      For other instruments (such as an SBE 16, 16plus, 16plus V2, 21, 45, 49, or 911plus) --

      SEASAVE will time out if data is not received from the instrument within Timeout in seconds at startup.
  • Exit: Save the real-time data setup (all parameters input on or accessible through the Start Real-Time Data Acquisition dialog box, including .con and data file names, input and output configuration, etc.). If you then save the program setup (.psa) file, the next time you select Start in the Real-Time Data menu, the dialog box will appear with your saved selections.
NOTE
Outputs and displays can be reconfigured without interrupting data acquisition. For example:
  • If you start a cast and realize that you forgot to set up serial data output, you can select Configure Outputs and make and save the desired changes, without interrupting data acquisition. Once the changes are saved, serial data will output to the desired COM port.
  • Similarly, if you forgot to select some variables for a display, you can right click in the display to modify it, select the desired variables, and save the changes without interrupting data acquisition. Once the changes are saved, the display will show the additional variables.
Of course, any data that was acquired before you modified the setup will not be output / displayed.

To Control Real-Time Data Acquisition

  • To add NMEA navigation data to .nav File: In the Display menu, select NMEA Display and click Add to .nav File, OR
    Press Ctrl F7 (see NMEA Display).
  • To fire bottles: In the Real-Time Control menu, select Fire Bottle Control and click Fire Bottle, OR
    press Ctrl F3 (see Fire Bottle Control).
  • To mark scans: In the Real-Time Control menu, select Mark Scan Control and click Mark Scan, OR
    press Ctrl F5 (see Mark Scan Control).
  • To turn on or off the pump for a custom 9plus: in the Real-Time Control menu, select Pump On or Pump Off OR
    press Ctrl F2 (on) or Ctrl F4 (off) (see Pump On/Off).
NOTES
  • Fire Bottle Control and Mark Scan Control in the Real-Time Control menu are inaccessible until you start saving data to a file. So, if you did not select begin archiving data immediately (or selected begin archiving data when ‘Start Archiving’ command is sent and did not yet send the Start Archiving command), these items are grayed out in the Real-Time Control menu.
  • The Add to .nav File button in the NMEA Data dialog box is inaccessible until you start saving data to a file. So, if you did not select begin archiving data immediately (or selected begin archiving data when ‘Start Archiving’ command is sent and did not yet send the Start Archiving command), the Add to .nav File button is grayed out.

To Stop Real-Time Data Acquisition

  1. For an instrument that is started by movement of a magnetic switch (such as SBE 19, 19plus, 19plus V2, or 25), slide the switch to the off position.
  2. In the Real-Time Data menu, select Stop.


Troubleshooting

Listed below are possible causes for receiving a Data acquisition is canceled – timed out error message at the start of real-time data acquisition:

NOTE
Not all causes listed may be applicable to your instrument configuration. For example, a 9plus CTD does not have a magnetic switch, or you may be using an instrument with a direct connection to the computer (no Deck Unit).
  • Cause: The CTD’s magnetic switch is not in the On position.
    Solution    : Slide the switch to the On position.
  • Cause: (SBE 19 and 25 only) The CTD was not asleep when the magnetic switch was put in the On position.
    Solution    : Slide the switch to the Off position, wait at least 2 minutes for the CTD to go to sleep, and then slide the switch to the On position again.
  • Cause: Deck Unit power is not on.
    Solution    : Verify that the Deck Unit is connected to a power source, and that the power switch is on.
  • Cause: Loose or missing connections between equipment.
    Solution    : Check all cable connections between the CTD, Deck Unit, and computer port(s).
  • Cause: Incorrect communication settings.
    Solution    : Check that communication settings and COM Ports selected on the Serial Ports tab (Configure Inputs or Configure Outputs) are correct.
  • Cause: Multiple instances of SeasaveAcq.exe running at the same time, attempting to use the same TCP/IP ports for communication with Seasave.exe.
    Solution    : Run only one instance of SEASAVE at a time, or verify that TCP/IP ports for communication with SEASAVE’s data acquisition application on the TCP/IP Ports tab (Configure Inputs or Configure Outputs) are different for each instance of SEASAVE.
  • Cause: Selection of Surface PAR voltage added in the instrument configuration (.con) file does not match the Deck Unit setup.
    Solution    : See the Deck Unit manual for details on setup.
    For the SBE 11plus Deck Unit, Surface PAR is enabled / disabled by sending the appropriate command.
    For the SBE 33 and 36 Deck Units, Surface PAR is enabled / disabled by dip switch settings.


Fire Bottle Control

Water sampler bottles can be fired by command from SEASAVE. When SEASAVE receives a bottle fire confirmation from a water sampler, it:
  • (for SBE 911plus with SBE 32 Carousel Water Sampler or G.O. 1016, or
    SBE 19, 19plus, 19plus V2, or 25 with SBE 33 Deck Unit and SBE 32 Carousel Water Sampler, or
    SBE 19, 19plus, 19plus V2, or 25 with SBE 33 Deck Unit and SBE 55 ECO Water Sampler)
    Writes a line to an output file (same filename as the data file) with a .bl extension. The .bl file contains the bottle sequence number, bottle position, date, time, and beginning and ending scan numbers. The beginning and ending scan numbers correspond to approximately a 1.5-second duration for each bottle.
  • (for 911plus with G.O. 1015)
    Sets the bottle confirm bit in the data (.hex) file for all scans within a 1.5-second duration after a bottle firing confirmation is received from the water sampler.
NOTE
To fire bottles from a remote computer via TCP/IP, see Remote Bottle Firing.

To Fire Bottles

Firing Bottles Sequentially, by User Input, or by Table Driven entries:

  1. Set up the Water Sampler.
  2. In the Real-Time Control menu, select Fire Bottle Control. The Bottle Fire dialog box appears (you can leave this open throughout the cast); shown below is the dialog if you selected Sequential firing in the Water Sampler setup (Step 1):
  3. Start Real-Time Data Acquisition.
  4. If you selected Sequential or Table driven in the Water Sampler setup (Step 1), the Bottle Fire dialog box displays the number of the next bottle to be fired.
    If you selected User Input in Water Sampler Configuration (Step 1), select the bottle you want to fire next.
    When desired, click Fire Bottle or press Ctrl F3.

Firing Bottles in Mixed Mode (auto bottle firing, but also allowing manual bottle firing):

  1. Set up the Water Sampler for Auto Fire in Configure Inputs; select Allow manual firing in the Auto-Fire Table Entry dialog box.
  2. In the Real-Time Control menu, select Fire Bottle Control. The Bottle Fire dialog box appears; shown below is the dialog if you selected SBE Carousel, SBE ECO, or G.O. 1016 in the Water Sampler setup (Step 1).
  3. Start Real-Time Data Acquisition.
  4. The Automatic fire portion of the dialog box shows the next bottle that has a valid pressure or depth in the Auto-Fire Table Entry (pressure or depth greater than 0 and less than 10,500). The Manual fire portion of the dialog box shows the next bottle that has an invalid pressure or depth in the Auto-Fire Table Entry (pressure or depth less than 0 or greater than 10,500; these are bottles that must be fired manually). Select the desired bottle to fire manually, and when desired, click Fire Selected Bottle.
    Note: You can manually fire any bottle, regardless of the pressure or depth you specified in the Auto-Fire Table Entry.

NOTES
  • The Fire Bottle button in the Bottle Fire dialog box is inaccessible until you start saving data to a file. So, if you did not select Begin archiving data immediately (or selected Begin archiving data when ‘Start Archiving’ command is sent and did not yet send the Start Archiving command), the Fire Bottle button is grayed out.
  • If desired, you can fire bottles without using the Bottle Fire dialog box, if you are set up for a G.O. 1015, Hydro-Bios, or IOW water sampler. Each time you want to fire a bottle, press Ctrl F3. Note that this does not fire a bottle if set up for an SBE Carousel, SBE ECO, or G.O. 1016, because you must select which bottle to fire.
  • The .bl file has the same path and file name as the data file. For example, if the data file is c:\test1.hex, the .bl file is c:\test1.bl.


Mark Scan Control

Mark Scan allows you to copy the most recent scan of data to a mark (.mrk) file as desired. The .mrk file can be used to manually note water sampler bottle firings, compare CTD data with data acquired at the same time from a Thermosalinograph, or mark significant events in the cast (winch problems, large waves causing ship heave, etc.) for later review and analysis of the data.

If a plot display is set up to show Mark Lines, SEASAVE also draws a horizontal line in the plot each time you mark a scan.

To Mark a Scan

  1. Set up Mark Variable Selection select variables and number of digits after the decimal point to be written to the .mrk file. If desired, select mark line type, style, and color for a plot display.
  2. In the Real-Time Control menu, select Mark Scan Control. The Mark Scan Control dialog box appears.
  3. Start Real-Time Data Acquisition.
  4. When desired, click Mark Scan or press Ctrl F5. The dialog box displays how many scans have been marked (copied to .mrk file).
NOTES
  • The Mark Scan button in the Mark Scan Control dialog box is inaccessible until you start saving data to a file. So, if you did not select Begin archiving data immediately (or selected Begin archiving data when ‘Start Archiving’ command is sent and did not yet send the Start Archiving command), the Mark Scan button is grayed out.
  • The .mrk file has the same path and file name as the data file. For example, if the data file is c:\test1.hex, the .mrk file is c:\test1.mrk.


Pump On/Off (911plus only)

SEASAVE allows you to manually turn an SBE 9plus’ pump on and off during data acquisition, for a custom version of the 9plus. This may be useful if your system is integrated with an acoustic instrument, to provide a quiet period during its data acquisition. Note that although the same COM port is used to operate a water sampler and to send pump control commands to the 9plus, the manual pump control does not interfere with water sampler operation.

To Manually Turn 9plus Pump On / Off

  1. Select Configure Inputs.
    1. On the Instrument Configuration tab, open or create a configuration (.con) file for the 911plus.
    2. On the Pump Control tab, select Enable pump on / pump off commands.
    3. On the Serial Ports tab, in the Water Sampling and 911 Pump Control Serial Port section, select the COM port connected to the SBE 11plus Deck Unit Modem Channel connector.
    4. Click OK to exit Configure Inputs.
  2. Set up the rest of the system and displays as desired.
  3. Start Real-Time Data Acquisition.
  4. When desired:
    In the Real-Time Control menu, select Pump On or Pump Off, OR
    Press Ctrl F2 (pump on) or Ctrl F4 (pump off).


Start / Stop / Pause Archived Data Display

SEASAVE can be used to display and plot archived data as well as real-time data.

NOTE
To display archived data without a mouse: Press the Alt key to show the keyboard shortcuts (underlines) on menus. Press the appropriate letter (for example, A for Archived Data menu) and use the arrow and Enter keys to navigate.

To Start Archived Data Display

  1. In the Archived Data menu, select Start. The Playback Archived Data dialog box appears:
The dialog box selections include:
  • Data [.Dat or .Hex] File: Currently selected data file is shown. To select a different file, click Select Data File. The Select Data File dialog box appears. Browse to the desired file and click Open. To verify you have selected the desired file, click the Header tab to view the data file header.
  • Instrument Configuration [.CON] File: Currently selected instrument configuration (.con) file is shown. To verify you have selected the desired file, select a different file, or modify the file, click the Instrument Configuration tab.
  • Number of scans to skip over at start: Skip any number of scans at the beginning of the data, allowing you to skip data from before the cast actually began (i.e., when the instrument was on deck and initially soaking in the water).
  • Read to end of file and Number of scans to read: If Read to end of file not selected, enter the total number of scans to read. This allows you to view just a portion of the file.
  • Number of scans to skip between computations: Skip data, speeding up the display. To calculate and display all data, set to 0. This interacts with the update rate (Seconds between updates) set for each display window, as illustrated by the examples below:
    Example 1: SBE 19plus sampling every 0.25 seconds
    Number of scans to skip between computations = 4
    Seconds between updates for display window = 5 seconds
    SEASAVE calculates parameters every 4 scans
    (4 * 0.25 seconds/scan = 1 second), but updates the display only every 5 seconds.
    Example 2: SBE 19plus sampling every 0.25 seconds
    Number of scans to skip between computations = 20
    Seconds between updates for display window = 1 second
    SEASAVE calculates parameters every 20 scans
    (20 * 0.25 seconds/scan = 5 seconds), and updates the display every 1 second. Therefore, the display shows the same data 5 times before showing data from the next calculation.
  • Data playback rate (seconds/scan): Allows you to adjust the data playback speed, simulating the real-time data acquisition rate of the instrument, or speeding up / slowing down. To simulate the real-time data acquisition rate, set this to the CTD data acquisition rate (for example, 0.25 seconds for an SBE 19plus). To display data at the fastest possible rate, set to 0 (useful for quick creation of plots).
  • Enable outputs selected in Configure Outputs: Send outputs to a serial data port, shared file, TCP/IP port, and/or SBE 14 remote display, as defined in Configure Outputs, as well as show data in the SEASAVE displays. If not selected, SEASAVE will show data in its displays but not output data to any other device or file.
    Note: Diagnostics log(s) enabled on the Diagnostics tab in Configure Outputs is automatically output, regardless of this selection.
  • Start: Start archived data playback.
  • Exit: Save the archived data setup (data and .con file path and name, number of scans to skip over at start, etc.) to the buffer. If you then save the program setup (.psa) file, the next time you select Start in the Archived Data menu, the Playback Archived Data dialog box will appear with your saved selections.

To Pause and Restart Archived Data Display

  1. In the Archived Data menu, select Pause. The data display stops, but SEASAVE retains information on where it stopped.
  2. When ready to restart the display where it stopped, pull down the Archived Data menu. You will see a check mark next to Pause; select Pause to restart.

To Adjust Rate that Data is Displayed (rate that was entered in Playback Archived Data dialog box as Data playback rate)

  1. In the Archived Data menu, select Faster, Slower, or No Wait. No Wait plays back data at the fastest possible speed, which is useful for quick creation of plots (equivalent to setting up the playback with Data playback rate set to 0).
NOTE
Archived data playback can be very fast if No Wait is selected, if there is no scrolled display. For an example data file with 392,000 scans, archived data playback took 19 seconds if only a plot display was generated; adding a scrolled display caused playback to take 13 minutes!

To Stop Archived Data Display

  1. In the Archived Data menu, select Stop. The data display stops.


Playback Archived Data Header Tab

The header tab shows the header for the currently selected archived data file. The header includes information such as instrument type, file name, etc. View the header tab to verify that you have selected the correct archived data file.


Convert .xml File to .txt File

After data acquisition is complete, you can convert an output .xml file (see Shared File Out) to a tab-delimited .txt format that can be opened in Microsoft Excel. To convert the file:
  1. In the Tools menu, select Convert shared file output .xml file to spreadsheet format.
  2. A dialog box appears. Browse to the desired .xml input file and select the path and file name for the output .txt file, and then click the Convert button.
  3. The resulting .txt file can be opened in Excel.


Options Menu

  • Prompt to save program setup changes – If selected, when you exit SEASAVE (by selecting Exit in the File menu or by clicking the close button in the upper right hand corner of the window), SEASAVE prompts you to save the program setup (psa) file if desired.
  • Automatically save program setup changes on exit – If selected, when you exit SEASAVE (by selecting Exit in the File menu or clicking the close button in the upper right hand corner of the window), SEASAVE automatically saves the program setup (.psa) file before exiting.
    NOTE: If neither Prompt to save program setup changes or Automatically save program setup changes on exit is selected, SEASAVE will not provide a warning and will not save changes to the program setup file before exiting.
  • Confirm instrument configuration change – If selected, Save & Exit button in Configuration dialog box changes to Exit; when you click Exit, SEASAVE prompts you to save the configuration (.con) file changes if desired. Otherwise, clicking Save & Exit automatically saves the configuration changes.
  • Confirm display setup change – If selected, when you close a Display window, SEASAVE prompts you to save the display setup (.dsa) file if desired. If not selected, SEASAVE will not save the display settings to a .dsa file.
  • Confirm output file overwrite – If selected, SEASAVE provides a warning if you select an existing file name for a data output file and/or shared output file. Otherwise, SEASAVE does not provide a warning, and overwrites the data in the existing file.
  • Check scan length – If selected, SEASAVE checks the data scan length against the expected length (based on setup of the .con file) during real-time data acquisition and/or archived data playback; if the scan length does not match the .con file, it provides a warning that there is an error. Otherwise, SEASAVE does not provide a warning. Regardless of whether Check Scan Length is selected, if there is a scan length error SEASAVE continues with real-time data acquisition (saving the raw data to a file), but does not show or plot data in the SEASAVE displays.
  • Compare serial numbers – (Applicable only to Archived Data playback) If selected, SEASAVE checks the temperature and conductivity sensor serial numbers in the data file header against the serial numbers in the .con file; if the serial numbers do not match, it provides a warning that there is an error, but continues with data playback.
  • Maximized plot may cover SEASAVE – If selected, when you maximize a plot display it fills the entire monitor screen, covering up the SEASAVE title bar, menus, and status bar. Otherwise, a maximized plot display remains within the SEASAVE window.
NOTES
  • The .psa file contains all information entered in Configure Inputs and Configure Outputs (instrument .con file path and name, serial ports, water sampler, TCP/IP ports, serial data output, etc.) as well as size, placement, and setup for each display window.
  • When you click OK in the Configure Inputs or Configure Outputs dialog boxes, and/or create/modify a display, SEASAVE saves the changes to a temporary location. However, the changes are not saved to the program setup (.psa) file until you select Save Setup File or Save Setup File As in the File menu.
  • A display setup (.dsa) file defines the size, placement, and setup for a display window. The information in the .dsa file is also incorporated into the program setup (.psa) file. You can import and export .dsa files, allowing you to create the desired displays once and then reuse them later for other instruments / deployments. Even if you do not export the display setup to a separate .dsa file, the changes in the display are incorporated in the .psa file the next time you save the .psa file. See Add/Edit/Import/Export/Print Display Window.


Seasave Remote for Remote Display and Bottle Firing

Software on the remote computer is required to view data output via TCP/IP or to a shared file and to fire bottles remotely. Seasave Remote can perform those functions, and has many of the same display and plotting capabilities as SEASAVE.
  • Data transmitted via TCP/IP must be converted data in XML format (select Output converted data to socket using TCP/IP and XML format on the TCP/IP Out tab in SEASAVE's Configure Outputs).
  • Data transmitted to a shared file must be in XML format (select Output data to shared file and XML format on the Shared File Out tab in SEASAVE's Configure Outputs).
Seasave Remote (SeasaveRem.exe) is installed when you install SEASAVE, to the same folder as SEASAVE (default location C:\Program Files\Sea-Bird\SeasaveV7).

NOTES
  • Seasave Remote can only display variables that are transmitted by SEASAVE; it cannot calculate derived variables based on the transmitted variables.
  • As an alternative to Seasave Remote, Sea-Bird also provides sample Java applications that can be used as-is or can be modified by a Java programmer; however, Seasave Remote is a more full-featured program. For information on the Java applications, see Java Application for Remote Display and Java Application for Remote Bottle Firing.

To Set Up a Display and Fire Bottles Remotely

Basic instructions are provided below for viewing data on a remote computer and firing bottles from a remote computer using Seasave Remote (see Seasave Remote's Help files for more details).
  1. In SEASAVE’s Configure Outputs, select one of the following methods for transmitting data to a remote computer:
    • On the TCP/IP Out tab, select Output converted data to socket using TCP/IP and select XML format. Click Select Variables, pick the desired variables for viewing remotely, and click OK. Click OK to exit the Configure Outputs dialog box. OR
    • On the Shared File Out tab, select Output data to shared file and select XML format. Click Select File; define the path and file name for the shared file, and click Save. Click Select Variables, pick the desired variables for viewing remotely, and click OK. Click OK to exit the Configure Outputs dialog box.
  2. In SEASAVE's Configure Inputs, on the Water Sampler tab, set up the water sampler and select Enable remote firing.
  3. In SEASAVE's Real-Time Control menu, select Fire Bottle Control. The Bottle Fire dialog box appears (you can leave this open throughout the cast).
  4. On the remote computer, double click on SeasaveRem.exe. Seasave Remote has menus, a Status bar, and fixed, scrolled, and/or plot displays, as well as a bottle fire control window.
  5. In Seasave Remote, click the TCP/IP Ports menu; the TCP/IP Ports dialog box appears. Define the address of the computer running SEASAVE (see Note below), and the ports used for transmitting data (if transmitting data via TCP/IP) and for remote bottle firing commands and status; the ports must match the ports defined on SEASAVE's TCP/IP Ports tab in Configure Inputs or Configure outputs.
  6. In Seasave Remote's Data menu, select Data Source; the Data Source dialog box appears. Select the Data Source for the displays: TCP/IP or Shared File. If you select Shared File, browse to the path and file name for the shared file.
  7. (for remote bottle firing) In Seasave Remote's Bottle Fire menu, select Configure Bottle Firing. The Configure Bottle Firing dialog box appears. Select the bottle fire sequence: Sequential, User Input, or Table Driven. Enter the number of bottles on your water sampler. If you selected Table Driven, click Bottle Positions for Table Driven to input the desired bottle firing order.
  8. In SEASAVE, start real-time data acquisition.
  9. In Seasave Remote's Data menu, click Connect. If you already have display windows set up in Seasave Remote, you should begin to see data; the Status bar should show that you are connected.
  10. If desired, modify or add display windows in Seasave Remote, using the same methods as in SEASAVE.
  11. In Seasave Remote's Bottle Fire menu, click Bottle Fire Control. In the Bottle Fire dialog box, click Connect. The Status bar should show that you are connected to the bottle fire client ("Connected to . . . on ports . . . and . . ."); you can now fire bottles from Seasave Remote.
  12. In Seasave Remote's Remote Bottle Fire window, click Fire Bottle when desired.

- When SEASAVE receives a bottle fired confirmation from a water sampler, it increments the #Fired and shows the bottle number that was fired in the Bottle Firing Sequence box.
- When Seasave Remote receives a bottle fired confirmation from SEASAVE, it increments the #Fired, and shows the bottle number that was fired in the Sequence box.
Note: When SEASAVE receives a bottle fired confirmation from a water sampler, its response to remote bottle firing is identical to bottle firing from within SEASAVE; it writes bottles fire data to a file or seta a bottle confirm bit in the data file, as applicable to the equipment used. See Fire Bottle Control.

  13. When you are done:
    1. To end TCP/IP transmission of data or access to a shared file --
      In Seasave Remote's Data menu, click Disconnect.
    2. To end transmission of bottle fire commands and responses --
      In       Seasave Remote's Bottle Fire dialog, click Disconnect.
      OR
      In       SEASAVE's Remote Fire Bottle Fire dialog, click Disconnect.
  14. In SEASAVE, stop real-time data acquisition.

NOTE
To get the address of the computer running SEASAVE (instructions are for Windows XP):
  1. On the computer that is running SEASAVE, click Start -> Control Panel.
  2. Double click Network Connections.
  3. Double click Local Area Network Connection. Click the Support tab to see the computer’s IP address; this is the address to enter as the Address of computer running Seasave in the TCP/IP Ports dialog box.


Java Application for Remote Display

Software on the remote computer is required to view data output via TCP/IP. Instructions for viewing data on a remote computer are provided assuming you are using the sample Java application for a remote display (FixedDisplay.jar). This Java application requires you to select Output converted data to socket using TCP/IP and XML format on the TCP/IP Out tab in SEASAVE's Configure Outputs. You can use the provided sample application, modify is as desired, or develop your own application using your desired software.

FixedDisplay.jar is installed when you install SEASAVE, to the same folder as SEASAVE (default location C:\Program Files\Sea-Bird\SeasaveV7).

NOTES
  • FixedDisplay.jar can only display variables that are transmitted by SEASAVE; it cannot calculate derived variables based on the transmitted variables.
  • To run the sample application, you must have Java Runtime Environment (JRE) version 6u1 or later installed on the remote computer. To modify the sample application, you must have Java SE Development Kit (JDK) version 6u1 or later with NetBeans version 5.5.1 or later installed on the remote computer. Java is a product of Sun Microsystems. The versions cited above can be downloaded for free from http://java.sun.com/javase/downloads/index.jsp.
  • A Java application for remote bottle firing, FireBottles.jar, is also installed when you install SEASAVE. See Java Application for Remote Bottle Firing. You can run both FixedDiplay.jar and FireBottles.jar on a remote computer, allowing you to monitor the data and fire bottles remotely.
  • As an alternative to the Java applications described above, Sea-Bird also provides Seasave Remote. Seasave Remote is a more full-featured program, with many of the same display and plotting capabilities as SEASAVE. It can be used to display data (transmitted via TCP/IP or to a shared file) on a remote computer and to fire bottles from a remote computer.

To Set Up a Remote Display

  1. In SEASAVE’s Configure Outputs, on the TCP/IP Out tab, select Output converted data to socket using TCP/IP and select XML format. Click Select Variables, pick the desired variables for viewing on the remote computer, and click OK. Click OK to exit the Configure Outputs dialog box.
  2. On the remote computer, double click on FixedDisplay.jar. The dialog box looks like this:
    1. Set Server address to the address of the computer running SEASAVE (see Note below).
    2. Set Port to match the Send converted data port on the TCP/IP Ports tab in Configure Inputs or Configure Outputs in SEASAVE.
    3. Click Connect. If the remote display is working properly, the labels for the variables that you selected on the TCP/IP Out tab in Configure Outputs should appear in the Seasave Remote Fixed Display (as shown in the example below).
  3. In SEASAVE, start real-time data acquisition. You should see data appear on the remote computer display as well as on the displays in SEASAVE.
  4. When you are done, click Disconnect on the remote computer.

NOTE
To get the Server address (instructions are for Windows XP):
  1. On the computer that is running SEASAVE, click Start -> Control Panel.
  2. Double click Network Connections.
  3. Double click Local Area Network Connection. Click the Support tab to see the computer’s IP address; this is the address to enter as the Server address in the Remote Fixed Display for Seasave window shown above.


Java Application for Remote Bottle Firing

Software on the remote computer is required to fire bottles via TCP/IP. Instructions for remote bottle firing are provided assuming you are using the sample Java application for remote bottle firing (FireBottles.jar). You can use the provided sample application, modify it as desired, or develop your own application using your desired software.

FireBottles.jar is installed when you install SEASAVE, to the same folder as SEASAVE (default location C:\Program Files\Sea-Bird\SeasaveV7).

NOTES
  • To run the sample application, you must have Java Runtime Environment (JRE) version 6u1 or later installed on the remote computer. To modify the sample application, you must have Java SE Development Kit (JDK) version 6u1 or later with NetBeans version 5.5.1 or later installed on the remote computer. Java is a product of Sun Microsystems. The versions cited above can be downloaded for free from http://java.sun.com/javase/downloads/index.jsp.
  • A Java application for remote data monitoring, FixedDisplay.jar, is also installed when you install SEASAVE. See Java Application for Remote Display. You can run both FixedDiplay.jar and FireBottles.jar on a remote computer, allowing you to monitor the data and fire bottles remotely.
  • As an alternative to the Java application described here, Sea-Bird also provides Seasave Remote. Seasave Remote is a more full-featured program, with many of the same display and plotting capabilities as SEASAVE. It can be used to display data (transmitted via TCP/IP or to a shared file) on a remote computer and to fire bottles from a remote computer.
  • To fire bottles from within SEASAVE, see Fire Bottle Control.

To Fire Bottles

  1. In SEASAVE, set up the water sampler in Configure Inputs, and select Enable remote firing.
  2. In SEASAVE's Real-Time Control menu, select Fire Bottle Control. The Bottle Fire dialog box appears (you can leave this open throughout the cast).
  3. On the remote computer, double click on FireBottles.jar. The dialog box looks like this:
    1. On the Connect tab
      - Set Server address to the address of the computer running SEASAVE (see Note below).
      - Set Command port to match the Receive commands port and set Status port to match the Send Status port on the TCP/IP Ports tab in Configure Inputs or Configure Outputs in SEASAVE.
    2. On the Connect tab, click Connect. On the Remote Fire Bottle Fire dialog in SEASAVE (Step 2), it should now show “Connected to . . . on ports . . . and . . .”
    3. On the remote computer, click the Fire tab. The dialog box looks like this:

      If the remote software is working properly, the water sampler type and number of bottles should match the settings on the Water Sampler tab in Configure Inputs in SEASAVE.
  4. In SEASAVE, start real-time data acquisition.
  5. On the remote computer, on the Fire tab, click Fire when desired.
    - When SEASAVE receives a bottle fired confirmation from a water sampler, it increments the #Fired and shows the bottle number that was fired in the Bottle Firing Sequence box.
    -     When the remote bottle fire software receives a bottle fired confirmation from SEASAVE, it increments the #Fired, and shows the bottle number that was fired in the Sequence box.
    Note:     When SEASAVE receives a bottle fired confirmation from a water sampler, its response to remote bottle firing is identical to bottle firing from within SEASAVE; it writes bottles fire data to a file or seta a bottle confirm bit in the data file, as applicable to the equipment used. See Fire Bottle Control.
  6. When you have fired all the bottles, click Disconnect on the Connect tab on the remote computer or click Disconnect on the Remote Fire Bottle Fire dialog in SEASAVE.
NOTE
To get the Server address (instructions are for Windows XP):
  1. On the computer that is running SEASAVE, click Start -> Control Panel.
  2. Double click Network Connections.
  3. Double click Local Area Network Connection. Click the Support tab to see the computer’s IP address; this is the address to enter as the Server address in the Remote Bottle Fire for Seasave window shown above.


Table Driven Setup

If you select Table Driven on the Water Sampler tab, and click Bottle Positions for Table Driven, the Bottle Positions for Table Driven dialog box appears.
When commanded to fire, bottles are fired in the order pre-defined in this user-input table.